# do not edit -- automatically generated by arch changelog
# arch-tag: automatic-ChangeLog--linuxbios@linuxbios.org--devel/freebios--import--2.0
#

2005-03-10 00:19:29 GMT	Ollie Lho <ollie@lanl.gov>	patch-991

    Summary:
      fixed a bug cause failure on some expensive VGA cards
    Revision:
      freebios--import--2.0--patch-991

    Author: ollie
    Date: 2005/03/04 22:08:55
    fixed a bug cause failure on some expensive VGA cards

    modified files:
     ChangeLog.arch src/devices/emulator/x86emu/ops.c


2005-03-10 00:19:22 GMT	Ollie Lho <ollie@lanl.gov>	patch-990

    Summary:
      some comment in ACPI table
    Revision:
      freebios--import--2.0--patch-990

    Author: ollie
    Date: 2005/03/04 22:03:07
    some comment in ACPI table

    modified files:
     ChangeLog.arch src/arch/i386/include/arch/acpi.h


2005-03-10 00:19:17 GMT	Stefan Reinauer <stepan@openbios.org>	patch-989

    Summary:
      simplify
    Revision:
      freebios--import--2.0--patch-989

    Author: stepan
    Date: 2005/02/13 22:42:14
    simplify

    modified files:
     ChangeLog.arch src/mainboard/emulation/qemu-i386/Config.lb


2005-03-10 00:19:11 GMT	Yinghai Lu <yhlu@tyan.com>	patch-988

    Summary:
      move apic before nb
    Revision:
      freebios--import--2.0--patch-988

    Author: yhlu
    Date: 2005/02/09 17:34:55
    move apic before nb

    modified files:
     ChangeLog.arch src/mainboard/island/aruma/Config.lb


2005-03-10 00:19:05 GMT	Yinghai Lu <yhlu@tyan.com>	patch-987

    Summary:
      VERSION and rom_image_size
    Revision:
      freebios--import--2.0--patch-987

    Author: yhlu
    Date: 2005/02/09 01:25:15
    VERSION and rom_image_size

    modified files:
     ChangeLog.arch targets/tyan/s2850/Config.lb
     targets/tyan/s2875/Config.lb targets/tyan/s2880/Config.lb
     targets/tyan/s2880/VERSION targets/tyan/s2881/Config.lb
     targets/tyan/s2881/VERSION targets/tyan/s2882/Config.lb
     targets/tyan/s2882/VERSION targets/tyan/s2885/Config.lb
     targets/tyan/s2885/VERSION targets/tyan/s4880/Config.lb
     targets/tyan/s4880/VERSION targets/tyan/s4882/Config.lb
     targets/tyan/s4882/VERSION


2005-03-10 00:18:40 GMT	Stefan Reinauer <stepan@openbios.org>	patch-986

    Summary:
      add cross compiling for abuild.sh
    Revision:
      freebios--import--2.0--patch-986

    Author: stepan
    Date: 2005/02/08 11:55:42
    add cross compiling for abuild.sh

    modified files:
     ChangeLog.arch src/mainboard/island/aruma/Options.lb


2005-03-10 00:18:34 GMT	Stefan Reinauer <stepan@openbios.org>	patch-985

    Summary:
      larger default size
    Revision:
      freebios--import--2.0--patch-985

    Author: stepan
    Date: 2005/02/08 11:53:25
    larger default size

    modified files:
     ChangeLog.arch util/abuild/abuild.sh


2005-03-10 00:18:29 GMT	Stefan Reinauer <stepan@openbios.org>	patch-984

    Summary:
      * fix build without patches.
    Revision:
      freebios--import--2.0--patch-984

    Author: stepan
    Date: 2005/02/08 09:35:19
    * fix build without patches.
    * create vital ACPI information from the linuxbios device tree.
    * pass linuxbios information into dsdt.

    modified files:
     ChangeLog.arch src/mainboard/island/aruma/Options.lb
     src/mainboard/island/aruma/acpi_tables.c
     src/mainboard/island/aruma/dsdt.c


2005-03-10 00:18:20 GMT	Stefan Reinauer <stepan@openbios.org>	patch-983

    Summary:
      generous iteration on the device tree removed.
    Revision:
      freebios--import--2.0--patch-983

    Author: stepan
    Date: 2005/02/08 09:29:19
    generous iteration on the device tree removed.

    modified files:
     ChangeLog.arch src/arch/i386/include/arch/acpi.h


2005-03-10 00:18:15 GMT	Stefan Reinauer <stepan@openbios.org>	patch-982

    Summary:
      fix comment
    Revision:
      freebios--import--2.0--patch-982

    Author: stepan
    Date: 2005/02/08 09:11:40
    fix comment

    modified files:
     ChangeLog.arch src/arch/i386/boot/acpi.c


2005-03-10 00:18:09 GMT	Yinghai Lu <yhlu@tyan.com>	patch-981

    Summary:
      *** empty log message ***
    Revision:
      freebios--import--2.0--patch-981

    Author: yhlu
    Date: 2005/02/03 05:35:32
    *** empty log message ***

    modified files:
     ChangeLog.arch src/mainboard/tyan/s2850/Config.lb


2005-03-10 00:18:04 GMT	Stefan Reinauer <stepan@openbios.org>	patch-980

    Summary:
      make debugging a bit more useful
    Revision:
      freebios--import--2.0--patch-980

    Author: stepan
    Date: 2005/02/02 15:17:51
    make debugging a bit more useful

    modified files:
     ChangeLog.arch src/northbridge/amd/amdk8/debug.c


2005-03-10 00:17:58 GMT	Stefan Reinauer <stepan@openbios.org>	patch-979

    Summary:
      add patches that were rejected in discussion in case th...
    Revision:
      freebios--import--2.0--patch-979

    Author: stepan
    Date: 2005/02/02 15:08:23
    add patches that were rejected in discussion in case they are still needed

    new files:
     src/mainboard/island/aruma/.arch-ids/README.txt.id
     src/mainboard/island/aruma/.arch-ids/dram8x.diff.id
     src/mainboard/island/aruma/.arch-ids/hyperclocking.diff.id
     src/mainboard/island/aruma/README.txt
     src/mainboard/island/aruma/dram8x.diff
     src/mainboard/island/aruma/hyperclocking.diff

    modified files:
     ChangeLog.arch


2005-03-10 00:17:49 GMT	Stefan Reinauer <stepan@openbios.org>	patch-978

    Summary:
      new port: island aruma
    Revision:
      freebios--import--2.0--patch-978

    Author: stepan
    Date: 2005/02/02 15:00:58
    new port: island aruma

    new files:
     src/mainboard/island/.arch-ids/=id
     src/mainboard/island/aruma/.arch-ids/=id
     src/mainboard/island/aruma/.arch-ids/Config.lb.id
     src/mainboard/island/aruma/.arch-ids/Options.lb.id
     src/mainboard/island/aruma/.arch-ids/acpi_tables.c.id
     src/mainboard/island/aruma/.arch-ids/auto.c.id
     src/mainboard/island/aruma/.arch-ids/chip.h.id
     src/mainboard/island/aruma/.arch-ids/cmos.layout.id
     src/mainboard/island/aruma/.arch-ids/dsdt.c.id
     src/mainboard/island/aruma/.arch-ids/fadt.c.id
     src/mainboard/island/aruma/.arch-ids/failover.c.id
     src/mainboard/island/aruma/.arch-ids/irq_tables.c.id
     src/mainboard/island/aruma/.arch-ids/mainboard.c.id
     src/mainboard/island/aruma/.arch-ids/mptable.c.id
     src/mainboard/island/aruma/.arch-ids/resourcemap.c.id
     src/mainboard/island/aruma/Config.lb
     src/mainboard/island/aruma/Options.lb
     src/mainboard/island/aruma/acpi_tables.c
     src/mainboard/island/aruma/auto.c
     src/mainboard/island/aruma/chip.h
     src/mainboard/island/aruma/cmos.layout
     src/mainboard/island/aruma/dsdt.c
     src/mainboard/island/aruma/fadt.c
     src/mainboard/island/aruma/failover.c
     src/mainboard/island/aruma/irq_tables.c
     src/mainboard/island/aruma/mainboard.c
     src/mainboard/island/aruma/mptable.c
     src/mainboard/island/aruma/resourcemap.c
     targets/island/.arch-ids/=id
     targets/island/aruma/.arch-ids/=id
     targets/island/aruma/.arch-ids/Config.lb.id
     targets/island/aruma/.arch-ids/build.id
     targets/island/aruma/Config.lb targets/island/aruma/build

    modified files:
     ChangeLog.arch

    new directories:
     src/mainboard/island src/mainboard/island/.arch-ids
     src/mainboard/island/aruma
     src/mainboard/island/aruma/.arch-ids targets/island
     targets/island/.arch-ids targets/island/aruma
     targets/island/aruma/.arch-ids


2005-03-10 00:17:20 GMT	Yinghai Lu <yhlu@tyan.com>	patch-977

    Summary:
      8 ways works now
    Revision:
      freebios--import--2.0--patch-977

    Author: yhlu
    Date: 2005/02/01 01:22:57
    8 ways works now

    modified files:
     ChangeLog.arch src/northbridge/amd/amdk8/coherent_ht.c


2005-03-10 00:17:14 GMT	Yinghai Lu <yhlu@tyan.com>	patch-976

    Summary:
      spare one more mtrr
    Revision:
      freebios--import--2.0--patch-976

    Author: yhlu
    Date: 2005/01/27 22:48:12
    spare one more mtrr

    modified files:
     ChangeLog.arch src/cpu/x86/mtrr/mtrr.c


2005-03-10 00:17:08 GMT	Yinghai Lu <yhlu@tyan.com>	patch-975

    Summary:
      coherent.c don't need to read incoherent ht cap
    Revision:
      freebios--import--2.0--patch-975

    Author: yhlu
    Date: 2005/01/27 18:38:10
    coherent.c don't need to read incoherent ht cap

    modified files:
     ChangeLog.arch src/northbridge/amd/amdk8/coherent_ht.c


2005-03-10 00:17:02 GMT	Yinghai Lu <yhlu@tyan.com>	patch-974

    Summary:
      comment out ht_setup_link
    Revision:
      freebios--import--2.0--patch-974

    Author: yhlu
    Date: 2005/01/26 22:00:20
    comment out ht_setup_link

    modified files:
     ChangeLog.arch src/devices/hypertransport.c


2005-03-10 00:16:57 GMT	Yinghai Lu <yhlu@tyan.com>	patch-973

    Summary:
      pre_d0
    Revision:
      freebios--import--2.0--patch-973

    Author: yhlu
    Date: 2005/01/26 17:57:34
    pre_d0

    modified files:
     ChangeLog.arch src/northbridge/amd/amdk8/coherent_ht.c


2005-03-10 00:16:51 GMT	Stefan Reinauer <stepan@openbios.org>	patch-972

    Summary:
      target port may need to checksum
    Revision:
      freebios--import--2.0--patch-972

    Author: stepan
    Date: 2005/01/26 09:58:49
    target port may need to checksum

    modified files:
     ChangeLog.arch src/arch/i386/include/arch/acpi.h


2005-03-10 00:16:45 GMT	Yinghai Lu <yhlu@tyan.com>	patch-971

    Summary:
      -Make 1, 2, 4, 6 installed cpu works.
    Revision:
      freebios--import--2.0--patch-971

    Author: yhlu
    Date: 2005/01/25 02:17:44
    -Make 1, 2, 4, 6 installed cpu works.

    modified files:
     ChangeLog.arch src/northbridge/amd/amdk8/coherent_ht.c


2005-03-10 00:16:38 GMT	Yinghai Lu <yhlu@tyan.com>	patch-970

    Summary:
      move apic cluster before pci_domain in MB Config.lb
    Revision:
      freebios--import--2.0--patch-970

    Author: yhlu
    Date: 2005/01/21 22:58:15
    move apic cluster before pci_domain in MB Config.lb

    modified files:
     ChangeLog.arch src/northbridge/amd/amdk8/northbridge.c


2005-03-10 00:16:32 GMT	Yinghai Lu <yhlu@tyan.com>	patch-969

    Summary:
      move apic cluster before pci_domain in MB Config.lb
    Revision:
      freebios--import--2.0--patch-969

    Author: yhlu
    Date: 2005/01/21 21:58:53
    move apic cluster before pci_domain in MB Config.lb

    modified files:
     ChangeLog.arch src/devices/device.c
     src/mainboard/tyan/s2885/Config.lb
     src/northbridge/amd/amdk8/northbridge.c


2005-03-10 00:16:23 GMT	Yinghai Lu <yhlu@tyan.com>	patch-968

    Summary:
      linkb_to_host
    Revision:
      freebios--import--2.0--patch-968

    Author: yhlu
    Date: 2005/01/20 20:41:17
    linkb_to_host

    modified files:
     ChangeLog.arch src/northbridge/amd/amdk8/incoherent_ht.c


2005-03-10 00:16:17 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-967

    Summary:
      Fix typo in microcode header file include
    Revision:
      freebios--import--2.0--patch-967

    Author: ebiederm
    Date: 2005/01/20 18:37:00
    Fix typo in microcode header file include

    modified files:
     ChangeLog.arch src/cpu/intel/model_6xx/model_6xx_init.c


2005-03-10 00:16:11 GMT	Ollie Lho <ollie@lanl.gov>	patch-966

    Summary:
      removed unused code
    Revision:
      freebios--import--2.0--patch-966

    Author: ollie
    Date: 2005/01/19 23:21:00
    removed unused code

    modified files:
     ChangeLog.arch src/devices/emulator/pcbios/pcibios.h
     src/devices/emulator/x86emu/sys.c


2005-03-10 00:16:04 GMT	Ollie Lho <ollie@lanl.gov>	patch-965

    Summary:
      minor reformat
    Revision:
      freebios--import--2.0--patch-965

    Author: ollie
    Date: 2005/01/19 23:19:24
    minor reformat

    modified files:
     ChangeLog.arch src/console/vga_console.c
     src/cpu/amd/mtrr/amd_mtrr.c src/cpu/x86/mtrr/earlymtrr.c
     src/devices/emulator/biosemu.c src/devices/pci_device.c
     src/devices/pci_rom.c src/northbridge/amd/amdk8/northbridge.c


2005-03-10 00:15:49 GMT	Ollie Lho <ollie@lanl.gov>	patch-964

    Summary:
      add config option for vga
    Revision:
      freebios--import--2.0--patch-964

    Author: ollie
    Date: 2005/01/19 20:38:09
    add config option for vga

    modified files:
     ChangeLog.arch src/mainboard/tyan/s2885/Options.lb


2005-03-10 00:15:43 GMT	Yinghai Lu <yhlu@tyan.com>	patch-963

    Summary:
      linkb_to_host
    Revision:
      freebios--import--2.0--patch-963

    Author: yhlu
    Date: 2005/01/19 18:09:58
    linkb_to_host

    modified files:
     ChangeLog.arch src/northbridge/amd/amdk8/incoherent_ht.c


2005-03-10 00:15:37 GMT	Stefan Reinauer <stepan@openbios.org>	patch-962

    Summary:
      make it bigger
    Revision:
      freebios--import--2.0--patch-962

    Author: stepan
    Date: 2005/01/19 14:14:10
    make it bigger

    modified files:
     ChangeLog.arch targets/amd/solo/Config.lb


2005-03-10 00:15:32 GMT	Stefan Reinauer <stepan@openbios.org>	patch-961

    Summary:
      universal acpi fixes.
    Revision:
      freebios--import--2.0--patch-961

    Author: stepan
    Date: 2005/01/19 14:13:02
    universal acpi fixes.

    new files:
     src/mainboard/via/epia-m/.arch-ids/acpi_tables.c.id
     src/mainboard/via/epia-m/acpi_tables.c

    modified files:
     ChangeLog.arch src/mainboard/via/epia-m/Config.lb


2005-03-10 00:15:25 GMT	Stefan Reinauer <stepan@openbios.org>	patch-960

    Summary:
      more universal acpi code
    Revision:
      freebios--import--2.0--patch-960

    Author: stepan
    Date: 2005/01/19 14:12:02
    more universal acpi code

    new files:
     src/mainboard/amd/solo/.arch-ids/acpi_tables.c.id
     src/mainboard/amd/solo/acpi_tables.c

    modified files:
     ChangeLog.arch src/mainboard/amd/solo/Config.lb
     src/mainboard/amd/solo/Options.lb


2005-03-10 00:15:15 GMT	Stefan Reinauer <stepan@openbios.org>	patch-959

    Summary:
      - make acpi usable for more than one motherboard.
    Revision:
      freebios--import--2.0--patch-959

    Author: stepan
    Date: 2005/01/19 14:06:41
    - make acpi usable for more than one motherboard.
    - make pirq normal debug a little bit nicer

    modified files:
     ChangeLog.arch src/arch/i386/boot/acpi.c
     src/arch/i386/boot/pirq_routing.c
     src/arch/i386/include/arch/acpi.h


2005-03-10 00:15:07 GMT	Yinghai Lu <yhlu@tyan.com>	patch-958

    Summary:
      linkb_to_host
    Revision:
      freebios--import--2.0--patch-958

    Author: yhlu
    Date: 2005/01/19 01:19:37
    linkb_to_host

    modified files:
     ChangeLog.arch src/devices/hypertransport.c
     src/northbridge/amd/amdk8/incoherent_ht.c


2005-03-10 00:15:00 GMT	Stefan Reinauer <stepan@openbios.org>	patch-957

    Summary:
      No fallback image in this case
    Revision:
      freebios--import--2.0--patch-957

    Author: stepan
    Date: 2005/01/18 13:31:23
    No fallback image in this case

    modified files:
     ChangeLog.arch targets/amd/solo/Config-8MBit.lb


2005-03-10 00:14:54 GMT	Stefan Reinauer <stepan@openbios.org>	patch-956

    Summary:
      this is obsolete.
    Revision:
      freebios--import--2.0--patch-956

    Author: stepan
    Date: 2005/01/18 13:26:34
    this is obsolete.

    removed files:
     src/arch/i386/lib/.arch-ids/console.inc.id
     src/arch/i386/lib/console.inc

    modified files:
     ChangeLog.arch


2005-03-10 00:14:51 GMT	Yinghai Lu <yhlu@tyan.com>	patch-955

    Summary:
      class code reverse
    Revision:
      freebios--import--2.0--patch-955

    Author: yhlu
    Date: 2005/01/18 03:10:16
    class code reverse

    modified files:
     ChangeLog.arch src/devices/pci_rom.c
     src/include/device/pci_rom.h


2005-03-10 00:14:43 GMT	Yinghai Lu <yhlu@tyan.com>	patch-954

    Summary:
      fix reboot broken
    Revision:
      freebios--import--2.0--patch-954

    Author: yhlu
    Date: 2005/01/17 23:47:55
    fix reboot broken

    modified files:
     ChangeLog.arch src/cpu/amd/mtrr/amd_earlymtrr.c


2005-03-10 00:14:37 GMT	Yinghai Lu <yhlu@tyan.com>	patch-953

    Summary:
      linkb_to_host and addon display card override onboard card.
    Revision:
      freebios--import--2.0--patch-953

    Author: yhlu
    Date: 2005/01/17 21:37:11
    linkb_to_host and addon display card override onboard card.

    modified files:
     ChangeLog.arch src/devices/device.c
     src/devices/hypertransport.c src/devices/pci_rom.c


2005-03-10 00:14:28 GMT	Yinghai Lu <yhlu@tyan.com>	patch-952

    Summary:
      linkb_to_host
    Revision:
      freebios--import--2.0--patch-952

    Author: yhlu
    Date: 2005/01/17 21:32:36
    linkb_to_host

    modified files:
     ChangeLog.arch src/northbridge/amd/amdk8/incoherent_ht.c


2005-03-10 00:14:23 GMT	Stefan Reinauer <stepan@openbios.org>	patch-951

    Summary:
      Make building with different libpci versions easier. Th...
    Revision:
      freebios--import--2.0--patch-951

    Author: stepan
    Date: 2005/01/17 11:08:08
    Make building with different libpci versions easier. The defines might go into
    official libpci for 2.2

    modified files:
     ChangeLog.arch util/vgabios/Makefile
     util/vgabios/pci-userspace.c


2005-03-10 00:14:16 GMT	Yinghai Lu <yhlu@tyan.com>	patch-950

    Summary:
      can not enable cache for ram in auto.c
    Revision:
      freebios--import--2.0--patch-950

    Author: yhlu
    Date: 2005/01/15 04:12:27
    can not enable cache for ram in auto.c

    modified files:
     ChangeLog.arch src/cpu/amd/mtrr/amd_earlymtrr.c


2005-03-10 00:14:10 GMT	Stefan Reinauer <stepan@openbios.org>	patch-949

    Summary:
      add vga.h / needed by vga text console.
    Revision:
      freebios--import--2.0--patch-949

    Author: stepan
    Date: 2005/01/15 00:29:10
    add vga.h / needed by vga text console.

    new files:
     src/include/pc80/.arch-ids/vga.h.id src/include/pc80/vga.h

    modified files:
     ChangeLog.arch


2005-03-10 00:14:04 GMT	Yinghai Lu <yhlu@tyan.com>	patch-948

    Summary:
      CONFIG_PCI_ROM_RUN
    Revision:
      freebios--import--2.0--patch-948

    Author: yhlu
    Date: 2005/01/14 21:53:32
    CONFIG_PCI_ROM_RUN

    modified files:
     ChangeLog.arch src/config/Options.lb src/console/vga_console.c
     src/devices/Config.lb src/devices/device.c
     src/devices/pci_device.c src/devices/pci_rom.c
     src/mainboard/tyan/s2850/Options.lb


2005-03-10 00:13:48 GMT	Yinghai Lu <yhlu@tyan.com>	patch-947

    Summary:
      amd version mtrr early
    Revision:
      freebios--import--2.0--patch-947

    Author: yhlu
    Date: 2005/01/14 19:26:52
    amd version mtrr early

    modified files:
     ChangeLog.arch src/cpu/amd/mtrr/amd_earlymtrr.c


2005-03-10 00:13:42 GMT	Yinghai Lu <yhlu@tyan.com>	patch-946

    Summary:
      onboard pci_rom second run
    Revision:
      freebios--import--2.0--patch-946

    Author: yhlu
    Date: 2005/01/14 17:17:55
    onboard pci_rom second run

    modified files:
     ChangeLog.arch src/devices/device.c


2005-03-10 00:13:37 GMT	Yinghai Lu <yhlu@tyan.com>	patch-945

    Summary:
      onboard pci_rom disable onboard
    Revision:
      freebios--import--2.0--patch-945

    Author: yhlu
    Date: 2005/01/14 05:34:09
    onboard pci_rom disable onboard

    modified files:
     ChangeLog.arch src/devices/device.c src/devices/pci_device.c


2005-03-10 00:13:29 GMT	Yinghai Lu <yhlu@tyan.com>	patch-944

    Summary:
      onboard pci_rom finally done
    Revision:
      freebios--import--2.0--patch-944

    Author: yhlu
    Date: 2005/01/14 02:59:24
    onboard pci_rom finally done

    modified files:
     ChangeLog.arch src/devices/device.c


2005-03-10 00:13:23 GMT	Yinghai Lu <yhlu@tyan.com>	patch-943

    Summary:
      ht opt bug
    Revision:
      freebios--import--2.0--patch-943

    Author: yhlu
    Date: 2005/01/13 21:37:29
    ht opt bug

    modified files:
     ChangeLog.arch src/northbridge/amd/amdk8/incoherent_ht.c


2005-03-10 00:13:18 GMT	Yinghai Lu <yhlu@tyan.com>	patch-942

    Summary:
      lift apic id fix
    Revision:
      freebios--import--2.0--patch-942

    Author: yhlu
    Date: 2005/01/13 19:23:24
    lift apic id fix

    modified files:
     ChangeLog.arch src/cpu/amd/model_fxx/model_fxx_init.c


2005-03-10 00:13:12 GMT	Yinghai Lu <yhlu@tyan.com>	patch-941

    Summary:
      onboard pci_onboard works
    Revision:
      freebios--import--2.0--patch-941

    Author: yhlu
    Date: 2005/01/13 19:14:52
    onboard pci_onboard works

    modified files:
     ChangeLog.arch src/devices/pci_device.c


2005-03-10 00:13:07 GMT	Stefan Reinauer <stepan@openbios.org>	patch-940

    Summary:
      cosmetics. \n is enough here.
    Revision:
      freebios--import--2.0--patch-940

    Author: stepan
    Date: 2005/01/13 18:58:41
    cosmetics. \n is enough here.

    modified files:
     ChangeLog.arch src/superio/winbond/w83627hf/superio.c


2005-03-10 00:13:01 GMT	Ollie Lho <ollie@lanl.gov>	patch-939

    Summary:
      fixed a logic bug
    Revision:
      freebios--import--2.0--patch-939

    Author: ollie
    Date: 2005/01/13 05:51:48
    fixed a logic bug

    modified files:
     ChangeLog.arch src/devices/pci_device.c


2005-03-10 00:12:55 GMT	Ollie Lho <ollie@lanl.gov>	patch-938

    Summary:
      better embedded ROM support, done blindly
    Revision:
      freebios--import--2.0--patch-938

    Author: ollie
    Date: 2005/01/13 05:44:16
    better embedded ROM support, done blindly

    modified files:
     ChangeLog.arch src/devices/pci_device.c src/devices/pci_rom.c


2005-03-10 00:12:47 GMT	Ollie Lho <ollie@lanl.gov>	patch-937

    Summary:
      remove #include chip.h
    Revision:
      freebios--import--2.0--patch-937

    Author: ollie
    Date: 2005/01/13 05:21:27
    remove #include chip.h

    modified files:
     ChangeLog.arch src/devices/pci_rom.c


2005-03-10 00:12:42 GMT	Yinghai Lu <yhlu@tyan.com>	patch-936

    Summary:
      onboard pci_rom
    Revision:
      freebios--import--2.0--patch-936

    Author: yhlu
    Date: 2005/01/13 03:50:18
    onboard pci_rom

    modified files:
     ChangeLog.arch src/drivers/pci/onboard/onboard.c
     src/include/device/pci_rom.h


2005-03-10 00:12:36 GMT	Yinghai Lu <yhlu@tyan.com>	patch-935

    Summary:
      onboard pci_rom
    Revision:
      freebios--import--2.0--patch-935

    Author: yhlu
    Date: 2005/01/13 03:32:02
    onboard pci_rom

    modified files:
     ChangeLog.arch src/devices/pci_device.c src/devices/pci_rom.c
     src/drivers/pci/onboard/onboard.c src/include/device/device.h


2005-03-10 00:12:25 GMT	Yinghai Lu <yhlu@tyan.com>	patch-934

    Summary:
      onboard pci rom
    Revision:
      freebios--import--2.0--patch-934

    Author: yhlu
    Date: 2005/01/12 23:52:07
    onboard pci rom

    new files:
     src/drivers/pci/.arch-ids/=id
     src/drivers/pci/onboard/.arch-ids/=id
     src/drivers/pci/onboard/.arch-ids/Config.lb.id
     src/drivers/pci/onboard/.arch-ids/chip.h.id
     src/drivers/pci/onboard/.arch-ids/onboard.c.id
     src/drivers/pci/onboard/Config.lb
     src/drivers/pci/onboard/chip.h
     src/drivers/pci/onboard/onboard.c
     targets/tyan/s2850/.arch-ids/atix.txt.id
     targets/tyan/s2850/atix.txt

    modified files:
     ChangeLog.arch src/mainboard/tyan/s2850/Config.lb
     targets/tyan/s2850/Config.lb targets/tyan/s2850/VERSION
     targets/tyan/s2850/ns2850

    new directories:
     src/drivers/pci src/drivers/pci/.arch-ids
     src/drivers/pci/onboard src/drivers/pci/onboard/.arch-ids


2005-03-10 00:12:08 GMT	Ollie Lho <ollie@lanl.gov>	patch-933

    Summary:
      works for PCI vga cards too
    Revision:
      freebios--import--2.0--patch-933

    Author: ollie
    Date: 2005/01/11 22:48:52
    works for PCI vga cards too

    modified files:
     ChangeLog.arch src/devices/device.c
     src/devices/emulator/biosemu.c
     src/devices/emulator/pcbios/pcibios.c
     src/devices/emulator/x86emu/sys.c src/devices/pci_device.c
     src/devices/pci_rom.c src/northbridge/amd/amdk8/northbridge.c


2005-03-10 00:11:51 GMT	Ollie Lho <ollie@lanl.gov>	patch-932

    Summary:
      removed validation code
    Revision:
      freebios--import--2.0--patch-932

    Author: ollie
    Date: 2005/01/11 16:35:56
    removed validation code

    removed files:
     src/devices/emulator/x86emu/.arch-ids/validate.c.id
     src/devices/emulator/x86emu/validate.c

    modified files:
     ChangeLog.arch


2005-03-10 00:11:47 GMT	Ollie Lho <ollie@lanl.gov>	patch-931

    Summary:
      fixed abs() impelmentation
    Revision:
      freebios--import--2.0--patch-931

    Author: ollie
    Date: 2005/01/11 16:33:31
    fixed abs() impelmentation

    modified files:
     ChangeLog.arch src/devices/emulator/x86emu/prim_ops.c


2005-03-10 00:11:41 GMT	Ollie Lho <ollie@lanl.gov>	patch-930

    Summary:
      use Paulo's reduced version
    Revision:
      freebios--import--2.0--patch-930

    Author: ollie
    Date: 2005/01/11 03:15:54
    use Paulo's reduced version

    modified files:
     ChangeLog.arch util/vgabios/helper_exec.c util/vgabios/int10.c
     util/vgabios/int15.c util/vgabios/int1a.c
     util/vgabios/pci-userspace.c util/vgabios/testbios.c
     util/vgabios/x86emu/include/x86emu.h
     util/vgabios/x86emu/src/x86emu/debug.c
     util/vgabios/x86emu/src/x86emu/decode.c
     util/vgabios/x86emu/src/x86emu/fpu.c
     util/vgabios/x86emu/src/x86emu/makefile
     util/vgabios/x86emu/src/x86emu/makefile.linux
     util/vgabios/x86emu/src/x86emu/ops.c
     util/vgabios/x86emu/src/x86emu/ops2.c
     util/vgabios/x86emu/src/x86emu/prim_ops.c
     util/vgabios/x86emu/src/x86emu/sys.c
     util/vgabios/x86emu/src/x86emu/validate.c
     util/vgabios/x86emu/src/x86emu/x86emu/debug.h
     util/vgabios/x86emu/src/x86emu/x86emu/decode.h
     util/vgabios/x86emu/src/x86emu/x86emu/fpu.h
     util/vgabios/x86emu/src/x86emu/x86emu/ops.h
     util/vgabios/x86emu/src/x86emu/x86emu/prim_asm.h
     util/vgabios/x86emu/src/x86emu/x86emu/prim_ops.h
     util/vgabios/x86emu/src/x86emu/x86emu/x86emui.h


2005-03-10 00:10:56 GMT	Ollie Lho <ollie@lanl.gov>	patch-929

    Summary:
      *** empty log message ***
    Revision:
      freebios--import--2.0--patch-929

    Author: ollie
    Date: 2005/01/11 02:48:22
    *** empty log message ***

    modified files:
     ChangeLog.arch util/flash_and_burn/flash_rom.c
     util/flash_and_burn/sst49lf040.c
     util/flash_and_burn/sst49lf040.h


2005-03-10 00:10:48 GMT	Ollie Lho <ollie@lanl.gov>	patch-928

    Summary:
      added PCI expansion ROM support,
    Revision:
      freebios--import--2.0--patch-928

    Author: ollie
    Date: 2005/01/10 23:16:19
    added PCI expansion ROM support,
    works for some ATI and Nvidia AGP cards now.

    new files:
     src/devices/.arch-ids/pci_rom.c.id
     src/devices/emulator/.arch-ids/=id
     src/devices/emulator/.arch-ids/Config.lb.id
     src/devices/emulator/.arch-ids/biosemu.c.id
     src/devices/emulator/Config.lb src/devices/emulator/biosemu.c
     src/devices/emulator/pcbios/.arch-ids/=id
     src/devices/emulator/pcbios/.arch-ids/Config.lb.id
     src/devices/emulator/pcbios/.arch-ids/pcibios.c.id
     src/devices/emulator/pcbios/.arch-ids/pcibios.h.id
     src/devices/emulator/pcbios/Config.lb
     src/devices/emulator/pcbios/pcibios.c
     src/devices/emulator/pcbios/pcibios.h
     src/devices/emulator/x86emu/.arch-ids/=id
     src/devices/emulator/x86emu/.arch-ids/Config.lb.id
     src/devices/emulator/x86emu/.arch-ids/LICENSE.id
     src/devices/emulator/x86emu/.arch-ids/debug.c.id
     src/devices/emulator/x86emu/.arch-ids/debug.h.id
     src/devices/emulator/x86emu/.arch-ids/decode.c.id
     src/devices/emulator/x86emu/.arch-ids/decode.h.id
     src/devices/emulator/x86emu/.arch-ids/fpu.c.id
     src/devices/emulator/x86emu/.arch-ids/fpu.h.id
     src/devices/emulator/x86emu/.arch-ids/ops.c.id
     src/devices/emulator/x86emu/.arch-ids/ops.h.id
     src/devices/emulator/x86emu/.arch-ids/ops2.c.id
     src/devices/emulator/x86emu/.arch-ids/prim_asm.h.id
     src/devices/emulator/x86emu/.arch-ids/prim_ops.c.id
     src/devices/emulator/x86emu/.arch-ids/prim_ops.h.id
     src/devices/emulator/x86emu/.arch-ids/sys.c.id
     src/devices/emulator/x86emu/.arch-ids/validate.c.id
     src/devices/emulator/x86emu/.arch-ids/x86emui.h.id
     src/devices/emulator/x86emu/Config.lb
     src/devices/emulator/x86emu/LICENSE
     src/devices/emulator/x86emu/debug.c
     src/devices/emulator/x86emu/debug.h
     src/devices/emulator/x86emu/decode.c
     src/devices/emulator/x86emu/decode.h
     src/devices/emulator/x86emu/fpu.c
     src/devices/emulator/x86emu/fpu.h
     src/devices/emulator/x86emu/ops.c
     src/devices/emulator/x86emu/ops.h
     src/devices/emulator/x86emu/ops2.c
     src/devices/emulator/x86emu/prim_asm.h
     src/devices/emulator/x86emu/prim_ops.c
     src/devices/emulator/x86emu/prim_ops.h
     src/devices/emulator/x86emu/sys.c
     src/devices/emulator/x86emu/validate.c
     src/devices/emulator/x86emu/x86emui.h src/devices/pci_rom.c
     src/include/device/.arch-ids/pci_rom.h.id
     src/include/device/pci_rom.h src/include/x86emu/.arch-ids/=id
     src/include/x86emu/.arch-ids/fpu_regs.h.id
     src/include/x86emu/.arch-ids/regs.h.id
     src/include/x86emu/.arch-ids/types.h.id
     src/include/x86emu/.arch-ids/x86emu.h.id
     src/include/x86emu/fpu_regs.h src/include/x86emu/regs.h
     src/include/x86emu/types.h src/include/x86emu/x86emu.h

    modified files:
     ChangeLog.arch src/console/Config.lb
     src/cpu/amd/mtrr/Config.lb src/devices/Config.lb
     src/devices/pci_device.c src/include/device/pci.h
     src/pc80/Config.lb

    new directories:
     src/devices/emulator src/devices/emulator/.arch-ids
     src/devices/emulator/pcbios
     src/devices/emulator/pcbios/.arch-ids
     src/devices/emulator/x86emu
     src/devices/emulator/x86emu/.arch-ids src/include/x86emu
     src/include/x86emu/.arch-ids


2005-03-10 00:09:40 GMT	Yinghai Lu <yhlu@tyan.com>	patch-927

    Summary:
      nodeid
    Revision:
      freebios--import--2.0--patch-927

    Author: yhlu
    Date: 2005/01/10 22:20:48
    nodeid

    modified files:
     ChangeLog.arch src/mainboard/amd/quartet/auto.c
     src/mainboard/amd/quartet/failover.c
     src/mainboard/amd/serenade/auto.c
     src/mainboard/amd/serenade/failover.c
     src/mainboard/amd/solo/auto.c
     src/mainboard/amd/solo/failover.c
     src/mainboard/arima/hdama/auto.c
     src/mainboard/arima/hdama/failover.c
     src/mainboard/tyan/s2850/auto.c
     src/mainboard/tyan/s2850/failover.c
     src/mainboard/tyan/s2875/auto.c
     src/mainboard/tyan/s2875/failover.c
     src/mainboard/tyan/s2880/auto.c
     src/mainboard/tyan/s2880/failover.c
     src/mainboard/tyan/s2881/auto.c
     src/mainboard/tyan/s2881/failover.c
     src/mainboard/tyan/s2882/auto.c
     src/mainboard/tyan/s2882/failover.c
     src/mainboard/tyan/s2885/auto.c
     src/mainboard/tyan/s2885/failover.c
     src/mainboard/tyan/s4880/auto.c
     src/mainboard/tyan/s4880/failover.c


2005-03-10 00:09:04 GMT	Yinghai Lu <yhlu@tyan.com>	patch-926

    Summary:
      no siblings yet
    Revision:
      freebios--import--2.0--patch-926

    Author: yhlu
    Date: 2005/01/10 19:20:38
    no siblings yet

    modified files:
     ChangeLog.arch src/northbridge/amd/amdk8/northbridge.c


2005-03-10 00:08:59 GMT	Yinghai Lu <yhlu@tyan.com>	patch-925

    Summary:
      enable apic ext id to keep bsp using apid 0
    Revision:
      freebios--import--2.0--patch-925

    Author: yhlu
    Date: 2005/01/07 21:15:39
    enable apic ext id to keep bsp using apid 0

    modified files:
     ChangeLog.arch src/mainboard/tyan/s4882/auto.c
     src/mainboard/tyan/s4882/failover.c


2005-03-10 00:08:51 GMT	Yinghai Lu <yhlu@tyan.com>	patch-924

    Summary:
      enable apic ext id to keep bsp using 0
    Revision:
      freebios--import--2.0--patch-924

    Author: yhlu
    Date: 2005/01/07 21:12:05
    enable apic ext id to keep bsp using 0

    modified files:
     ChangeLog.arch src/northbridge/amd/amdk8/coherent_ht.c
     src/northbridge/amd/amdk8/northbridge.c


2005-03-10 00:08:44 GMT	Ollie Lho <ollie@lanl.gov>	patch-923

    Summary:
      remove ti_firewire.c, it only enable the bus master
    Revision:
      freebios--import--2.0--patch-923

    Author: ollie
    Date: 2005/01/07 04:50:33
    remove ti_firewire.c, it only enable the bus master

    removed files:
     src/mainboard/tyan/s2885/.arch-ids/ti_firewire.c.id
     src/mainboard/tyan/s2885/ti_firewire.c

    modified files:
     ChangeLog.arch src/mainboard/tyan/s2885/Config.lb
     src/mainboard/tyan/s2885/Options.lb


2005-03-10 00:08:37 GMT	Ollie Lho <ollie@lanl.gov>	patch-922

    Summary:
      fixed indentation
    Revision:
      freebios--import--2.0--patch-922

    Author: ollie
    Date: 2005/01/07 02:42:53
    fixed indentation

    modified files:
     ChangeLog.arch src/pc80/mc146818rtc.c


2005-03-10 00:08:32 GMT	Yinghai Lu <yhlu@tyan.com>	patch-921

    Summary:
      add NC support to spare mtrrs for 64G memory stored
    Revision:
      freebios--import--2.0--patch-921

    Author: yhlu
    Date: 2005/01/06 04:55:19
    add NC support to spare mtrrs for 64G memory stored

    modified files:
     ChangeLog.arch src/cpu/x86/mtrr/mtrr.c


2005-03-10 00:08:26 GMT	Yinghai Lu <yhlu@tyan.com>	patch-920

    Summary:
      clear dead link bug fix and opt_link_read for non coher...
    Revision:
      freebios--import--2.0--patch-920

    Author: yhlu
    Date: 2005/01/06 02:23:30
    clear dead link bug fix and opt_link_read for non coherent link

    modified files:
     ChangeLog.arch src/northbridge/amd/amdk8/coherent_ht.c
     src/northbridge/amd/amdk8/incoherent_ht.c


2005-03-10 00:08:18 GMT	Stefan Reinauer <stepan@openbios.org>	patch-919

    Summary:
      compile fix
    Revision:
      freebios--import--2.0--patch-919

    Author: stepan
    Date: 2005/01/05 21:13:09
    compile fix

    modified files:
     ChangeLog.arch src/northbridge/amd/amdk8/northbridge.c


2005-03-10 00:08:12 GMT	Yinghai Lu <yhlu@tyan.com>	patch-918

    Summary:
      enable apic ext id
    Revision:
      freebios--import--2.0--patch-918

    Author: yhlu
    Date: 2005/01/05 20:24:26
    enable apic ext id

    modified files:
     ChangeLog.arch src/cpu/amd/model_fxx/model_fxx_init.c
     src/mainboard/tyan/s4882/auto.c
     src/northbridge/amd/amdk8/coherent_ht.c
     src/northbridge/amd/amdk8/northbridge.c
     src/northbridge/amd/amdk8/reset_test.c


2005-03-10 00:08:00 GMT	Stefan Reinauer <stepan@openbios.org>	patch-917

    Summary:
      adapt to freebios v2. still doesnt handle comments corr...
    Revision:
      freebios--import--2.0--patch-917

    Author: stepan
    Date: 2005/01/04 15:16:19
    adapt to freebios v2. still doesnt handle comments correctly.

    modified files:
     ChangeLog.arch util/mptable/mptable.c


2005-03-10 00:07:54 GMT	Yinghai Lu <yhlu@tyan.com>	patch-916

    Summary:
      serialize cpus for >2
    Revision:
      freebios--import--2.0--patch-916

    Author: yhlu
    Date: 2005/01/03 20:54:43
    serialize cpus for >2

    modified files:
     ChangeLog.arch src/cpu/x86/lapic/lapic_cpu_init.c


2005-03-10 00:07:49 GMT	Yinghai Lu <yhlu@tyan.com>	patch-915

    Summary:
      optimize read link bug fixed.
    Revision:
      freebios--import--2.0--patch-915

    Author: yhlu
    Date: 2005/01/03 20:00:36
    optimize read link bug fixed.

    modified files:
     ChangeLog.arch src/northbridge/amd/amdk8/misc_control.c


2005-03-10 00:07:44 GMT	Yinghai Lu <yhlu@tyan.com>	patch-914

    Summary:
      Dynamic RT with 4 ways test OK.
    Revision:
      freebios--import--2.0--patch-914

    Author: yhlu
    Date: 2005/01/03 19:54:47
    Dynamic RT with 4 ways test OK.

    modified files:
     ChangeLog.arch src/northbridge/amd/amdk8/coherent_ht.c


2005-03-10 00:07:38 GMT	Ollie Lho <ollie@lanl.gov>	patch-913

    Summary:
      now rom_address is one of the resources
    Revision:
      freebios--import--2.0--patch-913

    Author: ollie
    Date: 2004/12/27 17:53:45
    now rom_address is one of the resources

    modified files:
     ChangeLog.arch src/include/device/device.h


2005-03-10 00:07:33 GMT	Ollie Lho <ollie@lanl.gov>	patch-912

    Summary:
      remove unused options
    Revision:
      freebios--import--2.0--patch-912

    Author: ollie
    Date: 2004/12/27 17:52:54
    remove unused options

    modified files:
     ChangeLog.arch src/arch/i386/lib/Config.lb


2005-03-10 00:07:28 GMT	Ollie Lho <ollie@lanl.gov>	patch-911

    Summary:
      start consolidate various borken vga support
    Revision:
      freebios--import--2.0--patch-911

    Author: ollie
    Date: 2004/12/27 17:52:05
    start consolidate various borken vga support

    removed files:
     src/pc80/.arch-ids/vgabios.c.id
     src/pc80/.arch-ids/vgachip.h.id src/pc80/vgabios.c
     src/pc80/vgachip.h

    modified files:
     ChangeLog.arch src/pc80/Config.lb


2005-03-10 00:07:23 GMT	Ollie Lho <ollie@lanl.gov>	patch-910

    Summary:
      clean up VGA and Expansion ROM support
    Revision:
      freebios--import--2.0--patch-910

    Author: ollie
    Date: 2004/12/27 04:25:40
    clean up VGA and Expansion ROM support

    modified files:
     ChangeLog.arch src/devices/device_util.c
     src/devices/pci_device.c
     src/northbridge/amd/amdk8/northbridge.c


2005-03-10 00:07:13 GMT	Yinghai Lu <yhlu@tyan.com>	patch-909

    Summary:
      default link bug fix
    Revision:
      freebios--import--2.0--patch-909

    Author: yhlu
    Date: 2004/12/24 04:42:59
    default link bug fix

    modified files:
     ChangeLog.arch src/northbridge/amd/amdk8/coherent_ht.c


2005-03-10 00:07:07 GMT	Ollie Lho <ollie@lanl.gov>	patch-908

    Summary:
      Allocating resource for Expansion ROM
    Revision:
      freebios--import--2.0--patch-908

    Author: ollie
    Date: 2004/12/23 21:48:01
    Allocating resource for Expansion ROM
    
    More correct resource allocation for legacy VGA on K8

    modified files:
     ChangeLog.arch src/devices/pci_device.c
     src/devices/smbus_ops.c
     src/northbridge/amd/amdk8/northbridge.c


2005-03-10 00:06:57 GMT	Yinghai Lu <yhlu@tyan.com>	patch-907

    Summary:
      *** empty log message ***
    Revision:
      freebios--import--2.0--patch-907

    Author: yhlu
    Date: 2004/12/22 19:02:41
    *** empty log message ***

    modified files:
     ChangeLog.arch src/northbridge/amd/amdk8/coherent_ht.c


2005-03-10 00:06:52 GMT	Yinghai Lu <yhlu@tyan.com>	patch-906

    Summary:
      update broastcast table for K8 4p above
    Revision:
      freebios--import--2.0--patch-906

    Author: yhlu
    Date: 2004/12/22 03:14:50
    update broastcast table for K8 4p above

    modified files:
     ChangeLog.arch src/northbridge/amd/amdk8/coherent_ht.c


2005-03-10 00:06:46 GMT	Yinghai Lu <yhlu@tyan.com>	patch-905

    Summary:
      8 ways support changes
    Revision:
      freebios--import--2.0--patch-905

    Author: yhlu
    Date: 2004/12/22 00:58:50
    8 ways support changes

    modified files:
     ChangeLog.arch src/northbridge/amd/amdk8/coherent_ht.c


2005-03-10 00:06:40 GMT	Yinghai Lu <yhlu@tyan.com>	patch-904

    Summary:
      amd k8 routing table creation dynamically support
    Revision:
      freebios--import--2.0--patch-904

    Author: yhlu
    Date: 2004/12/21 22:14:07
    amd k8 routing table creation dynamically support

    modified files:
     ChangeLog.arch src/northbridge/amd/amdk8/coherent_ht.c
     src/northbridge/amd/amdk8/incoherent_ht.c


2005-03-10 00:06:33 GMT	Yinghai Lu <yhlu@tyan.com>	patch-903

    Summary:
      non coherent ht chain setup automatically
    Revision:
      freebios--import--2.0--patch-903

    Author: yhlu
    Date: 2004/12/17 21:04:13
    non coherent ht chain setup automatically

    modified files:
     ChangeLog.arch src/mainboard/amd/quartet/auto.c
     src/mainboard/tyan/s2885/auto.c
     src/northbridge/amd/amdk8/incoherent_ht.c


2005-03-10 00:06:23 GMT	Stefan Reinauer <stepan@openbios.org>	patch-902

    Summary:
      target config fixup
    Revision:
      freebios--import--2.0--patch-902

    Author: stepan
    Date: 2004/12/16 10:38:37
    target config fixup

    modified files:
     ChangeLog.arch targets/amd/quartet/Config.lb
     targets/amd/serenade/Config.lb
     targets/amd/solo/Config-8MBit.lb


2005-03-10 00:06:15 GMT	Yinghai Lu <yhlu@tyan.com>	patch-901

    Summary:
      btext fix
    Revision:
      freebios--import--2.0--patch-901

    Author: yhlu
    Date: 2004/12/16 02:43:10
    btext fix

    modified files:
     ChangeLog.arch src/console/btext_console.c
     src/console/font-8x16.c src/mainboard/tyan/s2850/Config.lb
     src/mainboard/tyan/s2850/Options.lb
     targets/tyan/s2850/Config.lb


2005-03-10 00:06:01 GMT	Stefan Reinauer <stepan@openbios.org>	patch-900

    Summary:
      shame on me.
    Revision:
      freebios--import--2.0--patch-900

    Author: stepan
    Date: 2004/12/15 16:09:06
    shame on me.

    modified files:
     ChangeLog.arch src/arch/ppc/boot/linuxbios_table.h


2005-03-10 00:05:56 GMT	Stefan Reinauer <stepan@openbios.org>	patch-899

    Summary:
      obviously broken
    Revision:
      freebios--import--2.0--patch-899

    Author: stepan
    Date: 2004/12/15 16:08:18
    obviously broken

    modified files:
     ChangeLog.arch src/arch/ppc/boot/linuxbios_table.h


2005-03-10 00:05:50 GMT	Yinghai Lu <yhlu@tyan.com>	patch-898

    Summary:
      add dump_pci_devices_in_bus
    Revision:
      freebios--import--2.0--patch-898

    Author: yhlu
    Date: 2004/12/14 01:56:55
    add dump_pci_devices_in_bus

    modified files:
     ChangeLog.arch src/northbridge/amd/amdk8/debug.c


2005-03-10 00:05:45 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-897

    Summary:
      - Fix the definition of the linuxbios table so all of t...
    Revision:
      freebios--import--2.0--patch-897

    Author: ebiederm
    Date: 2004/12/10 20:50:39
    - Fix the definition of the linuxbios table so all of the compilers
    will generate the struct lb_memory_range the same.
    - Add a few pci_ids.
    - Small readabiltiy clean ups to debug_dev

    modified files:
     ChangeLog.arch src/arch/i386/boot/linuxbios_table.c
     src/arch/i386/lib/Config.lb
     src/arch/ppc/boot/linuxbios_table.c src/boot/elfboot.c
     src/drivers/generic/debug/debug_dev.c
     src/include/boot/linuxbios_tables.h
     src/include/device/pci_ids.h


2005-03-10 00:05:29 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-896

    Summary:
      mptable tool
    Revision:
      freebios--import--2.0--patch-896

    Author: rminnich
    Date: 2004/12/10 16:18:43
    mptable tool

    new files:
     util/mptable/.arch-ids/=id util/mptable/.arch-ids/Makefile.id
     util/mptable/.arch-ids/mptable.c.id util/mptable/Makefile
     util/mptable/mptable.c

    modified files:
     ChangeLog.arch

    new directories:
     util/mptable util/mptable/.arch-ids


2005-03-10 00:05:21 GMT	Stefan Reinauer <stepan@openbios.org>	patch-895

    Summary:
      get config tool satisfied.. let's see if we get this wo...
    Revision:
      freebios--import--2.0--patch-895

    Author: stepan
    Date: 2004/12/09 00:37:03
    get config tool satisfied.. let's see if we get this working..

    new files:
     src/mainboard/technologic/ts5300/.arch-ids/Options.lb.id
     src/mainboard/technologic/ts5300/Options.lb

    modified files:
     ChangeLog.arch src/mainboard/technologic/ts5300/Config.lb


2005-03-10 00:05:15 GMT	Ollie Lho <ollie@lanl.gov>	patch-894

    Summary:
      added -E option for chip erase, remove duplicated code
    Revision:
      freebios--import--2.0--patch-894

    Author: ollie
    Date: 2004/12/08 20:10:00
    added -E option for chip erase, remove duplicated code

    modified files:
     ChangeLog.arch util/flash_and_burn/flash_rom.c
     util/flash_and_burn/jedec.c util/flash_and_burn/pm49fl004.c
     util/flash_and_burn/sst39sf020.c
     util/flash_and_burn/sst_fwhub.c util/flash_and_burn/w49f002u.c


2005-03-10 00:05:02 GMT	Ollie Lho <ollie@lanl.gov>	patch-893

    Summary:
      add retry to write_byte_program_jedec(), 99% success rate
    Revision:
      freebios--import--2.0--patch-893

    Author: ollie
    Date: 2004/12/08 02:10:33
    add retry to write_byte_program_jedec(), 99% success rate

    modified files:
     ChangeLog.arch util/flash_and_burn/flash_rom.c
     util/flash_and_burn/jedec.c util/flash_and_burn/sst_fwhub.c
     util/flash_and_burn/sst_fwhub.h


2005-03-10 00:04:52 GMT	Ollie Lho <ollie@lanl.gov>	patch-892

    Summary:
      enable LPC decoding for 1 MB more addresss, for support...
    Revision:
      freebios--import--2.0--patch-892

    Author: ollie
    Date: 2004/12/07 17:19:04
    enable LPC decoding for 1 MB more addresss, for supporting SST49LF00xA/B

    modified files:
     ChangeLog.arch util/flash_and_burn/flash_enable.c
     util/flash_and_burn/flash_rom.c
     util/flash_and_burn/sst_fwhub.c


2005-03-10 00:04:42 GMT	Ollie Lho <ollie@lanl.gov>	patch-891

    Summary:
      SST49LF00[2,3,4] should use
    Revision:
      freebios--import--2.0--patch-891

    Author: ollie
    Date: 2004/12/07 03:15:51
    SST49LF00[2,3,4] should use
    the same driver as 49LF008

    modified files:
     ChangeLog.arch util/flash_and_burn/flash_rom.c
     util/flash_and_burn/jedec.c util/flash_and_burn/sst_fwhub.c


2005-03-10 00:04:34 GMT	Ollie Lho <ollie@lanl.gov>	patch-890

    Summary:
      allocating resource for legacy VGA frame buffer, it is ...
    Revision:
      freebios--import--2.0--patch-890

    Author: ollie
    Date: 2004/12/03 22:39:33
    allocating resource for legacy VGA frame buffer, it is not 100%
    correct but it works anyway.

    modified files:
     ChangeLog.arch src/boot/hardwaremain.c src/devices/device.c
     src/devices/pci_device.c src/devices/root_device.c
     src/northbridge/amd/amdk8/northbridge.c
     src/southbridge/amd/amd8111/amd8111_lpc.c


2005-03-10 00:04:20 GMT	Yinghai Lu <yhlu@tyan.com>	patch-889

    Summary:
      *** empty log message ***
    Revision:
      freebios--import--2.0--patch-889

    Author: yhlu
    Date: 2004/12/03 19:07:45
    *** empty log message ***

    modified files:
     ChangeLog.arch src/mainboard/tyan/s2885/irq_tables.c


2005-03-10 00:04:15 GMT	Yinghai Lu <yhlu@tyan.com>	patch-888

    Summary:
      i2c mux support
    Revision:
      freebios--import--2.0--patch-888

    Author: yhlu
    Date: 2004/12/03 03:39:02
    i2c mux support

    new files:
     src/devices/.arch-ids/smbus_ops.c.id src/devices/smbus_ops.c
     src/drivers/i2c/.arch-ids/=id
     src/drivers/i2c/adm1026/.arch-ids/=id
     src/drivers/i2c/adm1026/.arch-ids/Config.lb.id
     src/drivers/i2c/adm1026/.arch-ids/adm1026.c.id
     src/drivers/i2c/adm1026/.arch-ids/chip.h.id
     src/drivers/i2c/adm1026/Config.lb
     src/drivers/i2c/adm1026/adm1026.c
     src/drivers/i2c/adm1026/chip.h
     src/drivers/i2c/adm1027/.arch-ids/=id
     src/drivers/i2c/adm1027/.arch-ids/Config.lb.id
     src/drivers/i2c/adm1027/.arch-ids/adm1027.c.id
     src/drivers/i2c/adm1027/.arch-ids/chip.h.id
     src/drivers/i2c/adm1027/Config.lb
     src/drivers/i2c/adm1027/adm1027.c
     src/drivers/i2c/adm1027/chip.h
     src/drivers/i2c/i2cmux/.arch-ids/=id
     src/drivers/i2c/i2cmux/.arch-ids/Config.lb.id
     src/drivers/i2c/i2cmux/.arch-ids/chip.h.id
     src/drivers/i2c/i2cmux/.arch-ids/i2cmux.c.id
     src/drivers/i2c/i2cmux/Config.lb src/drivers/i2c/i2cmux/chip.h
     src/drivers/i2c/i2cmux/i2cmux.c
     src/drivers/i2c/lm63/.arch-ids/=id
     src/drivers/i2c/lm63/.arch-ids/Config.lb.id
     src/drivers/i2c/lm63/.arch-ids/chip.h.id
     src/drivers/i2c/lm63/.arch-ids/lm63.c.id
     src/drivers/i2c/lm63/Config.lb src/drivers/i2c/lm63/chip.h
     src/drivers/i2c/lm63/lm63.c

    modified files:
     ChangeLog.arch src/devices/Config.lb
     src/drivers/generic/debug/debug_dev.c
     src/include/device/device.h src/include/device/smbus.h
     src/mainboard/tyan/s2885/Config.lb
     src/mainboard/tyan/s2885/auto.c
     src/mainboard/tyan/s2885/irq_tables.c
     src/mainboard/tyan/s4882/Config.lb
     src/northbridge/amd/amdk8/debug.c
     src/southbridge/amd/amd8111/amd8111_acpi.c

    new directories:
     src/drivers/i2c src/drivers/i2c/.arch-ids
     src/drivers/i2c/adm1026 src/drivers/i2c/adm1026/.arch-ids
     src/drivers/i2c/adm1027 src/drivers/i2c/adm1027/.arch-ids
     src/drivers/i2c/i2cmux src/drivers/i2c/i2cmux/.arch-ids
     src/drivers/i2c/lm63 src/drivers/i2c/lm63/.arch-ids


2005-03-10 00:03:36 GMT	Mark Wilkinson <mwilkinson@ndirect.co.uk>	patch-887

    Summary:
      Updates to raminit.c correcting for new version of smbu...
    Revision:
      freebios--import--2.0--patch-887

    Author: mwrwilkinson
    Date: 2004/12/01 16:59:05
    Updates to raminit.c correcting for new version of smbus_read_byte.

    modified files:
     ChangeLog.arch src/northbridge/via/vt8601/raminit.c


2005-03-10 00:03:30 GMT	Mark Wilkinson <mwilkinson@ndirect.co.uk>	patch-886

    Summary:
      Updated version of vt8231_early_smbus.c
    Revision:
      freebios--import--2.0--patch-886

    Author: mwrwilkinson
    Date: 2004/12/01 16:57:37
    Updated version of vt8231_early_smbus.c
    
    smbus_read_byte routine updated as per suggestion by rgm
    addition reset & wait_until_ready to allow correct reading of first
    byte on epia systems.

    modified files:
     ChangeLog.arch src/southbridge/via/vt8231/vt8231_early_smbus.c


2005-03-10 00:03:24 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-885

    Summary:
      fixes to make adl855pc compile.
    Revision:
      freebios--import--2.0--patch-885

    Author: rminnich
    Date: 2004/11/28 04:39:42
    fixes to make adl855pc compile.
    
    fixes to emulator.

    modified files:
     ChangeLog.arch src/mainboard/digitallogic/adl855pc/auto.c
     src/northbridge/intel/i855pm/raminit.c
     src/southbridge/intel/i82801dbm/i82801dbm_early_smbus.c
     targets/digitallogic/adl855pc/Config.lb
     util/vgabios/testbios.c
     util/vgabios/x86emu/src/x86emu/decode.c


2005-03-10 00:03:11 GMT	Greg Watson <gwatson@lanl.gov>	patch-884

    Summary:
      new config file format - PMC no longer works
    Revision:
      freebios--import--2.0--patch-884

    Author: jarrah
    Date: 2004/11/26 01:11:31
    new config file format - PMC no longer works

    modified files:
     ChangeLog.arch src/mainboard/motorola/sandpoint/Config.lb


2005-03-10 00:03:06 GMT	Greg Watson <gwatson@lanl.gov>	patch-883

    Summary:
      moved from ../sandpointx3_altimus_mpc7410
    Revision:
      freebios--import--2.0--patch-883

    Author: jarrah
    Date: 2004/11/26 01:11:03
    moved from ../sandpointx3_altimus_mpc7410

    modified files:
     ChangeLog.arch src/mainboard/motorola/sandpoint/init.c


2005-03-10 00:02:59 GMT	Greg Watson <gwatson@lanl.gov>	patch-882

    Summary:
      not used here
    Revision:
      freebios--import--2.0--patch-882

    Author: jarrah
    Date: 2004/11/26 01:09:48
    not used here

    removed files:
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/.arch-ids/clock.c.id
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/.arch-ids/flash.h.id
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/.arch-ids/init.c.id
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/.arch-ids/nvram.h.id
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/.arch-ids/sp7410.cfg.id
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/clock.c
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/flash.h
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/flash/.arch-ids/=id
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/flash/.arch-ids/Config.lb.id
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/flash/.arch-ids/amd800.c.id
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/flash/.arch-ids/flash.c.id
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/flash/Config.lb
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/flash/amd800.c
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/flash/flash.c
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/init.c
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/nvram.h
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/nvram/.arch-ids/=id
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/nvram/.arch-ids/Config.lb.id
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/nvram/.arch-ids/bsp_nvram.c.id
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/nvram/.arch-ids/nvram.c.id
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/nvram/Config.lb
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/nvram/bsp_nvram.c
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/nvram/nvram.c
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/sp7410.cfg

    modified files:
     ChangeLog.arch

    removed directories:
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/flash
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/flash/.arch-ids
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/nvram
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/nvram/.arch-ids


2005-03-10 00:02:54 GMT	Greg Watson <gwatson@lanl.gov>	patch-881

    Summary:
      PMC no longer works
    Revision:
      freebios--import--2.0--patch-881

    Author: jarrah
    Date: 2004/11/26 01:08:16
    PMC no longer works

    modified files:
     ChangeLog.arch
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/Options.lb


2005-03-10 00:02:49 GMT	Greg Watson <gwatson@lanl.gov>	patch-880

    Summary:
      ../sandpoint contains X3 configuration
    Revision:
      freebios--import--2.0--patch-880

    Author: jarrah
    Date: 2004/11/26 01:07:47
    ../sandpoint contains X3 configuration

    modified files:
     ChangeLog.arch
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/Config.lb


2005-03-10 00:02:44 GMT	Greg Watson <gwatson@lanl.gov>	patch-879

    Summary:
      make sure enable_resource called on children
    Revision:
      freebios--import--2.0--patch-879

    Author: jarrah
    Date: 2004/11/26 00:46:39
    make sure enable_resource called on children

    modified files:
     ChangeLog.arch src/southbridge/winbond/w83c553/w83c553f.c


2005-03-10 00:02:39 GMT	Ollie Lho <ollie@lanl.gov>	patch-878

    Summary:
      update comment according to the new DOM
    Revision:
      freebios--import--2.0--patch-878

    Author: ollie
    Date: 2004/11/25 17:37:19
    update comment according to the new DOM

    modified files:
     ChangeLog.arch src/devices/device.c src/devices/pci_device.c
     src/devices/root_device.c src/include/device/device.h
     src/include/device/pci.h


2005-03-10 00:02:26 GMT	Ollie Lho <ollie@lanl.gov>	patch-877

    Summary:
      marked debug device on LPC bus
    Revision:
      freebios--import--2.0--patch-877

    Author: ollie
    Date: 2004/11/25 17:35:37
    marked debug device on LPC bus

    modified files:
     ChangeLog.arch src/mainboard/tyan/s2885/Config.lb


2005-03-10 00:02:20 GMT	Greg Watson <gwatson@lanl.gov>	patch-876

    Summary:
      new config model
    Revision:
      freebios--import--2.0--patch-876

    Author: jarrah
    Date: 2004/11/24 21:19:27
    new config model

    modified files:
     ChangeLog.arch targets/motorola/sandpoint/Config.lb


2005-03-10 00:02:15 GMT	Greg Watson <gwatson@lanl.gov>	patch-875

    Summary:
      move pnp code
    Revision:
      freebios--import--2.0--patch-875

    Author: jarrah
    Date: 2004/11/24 21:15:49
    move pnp code

    modified files:
     ChangeLog.arch
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/init.c


2005-03-10 00:02:10 GMT	Greg Watson <gwatson@lanl.gov>	patch-874

    Summary:
      pci devices are all on the same bus
    Revision:
      freebios--import--2.0--patch-874

    Author: jarrah
    Date: 2004/11/24 21:14:06
    pci devices are all on the same bus

    modified files:
     ChangeLog.arch
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/Config.lb


2005-03-10 00:02:04 GMT	Greg Watson <gwatson@lanl.gov>	patch-873

    Summary:
      removed argument
    Revision:
      freebios--import--2.0--patch-873

    Author: jarrah
    Date: 2004/11/24 21:13:03
    removed argument

    modified files:
     ChangeLog.arch src/northbridge/motorola/mpc107/mpc107.h


2005-03-10 00:01:59 GMT	Greg Watson <gwatson@lanl.gov>	patch-872

    Summary:
      added comments
    Revision:
      freebios--import--2.0--patch-872

    Author: jarrah
    Date: 2004/11/24 21:12:20
    added comments

    modified files:
     ChangeLog.arch
     src/northbridge/motorola/mpc107/mpc107_northbridge.c


2005-03-10 00:01:54 GMT	Greg Watson <gwatson@lanl.gov>	patch-871

    Summary:
      fixup debugging info
    Revision:
      freebios--import--2.0--patch-871

    Author: jarrah
    Date: 2004/11/24 21:10:17
    fixup debugging info

    modified files:
     ChangeLog.arch src/northbridge/motorola/mpc107/meminfo.c
     src/northbridge/motorola/mpc107/mpc107.c


2005-03-10 00:01:45 GMT	Greg Watson <gwatson@lanl.gov>	patch-870

    Summary:
      scan the static bus
    Revision:
      freebios--import--2.0--patch-870

    Author: jarrah
    Date: 2004/11/24 21:09:08
    scan the static bus

    modified files:
     ChangeLog.arch src/southbridge/winbond/w83c553/w83c553f.c


2005-03-10 00:01:40 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-869

    Summary:
      - Add the cpu path support.  Oops I failed to commit th...
    Revision:
      freebios--import--2.0--patch-869

    Author: ebiederm
    Date: 2004/11/22 21:45:24
    - Add the cpu path support.  Oops I failed to commit this earlier

    modified files:
     ChangeLog.arch util/newconfig/config.g


2005-03-10 00:01:34 GMT	Greg Watson <gwatson@lanl.gov>	patch-868

    Summary:
      pci_read using wrong device
    Revision:
      freebios--import--2.0--patch-868

    Author: jarrah
    Date: 2004/11/22 21:36:46
    pci_read using wrong device

    modified files:
     ChangeLog.arch
     src/northbridge/motorola/mpc107/mpc107_northbridge.c


2005-03-10 00:01:29 GMT	Greg Watson <gwatson@lanl.gov>	patch-867

    Summary:
      added missing cpu and cpu_bus support
    Revision:
      freebios--import--2.0--patch-867

    Author: jarrah
    Date: 2004/11/20 21:20:40
    added missing cpu and cpu_bus support

    modified files:
     ChangeLog.arch util/newconfig/config.g


2005-03-10 00:01:23 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-866

    Summary:
      - Add the new files for the motorola mpc107
    Revision:
      freebios--import--2.0--patch-866

    Author: ebiederm
    Date: 2004/11/18 22:39:43
    - Add the new files for the motorola mpc107

    new files:
     src/northbridge/motorola/mpc107/.arch-ids/chip.h.id
     src/northbridge/motorola/mpc107/.arch-ids/mpc107_northbridge.c.id
     src/northbridge/motorola/mpc107/chip.h
     src/northbridge/motorola/mpc107/mpc107_northbridge.c

    modified files:
     ChangeLog.arch


2005-03-10 00:01:16 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-865

    Summary:
      - First stab at getting the ppc ports building and working.
    Revision:
      freebios--import--2.0--patch-865

    Author: ebiederm
    Date: 2004/11/18 22:38:00
    - First stab at getting the ppc ports building and working.
    - The sandpointx3+altimus has been consolidated into one directory for now.
    - Added support for having different versions of the pci access functions
    on a per bus basis if needed.
    Hopefully I have not broken something inadvertently.

    new files:
     src/arch/ppc/lib/.arch-ids/div64.S.id
     src/arch/ppc/lib/.arch-ids/pci_ppc_conf1_ops.c.id
     src/arch/ppc/lib/div64.S src/arch/ppc/lib/pci_ppc_conf1_ops.c
     src/devices/.arch-ids/pci_ops.c.id src/devices/pci_ops.c
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/.arch-ids/=id
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/.arch-ids/Config.lb.id
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/.arch-ids/Options.lb.id
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/.arch-ids/STATUS.id
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/.arch-ids/clock.c.id
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/.arch-ids/flash.h.id
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/.arch-ids/init.c.id
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/.arch-ids/nvram.h.id
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/.arch-ids/sp7410.cfg.id
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/Config.lb
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/Options.lb
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/STATUS
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/clock.c
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/flash.h
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/flash/.arch-ids/=id
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/flash/.arch-ids/Config.lb.id
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/flash/.arch-ids/amd800.c.id
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/flash/.arch-ids/flash.c.id
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/flash/Config.lb
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/flash/amd800.c
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/flash/flash.c
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/init.c
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/nvram.h
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/nvram/.arch-ids/=id
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/nvram/.arch-ids/Config.lb.id
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/nvram/.arch-ids/bsp_nvram.c.id
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/nvram/.arch-ids/nvram.c.id
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/nvram/Config.lb
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/nvram/bsp_nvram.c
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/nvram/nvram.c
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/sp7410.cfg
     src/northbridge/ibm/cpc710/.arch-ids/chip.h.id
     src/northbridge/ibm/cpc710/.arch-ids/cpc710_northbridge.c.id
     src/northbridge/ibm/cpc710/chip.h
     src/northbridge/ibm/cpc710/cpc710_northbridge.c

    removed files:
     src/arch/i386/lib/.arch-ids/pci_ops.c.id
     src/arch/i386/lib/pci_ops.c
     src/arch/ppc/lib/.arch-ids/pci_ops.c.id
     src/arch/ppc/lib/pci_ops.c

    modified files:
     ChangeLog.arch src/arch/i386/boot/linuxbios_table.c
     src/arch/i386/include/arch/pci_ops.h
     src/arch/i386/lib/Config.lb src/arch/i386/lib/exception.c
     src/arch/i386/lib/pci_ops_auto.c
     src/arch/i386/lib/pci_ops_conf1.c
     src/arch/i386/lib/pci_ops_conf2.c
     src/arch/ppc/include/arch/cpu.h
     src/arch/ppc/include/arch/pci_ops.h src/arch/ppc/lib/Config.lb
     src/arch/ppc/lib/c_start.S src/arch/ppc/lib/cpu.c
     src/cpu/ppc/mpc74xx/Config.lb src/cpu/ppc/ppc4xx/Config.lb
     src/cpu/ppc/ppc7xx/Config.lb
     src/cpu/simple_init/simple_cpu_init.c
     src/cpu/x86/lapic/lapic_cpu_init.c src/devices/Config.lb
     src/devices/device_util.c src/devices/pci_device.c
     src/include/arch-generic/div64.h src/include/cpu/cpu.h
     src/include/cpu/ppc/cpuid.h src/include/device/device.h
     src/include/device/path.h src/include/device/pci.h
     src/mainboard/motorola/sandpoint/Config.lb
     src/mainboard/totalimpact/briq/Config.lb
     src/northbridge/amd/amdk8/northbridge.c
     src/northbridge/emulation/qemu-i386/northbridge.c
     src/northbridge/ibm/cpc710/Config.lb
     src/northbridge/intel/e7501/northbridge.c
     src/northbridge/intel/i855pm/northbridge.c
     src/northbridge/motorola/mpc107/Config.lb
     src/northbridge/motorola/mpc107/mpc107.c
     src/northbridge/transmeta/tm5800/northbridge.c
     src/northbridge/via/vt8601/northbridge.c
     src/northbridge/via/vt8623/northbridge.c src/pc80/keyboard.c
     src/pmc/altimus/mpc7410/Config.lb
     src/superio/NSC/pc97307/superio.c

    new directories:
     src/mainboard/motorola/sandpointx3_altimus_mpc7410
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/.arch-ids
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/flash
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/flash/.arch-ids
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/nvram
     src/mainboard/motorola/sandpointx3_altimus_mpc7410/nvram/.arch-ids


2005-03-09 23:59:11 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-864

    Summary:
      - Comment on why optimize_link_read_pointers is safe on...
    Revision:
      freebios--import--2.0--patch-864

    Author: ebiederm
    Date: 2004/11/15 17:01:05
    - Comment on why optimize_link_read_pointers is safe on an Athlon64

    modified files:
     ChangeLog.arch src/northbridge/amd/amdk8/coherent_ht.c


2005-03-09 23:59:05 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-863

    Summary:
      - Don't force spew level debug messages on the kherpi
    Revision:
      freebios--import--2.0--patch-863

    Author: ebiederm
    Date: 2004/11/15 10:46:43
    - Don't force spew level debug messages on the kherpi
    - optimize_link_read_pointers compiles now on the solo so don't disable it.
    - Start sorting out the confusion between and object and an initobject on the ppc ports
    - Major bugfix release of romcc to support to remove preprocessor deficiencies.
    The line and column numbers are computed are now correct.  But watch out
    the error messages sometimes report the location of the next token so things
    are still a little skewed.

    modified files:
     ChangeLog.arch src/mainboard/newisys/khepri/auto.c
     src/northbridge/amd/amdk8/coherent_ht.c
     src/northbridge/ibm/cpc710/Config.lb util/romcc/romcc.c


2005-03-09 23:58:51 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-862

    Summary:
      - Allow coherent_ht.c to compile uniprocessor
    Revision:
      freebios--import--2.0--patch-862

    Author: ebiederm
    Date: 2004/11/13 03:47:52
    - Allow coherent_ht.c to compile uniprocessor

    modified files:
     ChangeLog.arch src/northbridge/amd/amdk8/coherent_ht.c


2005-03-09 23:58:45 GMT	Stefan Reinauer <stepan@openbios.org>	patch-861

    Summary:
      ooops. sorry
    Revision:
      freebios--import--2.0--patch-861

    Author: stepan
    Date: 2004/11/12 21:00:28
    ooops. sorry

    new files:
     src/arch/ppc/include/arch/.arch-ids/cpu.h.id
     src/arch/ppc/include/arch/cpu.h

    modified files:
     ChangeLog.arch src/include/cpu/cpu.h


2005-03-09 23:58:37 GMT	Stefan Reinauer <stepan@openbios.org>	patch-860

    Summary:
      fix a little more of ppc
    Revision:
      freebios--import--2.0--patch-860

    Author: stepan
    Date: 2004/11/11 21:30:49
    fix a little more of ppc

    modified files:
     ChangeLog.arch src/arch/ppc/boot/linuxbios_table.c
     src/arch/ppc/boot/linuxbios_table.h src/arch/ppc/lib/cpuid.c
     src/include/cpu/cpu.h
     src/mainboard/totalimpact/briq/Options.lb


2005-03-09 23:58:26 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-859

    Summary:
      in loglevel.h, if ASM_CONSOLE_LOGLEVEL is defined, don'...
    Revision:
      freebios--import--2.0--patch-859

    Author: rminnich
    Date: 2004/11/11 14:04:23
    in loglevel.h, if ASM_CONSOLE_LOGLEVEL is defined, don't try to set it.
    Set adl855pc ROM_SIZE to 1M
    Other minor debug prints until we get this fixed.
    
    We're almost as far along as we were before the Change :-)

    modified files:
     ChangeLog.arch src/include/console/loglevel.h
     src/mainboard/digitallogic/adl855pc/Options.lb
     src/mainboard/digitallogic/adl855pc/auto.c
     src/northbridge/intel/i855pm/raminit.c
     src/southbridge/intel/i82801dbm/i82801dbm_early_smbus.c


2005-03-09 23:58:14 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-858

    Summary:
      - Refactor the pc keyboard code so it will timeout if t...
    Revision:
      freebios--import--2.0--patch-858

    Author: ebiederm
    Date: 2004/11/11 11:56:00
    - Refactor the pc keyboard code so it will timeout if the hardware
    is not working instead of haning forever.

    modified files:
     ChangeLog.arch src/pc80/keyboard.c


2005-03-09 23:58:09 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-857

    Summary:
      mpspec.h: Tweak the write_smp_table macro so that it is...
    Revision:
      freebios--import--2.0--patch-857

    Author: ebiederm
    Date: 2004/11/11 06:53:00
    mpspec.h: Tweak the write_smp_table macro so that it is safe if passed a complex expression.
    crt0.S.lb: Modified so that it is safe to include console.inc
    console.c:  Added print_debug_ and frieds which are non inline variants of the normal console functions
    div64.h:   Only include limits.h if  ULONG_MAX is not defined and define ULONG_MAX on ppc
    socket_754/Config.lb Conditionally set config chip.h
    socket_940.c We don't need and #if CONFIG_CHIP_NAME we won't be linked in if there are no references.
    slot_2/chip.h: The operations struct need to be spelled cpu_intelt_slot_2_ops
    slot_2/slot2.c: The same spelling fix
    socket_mPGA603/chip.h: again
    socket_mPGA603/socket_mPGA603_400Mhz.c: and again
    socket_mPGA604_533Mhz/Config.lb: Conditionally defing CONFIG_CHIP_NAME
    socket_mPGA604_800Mhz/chip.h: Another spelling fix
    socket_mPGA604_800Mhz.c     and again
    via/model_centaur/model_centaur_init.c: It's not an intel CPU so don't worry about Intel microcode uptdates
    earlymtrr.c:  Remove work around for older versions of romcc
    pci_ids.h:  More ids.
    malloc.c:   We don't need string.h any longer
    uart8250.c: Be consistent when delcaring functions static inline
    arima/hdama/mptable.c: Cleanup to be a little more consistent
    amdk8/coherent_ht.c:
    - Talk about nodes not cpus (In preparation for dual cores)
    - Remove clear_temp_row (as it is no longer needed)
    - Demoted the failure messages to spew.
    - Modified to gracefully handle failure (It should work now if cpus are removed)
    - Handle the non-SMP case in verify_mp_capabilities
    - Add clear_dead_routes which replaces clear_temp_row and does more
    - Reorganize setup_coherent_ht_domain to cleanly handle failure.
    - incoherent_ht.c: Clean up the indenation a little.
    i8259.c: remove blank lines at the start of the file.
    keyboard.c: Make pc_keyboard_init static
    ramtest.c: Add a print out limiter, and cleanup the printout a little.
    amd8111/Config.lb: Mention amd8111_smbus.c
    amd8111_usb.c: Call the structure usb_ops not smbus_ops.
    NSC/pc97307/chip.h: Fix spelling issue
    pc97307/superio.c: Use &ops no &pnp_ops.
    w83627hf/suerio.c: ditto
    w83627thf/suerio.c: ditto
    buildrom.c: Use braces around the body of a for loop.  It's more maintainable.

    modified files:
     ChangeLog.arch src/arch/i386/include/arch/smp/mpspec.h
     src/arch/i386/init/crt0.S.lb src/arch/i386/lib/console.c
     src/arch/i386/lib/id.inc src/arch/ppc/include/div64.h
     src/arch/ppc/lib/cpu.c src/cpu/amd/socket_754/Config.lb
     src/cpu/amd/socket_940/socket_940.c
     src/cpu/intel/model_f2x/Config.lb src/cpu/intel/slot_2/chip.h
     src/cpu/intel/slot_2/slot_2.c
     src/cpu/intel/socket_mPGA603/chip.h
     src/cpu/intel/socket_mPGA603/socket_mPGA603_400Mhz.c
     src/cpu/intel/socket_mPGA604_533Mhz/Config.lb
     src/cpu/intel/socket_mPGA604_800Mhz/chip.h
     src/cpu/intel/socket_mPGA604_800Mhz/socket_mPGA604_800Mhz.c
     src/cpu/via/model_centaur/model_centaur_init.c
     src/cpu/x86/16bit/reset16.lds src/cpu/x86/mtrr/earlymtrr.c
     src/include/arch-generic/div64.h src/include/device/pci_ids.h
     src/lib/malloc.c src/lib/uart8250.c
     src/mainboard/arima/hdama/mptable.c
     src/northbridge/amd/amdk8/coherent_ht.c
     src/northbridge/amd/amdk8/incoherent_ht.c src/pc80/i8259.c
     src/pc80/keyboard.c src/ram/ramtest.c
     src/southbridge/amd/amd8111/Config.lb
     src/southbridge/amd/amd8111/amd8111_usb.c
     src/superio/NSC/pc97307/chip.h
     src/superio/NSC/pc97307/superio.c
     src/superio/winbond/w83627hf/superio.c
     src/superio/winbond/w83627thf/superio.c
     util/buildrom/buildrom.c


2005-03-09 23:57:08 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-856

    Summary:
      - Remove include of device/chip.h
    Revision:
      freebios--import--2.0--patch-856

    Author: ebiederm
    Date: 2004/11/11 03:31:16
    - Remove include of device/chip.h

    modified files:
     ChangeLog.arch src/southbridge/amd/amd8111/amd8111_smbus.c


2005-03-09 23:57:03 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-855

    Summary:
      - Delete unused funciton realloc
    Revision:
      freebios--import--2.0--patch-855

    Author: ebiederm
    Date: 2004/11/10 20:13:34
    - Delete unused funciton realloc

    modified files:
     ChangeLog.arch src/include/stdlib.h src/lib/malloc.c


2005-03-09 23:56:56 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-854

    Summary:
      - Remove unused start_stop.h
    Revision:
      freebios--import--2.0--patch-854

    Author: ebiederm
    Date: 2004/11/10 20:11:15
    - Remove unused start_stop.h
    This file died with the last round of cpu restructuring I just missed it earlier.

    removed files:
     src/include/smp/.arch-ids/start_stop.h.id
     src/include/smp/start_stop.h

    modified files:
     ChangeLog.arch


2005-03-09 23:56:53 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-853

    Summary:
      - Don't use e7501 root_complex
    Revision:
      freebios--import--2.0--patch-853

    Author: ebiederm
    Date: 2004/11/10 18:32:20
    - Don't use e7501 root_complex

    modified files:
     ChangeLog.arch src/mainboard/tyan/s2735/Config.lb


2005-03-09 23:56:48 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-852

    Summary:
      - Remove e7501 root_complex
    Revision:
      freebios--import--2.0--patch-852

    Author: ebiederm
    Date: 2004/11/10 18:31:29
    - Remove e7501 root_complex

    removed files:
     src/northbridge/intel/e7501/root_complex/.arch-ids/=id
     src/northbridge/intel/e7501/root_complex/.arch-ids/Config.lb.id
     src/northbridge/intel/e7501/root_complex/.arch-ids/chip.h.id
     src/northbridge/intel/e7501/root_complex/.arch-ids/root_complex.c.id
     src/northbridge/intel/e7501/root_complex/Config.lb
     src/northbridge/intel/e7501/root_complex/chip.h
     src/northbridge/intel/e7501/root_complex/root_complex.c

    modified files:
     ChangeLog.arch src/northbridge/intel/e7501/northbridge.c

    removed directories:
     src/northbridge/intel/e7501/root_complex
     src/northbridge/intel/e7501/root_complex/.arch-ids


2005-03-09 23:56:42 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-851

    Summary:
      adl855pc support
    Revision:
      freebios--import--2.0--patch-851

    Author: rminnich
    Date: 2004/11/10 15:12:47
    adl855pc support

    modified files:
     ChangeLog.arch src/cpu/intel/socket_mPGA479M/chip.h
     src/cpu/intel/socket_mPGA479M/socket_mPGA479M.c
     src/northbridge/intel/i855pm/chip.h
     src/northbridge/intel/i855pm/northbridge.c
     src/northbridge/intel/i855pm/raminit.c
     targets/digitallogic/adl855pc/Config.lb


2005-03-09 23:56:29 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-850

    Summary:
      - Clean up the CPP output a little bit
    Revision:
      freebios--import--2.0--patch-850

    Author: ebiederm
    Date: 2004/11/09 08:59:23
    - Clean up the CPP output a little bit

    modified files:
     ChangeLog.arch util/romcc/romcc.c


2005-03-09 23:56:21 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-849

    Summary:
      - Fix silly thinkos in that caused parsing problems in ...
    Revision:
      freebios--import--2.0--patch-849

    Author: ebiederm
    Date: 2004/11/09 00:35:39
    - Fix silly thinkos in that caused parsing problems in romcc.

    modified files:
     ChangeLog.arch util/romcc/romcc.c


2005-03-09 23:56:12 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-848

    Summary:
      - Fix minor glitch in romcc where it would not return f...
    Revision:
      freebios--import--2.0--patch-848

    Author: ebiederm
    Date: 2004/11/09 00:05:42
    - Fix minor glitch in romcc where it would not return from a header file
    if it had a preprocessor directive on the last line.

    modified files:
     ChangeLog.arch util/romcc/romcc.c


2005-03-09 23:56:04 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-847

    Summary:
      - Romcc preprocessor bug fixes, (The code size went dow...
    Revision:
      freebios--import--2.0--patch-847

    Author: ebiederm
    Date: 2004/11/08 09:31:09
    - Romcc preprocessor bug fixes, (The code size went down about 350 lines.. :)
    - Preprocessor constant expression evaluation is no long a special case so
    unsigned long values can not be used.
    - Undefined macros are not converted to 0.  But a big warning is printed.
    - Garbage at the of an #include directive is now done in tokens instead of
    in characters.
    This allows comments after an #include directive.
    - Repaired a previously unnoticed regression in constant expression
    evaluation.  Logical expressions can now be evaluated again.

    modified files:
     ChangeLog.arch util/romcc/romcc.c


2005-03-09 23:55:54 GMT	Stefan Reinauer <stepan@openbios.org>	patch-846

    Summary:
      add compiler from crosstool, too
    Revision:
      freebios--import--2.0--patch-846

    Author: stepan
    Date: 2004/11/05 23:19:46
    add compiler from crosstool, too

    modified files:
     ChangeLog.arch util/abuild/abuild.sh


2005-03-09 23:55:49 GMT	Yinghai Lu <yhlu@tyan.com>	patch-845

    Summary:
      *** empty log message ***
    Revision:
      freebios--import--2.0--patch-845

    Author: yhlu
    Date: 2004/11/05 22:14:31
    *** empty log message ***

    modified files:
     ChangeLog.arch src/mainboard/tyan/s2850/Options.lb
     src/mainboard/tyan/s2875/Options.lb
     src/mainboard/tyan/s2880/Options.lb
     src/mainboard/tyan/s2881/Options.lb
     src/mainboard/tyan/s2882/Options.lb
     src/mainboard/tyan/s2885/Options.lb
     src/mainboard/tyan/s4880/Options.lb
     src/mainboard/tyan/s4882/Options.lb
     src/superio/winbond/w83627hf/superio.c


2005-03-09 23:55:32 GMT	Yinghai Lu <yhlu@tyan.com>	patch-844

    Summary:
      CONFIG_CHIP_NAME to control config chip.h without .name
    Revision:
      freebios--import--2.0--patch-844

    Author: yhlu
    Date: 2004/11/05 22:03:32
    CONFIG_CHIP_NAME to control config chip.h without .name

    new files:
     src/northbridge/intel/e7501/root_complex/.arch-ids/=id
     src/northbridge/intel/e7501/root_complex/.arch-ids/Config.lb.id
     src/northbridge/intel/e7501/root_complex/.arch-ids/chip.h.id
     src/northbridge/intel/e7501/root_complex/.arch-ids/root_complex.c.id
     src/northbridge/intel/e7501/root_complex/Config.lb
     src/northbridge/intel/e7501/root_complex/chip.h
     src/northbridge/intel/e7501/root_complex/root_complex.c

    modified files:
     ChangeLog.arch src/cpu/amd/socket_940/Config.lb
     src/cpu/amd/socket_940/socket_940.c
     src/mainboard/tyan/s2735/Config.lb
     src/mainboard/tyan/s2735/Options.lb
     src/mainboard/tyan/s2735/mainboard.c
     src/mainboard/tyan/s2850/Config.lb
     src/mainboard/tyan/s2850/mainboard.c
     src/mainboard/tyan/s2875/Config.lb
     src/mainboard/tyan/s2875/mainboard.c
     src/mainboard/tyan/s2880/Config.lb
     src/mainboard/tyan/s2880/mainboard.c
     src/mainboard/tyan/s2881/Config.lb
     src/mainboard/tyan/s2881/mainboard.c
     src/mainboard/tyan/s2882/Config.lb
     src/mainboard/tyan/s2882/mainboard.c
     src/mainboard/tyan/s2885/Config.lb
     src/mainboard/tyan/s2885/mainboard.c
     src/mainboard/tyan/s4880/Config.lb
     src/mainboard/tyan/s4880/mainboard.c
     src/mainboard/tyan/s4882/Config.lb
     src/mainboard/tyan/s4882/mainboard.c
     src/northbridge/amd/amdk8/Config.lb
     src/northbridge/amd/amdk8/northbridge.c
     src/northbridge/intel/e7501/Config.lb
     src/northbridge/intel/e7501/northbridge.c

    new directories:
     src/northbridge/intel/e7501/root_complex
     src/northbridge/intel/e7501/root_complex/.arch-ids


2005-03-09 23:54:41 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-843

    Summary:
      - How did I forget to cvs add this?
    Revision:
      freebios--import--2.0--patch-843

    Author: ebiederm
    Date: 2004/11/05 19:55:46
    - How did I forget to cvs add this?

    new files:
     src/include/arch-generic/.arch-ids/=id
     src/include/arch-generic/.arch-ids/div64.h.id
     src/include/arch-generic/div64.h

    modified files:
     ChangeLog.arch

    new directories:
     src/include/arch-generic src/include/arch-generic/.arch-ids


2005-03-09 23:54:36 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-842

    Summary:
      - First pass at getting the powerpc ports to compile
    Revision:
      freebios--import--2.0--patch-842

    Author: ebiederm
    Date: 2004/11/05 19:55:03
    - First pass at getting the powerpc ports to compile
    The static device tree is not built properly at all yet, but at least we get through it.
    FIXME (What is the proper way to handle add in boards?)
    - Add generic div64 support and ppc div64 support
    - Fix abuild so it properly generates the CC line when cross compiling.
    - Add one more possible ppc cross compiler target

    new files:
     src/arch/ppc/include/.arch-ids/div64.h.id
     src/arch/ppc/include/div64.h

    modified files:
     ChangeLog.arch src/mainboard/embeddedplanet/ep405pc/Config.lb
     src/mainboard/embeddedplanet/ep405pc/Options.lb
     src/mainboard/motorola/sandpoint/Config.lb
     src/mainboard/motorola/sandpoint/Options.lb
     src/mainboard/totalimpact/briq/Config.lb
     src/mainboard/totalimpact/briq/Options.lb
     src/pmc/altimus/mpc7410/Config.lb util/abuild/abuild.sh


2005-03-09 23:54:18 GMT	Stefan Reinauer <stepan@openbios.org>	patch-841

    Summary:
      remove nasty workaround, include echo in function again :)
    Revision:
      freebios--import--2.0--patch-841

    Author: stepan
    Date: 2004/11/05 14:06:24
    remove nasty workaround, include echo in function again :)

    modified files:
     ChangeLog.arch util/abuild/abuild.sh


2005-03-09 23:54:13 GMT	Stefan Reinauer <stepan@openbios.org>	patch-840

    Summary:
      add debug function
    Revision:
      freebios--import--2.0--patch-840

    Author: stepan
    Date: 2004/11/05 11:57:00
    add debug function

    modified files:
     ChangeLog.arch util/abuild/abuild.sh


2005-03-09 23:54:08 GMT	Stefan Reinauer <stepan@openbios.org>	patch-839

    Summary:
      ...
    Revision:
      freebios--import--2.0--patch-839

    Author: stepan
    Date: 2004/11/05 11:47:41
    ...
    add option so it's possible to ignore broken builds

    modified files:
     ChangeLog.arch util/abuild/abuild.sh


2005-03-09 23:54:03 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-838

    Summary:
      - Add another possible powerpc cross compiler prefix
    Revision:
      freebios--import--2.0--patch-838

    Author: ebiederm
    Date: 2004/11/05 11:41:26
    - Add another possible powerpc cross compiler prefix

    modified files:
     ChangeLog.arch util/abuild/abuild.sh


2005-03-09 23:53:58 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-837

    Summary:
      - More fixes...
    Revision:
      freebios--import--2.0--patch-837

    Author: ebiederm
    Date: 2004/11/05 11:24:57
    - More fixes...

    modified files:
     ChangeLog.arch util/abuild/abuild.sh


2005-03-09 23:53:53 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-836

    Summary:
      - Ensure every copy of Options.lb uses:
    Revision:
      freebios--import--2.0--patch-836

    Author: ebiederm
    Date: 2004/11/05 10:47:55
    - Ensure every copy of Options.lb uses:
    CROSS_COMPILE
    CC
    HOSTCC
    OBJCOPY

    new files:
     src/mainboard/embeddedplanet/ep405pc/.arch-ids/Options.lb.id
     src/mainboard/embeddedplanet/ep405pc/Options.lb
     src/mainboard/motorola/sandpoint/.arch-ids/Options.lb.id
     src/mainboard/motorola/sandpoint/Options.lb
     src/mainboard/totalimpact/briq/.arch-ids/Options.lb.id
     src/mainboard/totalimpact/briq/Options.lb

    modified files:
     ChangeLog.arch src/mainboard/Iwill/DK8S2/Options.lb
     src/mainboard/Iwill/DK8X/Options.lb
     src/mainboard/amd/quartet/Options.lb
     src/mainboard/amd/quartet/auto.c
     src/mainboard/amd/serenade/Options.lb
     src/mainboard/amd/solo/Options.lb
     src/mainboard/arima/hdama/Options.lb
     src/mainboard/densitron/dpx114/Options.lb
     src/mainboard/digitallogic/adl855pc/Options.lb
     src/mainboard/embeddedplanet/ep405pc/Config.lb
     src/mainboard/emulation/qemu-i386/Options.lb
     src/mainboard/ibm/e325/Options.lb
     src/mainboard/motorola/sandpoint/Config.lb
     src/mainboard/newisys/khepri/Options.lb
     src/mainboard/totalimpact/briq/Config.lb
     src/mainboard/tyan/s2735/Options.lb
     src/mainboard/tyan/s2850/Options.lb
     src/mainboard/tyan/s2875/Options.lb
     src/mainboard/tyan/s2880/Options.lb
     src/mainboard/tyan/s2881/Options.lb
     src/mainboard/tyan/s2882/Options.lb
     src/mainboard/tyan/s2885/Options.lb
     src/mainboard/tyan/s4880/Options.lb
     src/mainboard/tyan/s4882/Options.lb
     src/mainboard/via/epia-m/Options.lb
     src/mainboard/via/epia/Options.lb util/abuild/abuild.sh


2005-03-09 23:53:05 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-835

    Summary:
      - Ensure the  all target is the first commands in the m...
    Revision:
      freebios--import--2.0--patch-835

    Author: ebiederm
    Date: 2004/11/05 09:03:47
    - Ensure the  all target is the first commands in the makefile....

    modified files:
     ChangeLog.arch util/newconfig/config.g


2005-03-09 23:52:59 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-834

    Summary:
      - Put the rule for the Makefile at the bottom of the ma...
    Revision:
      freebios--import--2.0--patch-834

    Author: ebiederm
    Date: 2004/11/05 08:57:09
    - Put the rule for the Makefile at the bottom of the makefile!

    modified files:
     ChangeLog.arch util/newconfig/config.g


2005-03-09 23:52:53 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-833

    Summary:
      - In the makefile header get the name of the Makefile c...
    Revision:
      freebios--import--2.0--patch-833

    Author: ebiederm
    Date: 2004/11/05 08:50:53
    - In the makefile header get the name of the Makefile correct

    modified files:
     ChangeLog.arch util/abuild/abuild.sh util/newconfig/config.g


2005-03-09 23:52:46 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-832

    Summary:
      - Massage the code to generate the top level Makefile so the
    Revision:
      freebios--import--2.0--patch-832

    Author: ebiederm
    Date: 2004/11/05 08:21:05
    - Massage the code to generate the top level Makefile so the
    generated Makefile has correct dependencies and is somewhat complete.

    modified files:
     ChangeLog.arch util/newconfig/config.g


2005-03-09 23:52:40 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-831

    Summary:
      - Modify all of the Opteron motherboards to have a sepa...
    Revision:
      freebios--import--2.0--patch-831

    Author: ebiederm
    Date: 2004/11/05 07:26:51
    - Modify all of the Opteron motherboards to have a separate logical
    chip for the amdk8/root_complex

    modified files:
     ChangeLog.arch src/mainboard/Iwill/DK8S2/Config.lb
     src/mainboard/Iwill/DK8X/Config.lb
     src/mainboard/amd/quartet/Config.lb
     src/mainboard/amd/serenade/Config.lb
     src/mainboard/amd/solo/Config.lb
     src/mainboard/arima/hdama/Config.lb
     src/mainboard/ibm/e325/Config.lb
     src/mainboard/newisys/khepri/Config.lb
     src/mainboard/tyan/s2850/Config.lb
     src/mainboard/tyan/s2875/Config.lb
     src/mainboard/tyan/s2880/Config.lb
     src/mainboard/tyan/s2881/Config.lb
     src/mainboard/tyan/s2882/Config.lb
     src/mainboard/tyan/s2885/Config.lb
     src/mainboard/tyan/s4880/Config.lb
     src/mainboard/tyan/s4882/Config.lb


2005-03-09 23:52:08 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-830

    Summary:
      - Add a new chip northbridge/amd/amdk8/root_complex
    Revision:
      freebios--import--2.0--patch-830

    Author: ebiederm
    Date: 2004/11/05 07:04:53
    - Add a new chip northbridge/amd/amdk8/root_complex
    - Moving the functionality around in northbridge/amd/amdk8/northbridge.c
    to put the pci_domain and the apic bus on the root_complex.
    Everything else remains with the individual northbridges.

    new files:
     src/northbridge/amd/amdk8/root_complex/.arch-ids/=id
     src/northbridge/amd/amdk8/root_complex/.arch-ids/Config.lb.id
     src/northbridge/amd/amdk8/root_complex/.arch-ids/chip.h.id
     src/northbridge/amd/amdk8/root_complex/Config.lb
     src/northbridge/amd/amdk8/root_complex/chip.h

    modified files:
     ChangeLog.arch src/northbridge/amd/amdk8/northbridge.c

    new directories:
     src/northbridge/amd/amdk8/root_complex
     src/northbridge/amd/amdk8/root_complex/.arch-ids


2005-03-09 23:52:00 GMT	Yinghai Lu <yhlu@tyan.com>	patch-829

    Summary:
      *** empty log message ***
    Revision:
      freebios--import--2.0--patch-829

    Author: yhlu
    Date: 2004/11/05 03:43:16
    *** empty log message ***

    modified files:
     ChangeLog.arch src/drivers/generic/debug/debug_dev.c
     src/mainboard/tyan/s2885/Config.lb
     src/northbridge/amd/amdk8/northbridge.c


2005-03-09 23:51:51 GMT	Stefan Reinauer <stepan@openbios.org>	patch-828

    Summary:
      stepan goes to bed now.
    Revision:
      freebios--import--2.0--patch-828

    Author: stepan
    Date: 2004/11/05 00:26:31
    stepan goes to bed now.

    modified files:
     ChangeLog.arch util/abuild/abuild.sh


2005-03-09 23:51:46 GMT	Stefan Reinauer <stepan@openbios.org>	patch-827

    Summary:
      - some steps towards cross compile
    Revision:
      freebios--import--2.0--patch-827

    Author: stepan
    Date: 2004/11/05 00:25:19
    - some steps towards cross compile
    - add option to force rebuilds even if they were previously ok
    - add option to build on target only
    - play around

    modified files:
     ChangeLog.arch util/abuild/abuild.sh


2005-03-09 23:51:38 GMT	Ollie Lho <ollie@lanl.gov>	patch-826

    Summary:
      reformat
    Revision:
      freebios--import--2.0--patch-826

    Author: ollie
    Date: 2004/11/04 23:42:54
    reformat

    modified files:
     ChangeLog.arch src/drivers/generic/debug/debug_dev.c


2005-03-09 23:51:33 GMT	Yinghai Lu <yhlu@tyan.com>	patch-825

    Summary:
      debug device added
    Revision:
      freebios--import--2.0--patch-825

    Author: yhlu
    Date: 2004/11/04 22:36:13
    debug device added

    new files:
     src/drivers/generic/debug/.arch-ids/=id
     src/drivers/generic/debug/.arch-ids/Config.lb.id
     src/drivers/generic/debug/.arch-ids/chip.h.id
     src/drivers/generic/debug/.arch-ids/debug_dev.c.id
     src/drivers/generic/debug/Config.lb
     src/drivers/generic/debug/chip.h
     src/drivers/generic/debug/debug_dev.c

    modified files:
     ChangeLog.arch src/mainboard/tyan/s2735/mainboard.c
     src/mainboard/tyan/s2850/mainboard.c
     src/mainboard/tyan/s2875/mainboard.c
     src/mainboard/tyan/s2880/mainboard.c
     src/mainboard/tyan/s2881/mainboard.c
     src/mainboard/tyan/s2882/mainboard.c
     src/mainboard/tyan/s2885/Config.lb
     src/mainboard/tyan/s2885/mainboard.c
     src/mainboard/tyan/s4880/mainboard.c
     src/mainboard/tyan/s4882/mainboard.c

    new directories:
     src/drivers/generic/debug src/drivers/generic/debug/.arch-ids


2005-03-09 23:51:10 GMT	Ollie Lho <ollie@lanl.gov>	patch-824

    Summary:
      we decide not to enable BM DAM form them
    Revision:
      freebios--import--2.0--patch-824

    Author: ollie
    Date: 2004/11/04 21:48:39
    we decide not to enable BM DAM form them

    removed files:
     src/drivers/adaptec/.arch-ids/=id
     src/drivers/adaptec/7902/.arch-ids/=id
     src/drivers/adaptec/7902/.arch-ids/Config.lb.id
     src/drivers/adaptec/7902/.arch-ids/adaptec_scsi.c.id
     src/drivers/adaptec/7902/Config.lb
     src/drivers/adaptec/7902/adaptec_scsi.c
     src/drivers/broadcom/.arch-ids/=id
     src/drivers/broadcom/tg3/.arch-ids/=id
     src/drivers/broadcom/tg3/.arch-ids/Config.lb.id
     src/drivers/broadcom/tg3/.arch-ids/broadcom_nic.c.id
     src/drivers/broadcom/tg3/Config.lb
     src/drivers/broadcom/tg3/broadcom_nic.c
     src/drivers/intel/.arch-ids/=id
     src/drivers/intel/82551/.arch-ids/=id
     src/drivers/intel/82551/.arch-ids/Config.lb.id
     src/drivers/intel/82551/.arch-ids/intel_nic.c.id
     src/drivers/intel/82551/Config.lb
     src/drivers/intel/82551/intel_nic.c

    modified files:
     ChangeLog.arch

    removed directories:
     src/drivers/adaptec src/drivers/adaptec/.arch-ids
     src/drivers/adaptec/7902 src/drivers/adaptec/7902/.arch-ids
     src/drivers/broadcom src/drivers/broadcom/.arch-ids
     src/drivers/broadcom/tg3 src/drivers/broadcom/tg3/.arch-ids
     src/drivers/intel src/drivers/intel/.arch-ids
     src/drivers/intel/82551 src/drivers/intel/82551/.arch-ids


2005-03-09 23:51:06 GMT	Yinghai Lu <yhlu@tyan.com>	patch-823

    Summary:
      SI Class code check
    Revision:
      freebios--import--2.0--patch-823

    Author: yhlu
    Date: 2004/11/04 20:59:57
    SI Class code check

    modified files:
     ChangeLog.arch src/drivers/si/3114/si_sata.c
     src/mainboard/tyan/s2735/mainboard.c
     src/mainboard/tyan/s2850/mainboard.c
     src/mainboard/tyan/s2875/mainboard.c
     src/mainboard/tyan/s2880/mainboard.c
     src/mainboard/tyan/s2881/mainboard.c
     src/mainboard/tyan/s2882/mainboard.c
     src/mainboard/tyan/s2885/Config.lb
     src/mainboard/tyan/s2885/mainboard.c
     src/mainboard/tyan/s4880/mainboard.c
     src/mainboard/tyan/s4882/mainboard.c


2005-03-09 23:50:47 GMT	Ollie Lho <ollie@lanl.gov>	patch-822

    Summary:
      removed #if 0 #endif code
    Revision:
      freebios--import--2.0--patch-822

    Author: ollie
    Date: 2004/11/04 20:30:59
    removed #if 0 #endif code

    modified files:
     ChangeLog.arch src/mainboard/tyan/s2735/mainboard.c
     src/mainboard/tyan/s2850/mainboard.c
     src/mainboard/tyan/s2875/mainboard.c
     src/mainboard/tyan/s2880/mainboard.c
     src/mainboard/tyan/s2881/mainboard.c
     src/mainboard/tyan/s2882/mainboard.c
     src/mainboard/tyan/s2885/mainboard.c
     src/mainboard/tyan/s4880/mainboard.c
     src/mainboard/tyan/s4882/mainboard.c


2005-03-09 23:50:26 GMT	Ollie Lho <ollie@lanl.gov>	patch-821

    Summary:
      tell people that the segment descriptors are different ...
    Revision:
      freebios--import--2.0--patch-821

    Author: ollie
    Date: 2004/11/04 18:36:05
    tell people that the segment descriptors are different for ROMCC and
    GCC code.

    modified files:
     ChangeLog.arch src/arch/i386/lib/c_start.S
     src/cpu/x86/16bit/entry16.inc src/cpu/x86/32bit/entry32.inc
     src/cpu/x86/lapic/secondary.S


2005-03-09 23:50:16 GMT	Ollie Lho <ollie@lanl.gov>	patch-820

    Summary:
      removed the comment in the very beginning of hardwarema...
    Revision:
      freebios--import--2.0--patch-820

    Author: ollie
    Date: 2004/11/04 18:33:33
    removed the comment in the very beginning of hardwaremain(). I don't
    think it is relevant now.

    modified files:
     ChangeLog.arch src/boot/hardwaremain.c


2005-03-09 23:50:11 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-819

    Summary:
      Add Options.lb to various motherboard ports
    Revision:
      freebios--import--2.0--patch-819

    Author: ebiederm
    Date: 2004/11/04 11:09:11
    Add Options.lb to various motherboard ports

    new files:
     src/mainboard/Iwill/DK8S2/.arch-ids/Options.lb.id
     src/mainboard/Iwill/DK8S2/Options.lb
     src/mainboard/Iwill/DK8X/.arch-ids/Options.lb.id
     src/mainboard/Iwill/DK8X/Options.lb
     src/mainboard/densitron/dpx114/.arch-ids/Options.lb.id
     src/mainboard/densitron/dpx114/Options.lb
     src/mainboard/digitallogic/adl855pc/.arch-ids/Options.lb.id
     src/mainboard/digitallogic/adl855pc/Options.lb
     src/mainboard/via/epia-m/.arch-ids/Options.lb.id
     src/mainboard/via/epia-m/Options.lb

    modified files:
     ChangeLog.arch


2005-03-09 23:49:55 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-818

    Summary:
      - Update abuild.sh so it will rebuild successfull builds
    Revision:
      freebios--import--2.0--patch-818

    Author: ebiederm
    Date: 2004/11/04 11:03:54
    - Update abuild.sh so it will rebuild successfull builds
    - Move pci_set_method out of hardwaremain.c
    - Re-add debugging name field but only include the CONFIG_CHIP_NAME is
    enabled.  All instances are now wrapped in CHIP_NAME
    - Many minor cleanups so most ports build.

    new files:
     src/arch/i386/include/arch/.arch-ids/pci_ops.h.id
     src/arch/i386/include/arch/pci_ops.h
     src/arch/i386/lib/.arch-ids/pci_ops_auto.c.id
     src/arch/i386/lib/.arch-ids/pci_ops_conf1.c.id
     src/arch/i386/lib/.arch-ids/pci_ops_conf2.c.id
     src/arch/i386/lib/pci_ops_auto.c
     src/arch/i386/lib/pci_ops_conf1.c
     src/arch/i386/lib/pci_ops_conf2.c
     src/arch/ppc/include/arch/.arch-ids/pci_ops.h.id
     src/arch/ppc/include/arch/pci_ops.h

    modified files:
     ChangeLog.arch documentation/LinuxBIOS-AMD64.tex
     src/arch/i386/lib/Config.lb src/arch/i386/lib/pci_ops.c
     src/boot/hardwaremain.c src/config/Config.lb
     src/config/Options.lb src/cpu/amd/socket_754/socket_754.c
     src/cpu/amd/socket_940/socket_940.c
     src/cpu/intel/slot_2/slot_2.c
     src/cpu/intel/socket_mPGA479M/socket_mPGA479M.c
     src/cpu/intel/socket_mPGA603/socket_mPGA603_400Mhz.c
     src/cpu/intel/socket_mPGA604_533Mhz/socket_mPGA604_533Mhz.c
     src/cpu/intel/socket_mPGA604_800Mhz/socket_mPGA604_800Mhz.c
     src/include/device/device.h src/include/device/pci_ops.h
     src/mainboard/Iwill/DK8S2/Config.lb
     src/mainboard/Iwill/DK8S2/auto.c
     src/mainboard/Iwill/DK8S2/chip.h
     src/mainboard/Iwill/DK8S2/cmos.layout
     src/mainboard/Iwill/DK8S2/mainboard.c
     src/mainboard/Iwill/DK8S2/mptable.c
     src/mainboard/Iwill/DK8X/Config.lb
     src/mainboard/Iwill/DK8X/auto.c
     src/mainboard/Iwill/DK8X/chip.h
     src/mainboard/Iwill/DK8X/cmos.layout
     src/mainboard/Iwill/DK8X/mainboard.c
     src/mainboard/Iwill/DK8X/mptable.c
     src/mainboard/amd/quartet/Config.lb
     src/mainboard/amd/quartet/auto.c
     src/mainboard/amd/quartet/chip.h
     src/mainboard/amd/quartet/mainboard.c
     src/mainboard/amd/quartet/mptable.c
     src/mainboard/amd/serenade/Config.lb
     src/mainboard/amd/serenade/auto.c
     src/mainboard/amd/serenade/chip.h
     src/mainboard/amd/serenade/mainboard.c
     src/mainboard/amd/serenade/mptable.c
     src/mainboard/amd/solo/Config.lb
     src/mainboard/amd/solo/mainboard.c
     src/mainboard/arima/hdama/Config.lb
     src/mainboard/arima/hdama/cmos.layout
     src/mainboard/arima/hdama/mainboard.c
     src/mainboard/densitron/dpx114/Config.lb
     src/mainboard/densitron/dpx114/auto.c
     src/mainboard/densitron/dpx114/chip.h
     src/mainboard/densitron/dpx114/failover.c
     src/mainboard/densitron/dpx114/mainboard.c
     src/mainboard/digitallogic/adl855pc/Config.lb
     src/mainboard/digitallogic/adl855pc/auto.c
     src/mainboard/digitallogic/adl855pc/chip.h
     src/mainboard/digitallogic/adl855pc/failover.c
     src/mainboard/digitallogic/adl855pc/mainboard.c
     src/mainboard/emulation/qemu-i386/auto.c
     src/mainboard/emulation/qemu-i386/mainboard.c
     src/mainboard/ibm/e325/Config.lb
     src/mainboard/ibm/e325/Options.lb
     src/mainboard/ibm/e325/auto.c src/mainboard/ibm/e325/chip.h
     src/mainboard/ibm/e325/mainboard.c
     src/mainboard/ibm/e325/mptable.c
     src/mainboard/newisys/khepri/Config.lb
     src/mainboard/newisys/khepri/auto.c
     src/mainboard/newisys/khepri/chip.h
     src/mainboard/newisys/khepri/mainboard.c
     src/mainboard/newisys/khepri/mptable.c
     src/mainboard/technologic/ts5300/Config.lb
     src/mainboard/technologic/ts5300/mainboard.c
     src/mainboard/tyan/s2735/mainboard.c
     src/mainboard/tyan/s2850/mainboard.c
     src/mainboard/tyan/s2880/mainboard.c
     src/mainboard/tyan/s2881/mainboard.c
     src/mainboard/tyan/s2882/auto.c
     src/mainboard/tyan/s2882/mainboard.c
     src/mainboard/tyan/s2885/mainboard.c
     src/mainboard/tyan/s4880/auto.c
     src/mainboard/tyan/s4880/mainboard.c
     src/mainboard/tyan/s4882/mainboard.c
     src/mainboard/via/epia-m/Config.lb
     src/mainboard/via/epia-m/auto.c
     src/mainboard/via/epia-m/chip.h
     src/mainboard/via/epia-m/failover.c
     src/mainboard/via/epia-m/mainboard.c
     src/mainboard/via/epia/Config.lb src/mainboard/via/epia/auto.c
     src/mainboard/via/epia/failover.c
     src/mainboard/via/epia/mainboard.c
     src/northbridge/amd/amdk8/northbridge.c
     src/northbridge/emulation/qemu-i386/northbridge.c
     src/northbridge/intel/e7501/northbridge.c
     src/northbridge/intel/i855pm/northbridge.c
     src/northbridge/intel/i855pm/raminit.c
     src/northbridge/transmeta/tm5800/northbridge.c
     src/northbridge/via/vt8601/northbridge.c
     src/northbridge/via/vt8623/northbridge.c
     src/northbridge/via/vt8623/raminit.c
     src/southbridge/amd/amd8111/amd8111.c
     src/southbridge/intel/i82801dbm/i82801dbm.c
     src/southbridge/intel/i82801er/i82801er.c
     src/southbridge/ricoh/rl5c476/rl5c476.c
     src/southbridge/via/vt8231/vt8231.c
     src/southbridge/via/vt8235/vt8235.c
     src/superio/NSC/pc87360/superio.c
     src/superio/NSC/pc87366/chip.h
     src/superio/NSC/pc87366/superio.c
     src/superio/NSC/pc97307/superio.c
     src/superio/via/vt1211/vt1211.c
     src/superio/winbond/w83627hf/superio.c
     src/superio/winbond/w83627hf/w83627hf_early_serial.c
     src/superio/winbond/w83627thf/chip.h
     src/superio/winbond/w83627thf/superio.c util/abuild/abuild.sh


2005-03-09 23:46:46 GMT	Stefan Reinauer <stepan@openbios.org>	patch-817

    Summary:
      This hurts more than it helps. byebye
    Revision:
      freebios--import--2.0--patch-817

    Author: stepan
    Date: 2004/11/03 00:10:15
    This hurts more than it helps. byebye

    modified files:
     ChangeLog.arch src/cpu/x86/mtrr/earlymtrr.c


2005-03-09 23:46:41 GMT	Stefan Reinauer <stepan@openbios.org>	patch-816

    Summary:
      get qemu-i386 target building again
    Revision:
      freebios--import--2.0--patch-816

    Author: stepan
    Date: 2004/11/02 20:33:11
    get qemu-i386 target building again

    new files:
     src/mainboard/emulation/qemu-i386/.arch-ids/cmos.layout.id
     src/mainboard/emulation/qemu-i386/cmos.layout

    modified files:
     ChangeLog.arch src/mainboard/emulation/qemu-i386/Config.lb
     src/mainboard/emulation/qemu-i386/Options.lb
     src/mainboard/emulation/qemu-i386/auto.c
     src/mainboard/emulation/qemu-i386/chip.h
     src/mainboard/emulation/qemu-i386/failover.c
     src/mainboard/emulation/qemu-i386/mainboard.c
     src/northbridge/emulation/qemu-i386/chip.h
     src/northbridge/emulation/qemu-i386/northbridge.c
     src/northbridge/emulation/qemu-i386/northbridge.h


2005-03-09 23:46:22 GMT	Stefan Reinauer <stepan@openbios.org>	patch-815

    Summary:
      update to new structure
    Revision:
      freebios--import--2.0--patch-815

    Author: stepan
    Date: 2004/11/02 20:29:30
    update to new structure

    modified files:
     ChangeLog.arch targets/emulation/qemu-i386/Config.lb


2005-03-09 23:46:16 GMT	Yinghai Lu <yhlu@tyan.com>	patch-814

    Summary:
      *** empty log message ***
    Revision:
      freebios--import--2.0--patch-814

    Author: yhlu
    Date: 2004/11/02 17:46:41
    *** empty log message ***

    modified files:
     ChangeLog.arch src/cpu/intel/socket_mPGA604_533Mhz/Config.lb
     src/cpu/intel/socket_mPGA604_533Mhz/socket_mPGA604_533Mhz.c
     src/mainboard/amd/quartet/auto.c
     src/mainboard/tyan/s2735/Config.lb
     src/mainboard/tyan/s2735/Options.lb
     src/mainboard/tyan/s2735/mainboard.c
     src/mainboard/tyan/s2850/auto.c
     src/mainboard/tyan/s2875/auto.c
     src/mainboard/tyan/s2880/auto.c
     src/mainboard/tyan/s2881/auto.c
     src/mainboard/tyan/s2882/auto.c
     src/mainboard/tyan/s2885/auto.c
     src/mainboard/tyan/s4880/auto.c
     src/mainboard/tyan/s4882/auto.c
     src/northbridge/amd/amdk8/incoherent_ht.c
     src/northbridge/intel/e7501/northbridge.c
     src/northbridge/intel/e7501/raminit.c
     src/southbridge/intel/i82801er/i82801er.c
     src/superio/winbond/w83627hf/superio.c


2005-03-09 23:45:41 GMT	Yinghai Lu <yhlu@tyan.com>	patch-813

    Summary:
      Tyan update for ROM_IMAGE_SIZE > 64K
    Revision:
      freebios--import--2.0--patch-813

    Author: yhlu
    Date: 2004/11/02 02:34:25
    Tyan update for ROM_IMAGE_SIZE > 64K

    modified files:
     ChangeLog.arch src/mainboard/tyan/s2850/Config.lb
     src/mainboard/tyan/s2850/Options.lb
     src/mainboard/tyan/s2850/auto.c
     src/mainboard/tyan/s2850/mainboard.c
     src/mainboard/tyan/s2875/Config.lb
     src/mainboard/tyan/s2875/Options.lb
     src/mainboard/tyan/s2875/auto.c
     src/mainboard/tyan/s2875/mainboard.c
     src/mainboard/tyan/s2880/Config.lb
     src/mainboard/tyan/s2880/Options.lb
     src/mainboard/tyan/s2880/auto.c
     src/mainboard/tyan/s2880/mainboard.c
     src/mainboard/tyan/s2881/Config.lb
     src/mainboard/tyan/s2881/Options.lb
     src/mainboard/tyan/s2881/auto.c
     src/mainboard/tyan/s2881/mainboard.c
     src/mainboard/tyan/s2882/Config.lb
     src/mainboard/tyan/s2882/Options.lb
     src/mainboard/tyan/s2882/auto.c
     src/mainboard/tyan/s2882/mainboard.c
     src/mainboard/tyan/s2885/Config.lb
     src/mainboard/tyan/s2885/Options.lb
     src/mainboard/tyan/s2885/auto.c
     src/mainboard/tyan/s2885/mainboard.c
     src/mainboard/tyan/s2885/mptable.c
     src/mainboard/tyan/s4880/Config.lb
     src/mainboard/tyan/s4880/Options.lb
     src/mainboard/tyan/s4880/auto.c
     src/mainboard/tyan/s4880/mainboard.c
     src/mainboard/tyan/s4880/mptable.c
     src/mainboard/tyan/s4882/Config.lb
     src/mainboard/tyan/s4882/Options.lb
     src/mainboard/tyan/s4882/auto.c
     src/mainboard/tyan/s4882/mainboard.c
     src/mainboard/tyan/s4882/mptable.c
     targets/tyan/s2885/Config.lb targets/tyan/s4880/Config.lb
     targets/tyan/s4882/Config.lb


2005-03-09 23:44:39 GMT	Stefan Reinauer <stepan@openbios.org>	patch-812

    Summary:
      fix solo
    Revision:
      freebios--import--2.0--patch-812

    Author: stepan
    Date: 2004/10/31 23:03:10
    fix solo

    modified files:
     ChangeLog.arch src/cpu/amd/socket_754/Config.lb
     src/mainboard/amd/solo/mainboard.c


2005-03-09 23:44:32 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-811

    Summary:
      - Update console.c to have non-inline versions of functions
    Revision:
      freebios--import--2.0--patch-811

    Author: ebiederm
    Date: 2004/10/30 22:59:35
    - Update console.c to have non-inline versions of functions
    - Add exception.c
    Sorry for not including these ealier.

    new files:
     src/arch/i386/lib/.arch-ids/exception.c.id
     src/arch/i386/lib/exception.c

    modified files:
     ChangeLog.arch src/arch/i386/lib/console.c


2005-03-09 23:44:25 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-810

    Summary:
      - To reduce confuse rename the parts of linuxbios bios ...
    Revision:
      freebios--import--2.0--patch-810

    Author: ebiederm
    Date: 2004/10/30 08:05:32
    - To reduce confuse rename the parts of linuxbios bios that run from
    ram linuxbios_ram instead of linuxbios_c and linuxbios_payload...
    - Reordered the linker sections so the LinuxBIOS fallback image can take more the 64KiB on x86
    - ROM_IMAGE_SIZE now will work when it is specified as larger than 64KiB.
    - Tweaked the reset16.inc and reset16.lds to move the sanity check to see if everything will work.
    - Start using romcc's built in preprocessor (This will simplify header compiler checks)
    - Add helper functions for examining all of the resources
    - Remove debug strings from chip.h
    - Add llshell to src/arch/i386/llshell (Sometime later I can try it...)
    - Add the ability to catch exceptions on x86
    - Add gdb_stub support to x86
    - Removed old cpu options
    - Added an option so we can detect movnti support
    - Remove some duplicate definitions from pci_ids.h
    - Remove the 64bit resource code in amdk8/northbridge.c in preparation for making it generic
    - Minor romcc bug fixes

    new files:
     src/arch/i386/llshell/.arch-ids/=id
     src/arch/i386/llshell/.arch-ids/llshell.inc.id
     src/arch/i386/llshell/.arch-ids/readme.linuxbios.id
     src/arch/i386/llshell/llshell.inc
     src/arch/i386/llshell/readme.linuxbios
     src/config/.arch-ids/linuxbios_ram.ld.id
     src/config/linuxbios_ram.ld

    removed files:
     src/config/.arch-ids/linuxbios_c.ld.id
     src/config/linuxbios_c.ld

    modified files:
     ChangeLog.arch src/arch/i386/boot/linuxbios_table.c
     src/arch/i386/init/ldscript.lb src/arch/i386/lib/Config.lb
     src/arch/i386/lib/c_start.S src/arch/ppc/init/ldscript.lb
     src/config/Config.lb src/config/Options.lb
     src/cpu/amd/model_fxx/Config.lb src/cpu/amd/mtrr/amd_mtrr.c
     src/cpu/amd/socket_940/Config.lb
     src/cpu/amd/socket_940/socket_940.c
     src/cpu/intel/model_f0x/Config.lb
     src/cpu/intel/model_f1x/Config.lb
     src/cpu/intel/model_f2x/Config.lb
     src/cpu/intel/model_f3x/Config.lb
     src/cpu/x86/16bit/reset16.inc src/cpu/x86/16bit/reset16.lds
     src/cpu/x86/lapic/secondary.S src/cpu/x86/mtrr/earlymtrr.c
     src/cpu/x86/mtrr/mtrr.c src/devices/device.c
     src/devices/device_util.c src/devices/root_device.c
     src/include/delay.h src/include/device/device.h
     src/include/device/pci_ids.h src/include/device/resource.h
     src/mainboard/arima/hdama/Config.lb
     src/mainboard/arima/hdama/Options.lb
     src/mainboard/arima/hdama/mainboard.c
     src/northbridge/amd/amdk8/coherent_ht.c
     src/northbridge/amd/amdk8/northbridge.c src/ram/ramtest.c
     src/southbridge/amd/amd8111/amd8111.c
     src/superio/NSC/pc87360/superio.c
     targets/arima/hdama/Config.lb util/romcc/romcc.c

    new directories:
     src/arch/i386/llshell src/arch/i386/llshell/.arch-ids


2005-03-09 23:43:10 GMT	Mark Wilkinson <mwilkinson@ndirect.co.uk>	patch-809

    Summary:
      Changes to allow Via/Epia code to be compiled after rec...
    Revision:
      freebios--import--2.0--patch-809

    Author: mwrwilkinson
    Date: 2004/10/29 16:16:42
    Changes to allow Via/Epia code to be compiled after recent code changes.
    
    New Files :-
    src/cpu/via/model_centaur/Config.lb
    src/cpu/via/model_centaur/model_centaur_init.c
    
    Updated Files :-
    src/arch/i386/include/arch/smp/mpspec.h
    - make write_smp_table a define for non smp systems
    src/cpu/x86/lapic/lapic_cpu_init.c
    - change possible typo
    src/mainboard/via/epia/Config.lb
    src/mainboard/via/epia/Options.lb
    
    src/mainboard/via/epia/auto.c
    src/mainboard/via/epia/chip.h
    src/mainboard/via/epia/failover.c
    - updated after recent code changes
    src/northbridge/via/vt8601/chip.h
    src/northbridge/via/vt8601/northbridge.c
    src/northbridge/via/vt8601/raminit.c
    - corrections after recent code changes to allow compiling
    src/southbridge/via/vt8231/chip.h
    src/southbridge/via/vt8231/vt8231.c
    - initial pass to allow compiling after recent code changes.

    new files:
     src/cpu/via/.arch-ids/=id
     src/cpu/via/model_centaur/.arch-ids/=id
     src/cpu/via/model_centaur/.arch-ids/Config.lb.id
     src/cpu/via/model_centaur/.arch-ids/model_centaur_init.c.id
     src/cpu/via/model_centaur/Config.lb
     src/cpu/via/model_centaur/model_centaur_init.c

    modified files:
     ChangeLog.arch src/arch/i386/include/arch/smp/mpspec.h
     src/cpu/x86/lapic/lapic_cpu_init.c
     src/mainboard/via/epia/Config.lb
     src/mainboard/via/epia/Options.lb
     src/mainboard/via/epia/auto.c src/mainboard/via/epia/chip.h
     src/mainboard/via/epia/failover.c
     src/mainboard/via/epia/mainboard.c
     src/northbridge/via/vt8601/chip.h
     src/northbridge/via/vt8601/northbridge.c
     src/northbridge/via/vt8601/raminit.c
     src/southbridge/via/vt8231/chip.h
     src/southbridge/via/vt8231/vt8231.c

    new directories:
     src/cpu/via src/cpu/via/.arch-ids src/cpu/via/model_centaur
     src/cpu/via/model_centaur/.arch-ids


2005-03-09 23:42:41 GMT	Yinghai Lu <yhlu@tyan.com>	patch-808

    Summary:
      *** empty log message ***
    Revision:
      freebios--import--2.0--patch-808

    Author: yhlu
    Date: 2004/10/28 18:44:38
    *** empty log message ***

    modified files:
     ChangeLog.arch src/mainboard/tyan/s2885/auto.c


2005-03-09 23:42:35 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-807

    Summary:
      - Look for all 8 possible cpus
    Revision:
      freebios--import--2.0--patch-807

    Author: ebiederm
    Date: 2004/10/27 18:54:13
    - Look for all 8 possible cpus

    modified files:
     ChangeLog.arch src/northbridge/amd/amdk8/northbridge.c


2005-03-09 23:42:30 GMT	Stefan Reinauer <stepan@openbios.org>	patch-806

    Summary:
      some more porting to the merge
    Revision:
      freebios--import--2.0--patch-806

    Author: stepan
    Date: 2004/10/27 17:27:09
    some more porting to the merge

    new files:
     src/mainboard/emulation/qemu-i386/.arch-ids/Options.lb.id
     src/mainboard/emulation/qemu-i386/Options.lb
     src/mainboard/ibm/e325/.arch-ids/Options.lb.id
     src/mainboard/ibm/e325/Options.lb
     src/mainboard/newisys/khepri/.arch-ids/Options.lb.id
     src/mainboard/newisys/khepri/Options.lb

    modified files:
     ChangeLog.arch src/mainboard/tyan/s4880/Config.lb


2005-03-09 23:42:21 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-805

    Summary:
      sizeram removal/conversion.
    Revision:
      freebios--import--2.0--patch-805

    Author: ebiederm
    Date: 2004/10/27 08:53:35
    sizeram removal/conversion.
    - mem.h and sizeram.h and all includes killed because the are no longer needed.
    - linuxbios_table.c updated to directly look at the device tree for occupied memory areas.
    - first very incomplete stab a converting the ppc code to work with the dynamic device tree
    - Ignore resources before we have read them from devices, (if the device is disabled ignore it's resources).
    - First stab at Pentium-M support
    - add part/init_timer.h making init_timer conditional until there is a better way of handling it.
    - Converted all of the x86 sizeram to northbridge set_resources functions.

    new files:
     src/include/part/.arch-ids/init_timer.h.id
     src/include/part/init_timer.h

    removed files:
     src/include/.arch-ids/mem.h.id src/include/mem.h
     src/include/part/.arch-ids/sizeram.h.id
     src/include/part/sizeram.h

    modified files:
     ChangeLog.arch src/arch/i386/boot/linuxbios_table.c
     src/arch/i386/boot/linuxbios_table.h
     src/arch/ppc/boot/linuxbios_table.c src/arch/ppc/boot/tables.c
     src/arch/ppc/lib/cpu.c src/arch/ppc/lib/cpuid.c
     src/boot/hardwaremain.c src/config/Options.lb
     src/cpu/amd/model_fxx/Config.lb src/cpu/x86/tsc/Config.lb
     src/devices/device.c src/include/part/fallback_boot.h
     src/mainboard/arima/hdama/Options.lb
     src/mainboard/arima/hdama/auto.c
     src/mainboard/digitallogic/adl855pc/Config.lb
     src/mainboard/emulation/qemu-i386/Config.lb
     src/northbridge/amd/amdk8/northbridge.c
     src/northbridge/emulation/qemu-i386/northbridge.c
     src/northbridge/intel/e7501/northbridge.c
     src/northbridge/intel/i855pm/northbridge.c
     src/northbridge/motorola/mpc107/mpc107.c
     src/northbridge/transmeta/tm5800/northbridge.c
     src/northbridge/via/vt8601/northbridge.c
     src/northbridge/via/vt8623/northbridge.c
     src/southbridge/intel/i82870/p64h2_pci_parity.c


2005-03-09 23:41:33 GMT	Yinghai Lu <yhlu@tyan.com>	patch-804

    Summary:
      spare 4s for restart
    Revision:
      freebios--import--2.0--patch-804

    Author: yhlu
    Date: 2004/10/27 02:12:22
    spare 4s for restart

    modified files:
     ChangeLog.arch src/mainboard/tyan/s2885/auto.c


2005-03-09 23:41:28 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-803

    Summary:
      - kill the broken and duplicate 855pm directory.  Hopef...
    Revision:
      freebios--import--2.0--patch-803

    Author: ebiederm
    Date: 2004/10/27 01:58:25
    - kill the broken and duplicate 855pm directory.  Hopefully I have kept
    the least broken one.

    removed files:
     src/northbridge/intel/855pm/.arch-ids/855pm.h.id
     src/northbridge/intel/855pm/.arch-ids/=id
     src/northbridge/intel/855pm/.arch-ids/Config.lb.id
     src/northbridge/intel/855pm/.arch-ids/chip.h.id
     src/northbridge/intel/855pm/.arch-ids/debug.c.id
     src/northbridge/intel/855pm/.arch-ids/northbridge.c.id
     src/northbridge/intel/855pm/.arch-ids/raminit.c.id
     src/northbridge/intel/855pm/.arch-ids/raminit.h.id
     src/northbridge/intel/855pm/.arch-ids/reset_test.c.id
     src/northbridge/intel/855pm/855pm.h
     src/northbridge/intel/855pm/Config.lb
     src/northbridge/intel/855pm/chip.h
     src/northbridge/intel/855pm/debug.c
     src/northbridge/intel/855pm/northbridge.c
     src/northbridge/intel/855pm/raminit.c
     src/northbridge/intel/855pm/raminit.h
     src/northbridge/intel/855pm/reset_test.c

    modified files:
     ChangeLog.arch

    removed directories:
     src/northbridge/intel/855pm
     src/northbridge/intel/855pm/.arch-ids


2005-03-09 23:41:24 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-802

    Summary:
      - Actually enable the Pentium-M cpus
    Revision:
      freebios--import--2.0--patch-802

    Author: ebiederm
    Date: 2004/10/27 01:18:46
    - Actually enable the Pentium-M cpus

    modified files:
     ChangeLog.arch src/cpu/intel/model_69x/model_69x_init.c
     src/cpu/intel/model_6dx/model_6dx_init.c


2005-03-09 23:41:18 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-801

    Summary:
      - Bug fixes to the P-III support
    Revision:
      freebios--import--2.0--patch-801

    Author: ebiederm
    Date: 2004/10/27 01:18:15
    - Bug fixes to the P-III support
    - Initial Pentium-M support

    new files:
     src/cpu/intel/model_69x/.arch-ids/=id
     src/cpu/intel/model_69x/.arch-ids/Config.lb.id
     src/cpu/intel/model_69x/.arch-ids/model_69x_init.c.id
     src/cpu/intel/model_69x/Config.lb
     src/cpu/intel/model_69x/model_69x_init.c
     src/cpu/intel/model_6dx/.arch-ids/=id
     src/cpu/intel/model_6dx/.arch-ids/Config.lb.id
     src/cpu/intel/model_6dx/.arch-ids/model_6dx_init.c.id
     src/cpu/intel/model_6dx/Config.lb
     src/cpu/intel/model_6dx/model_6dx_init.c
     src/cpu/intel/socket_mPGA479M/.arch-ids/=id
     src/cpu/intel/socket_mPGA479M/.arch-ids/Config.lb.id
     src/cpu/intel/socket_mPGA479M/.arch-ids/chip.h.id
     src/cpu/intel/socket_mPGA479M/.arch-ids/socket_mPGA479M.c.id
     src/cpu/intel/socket_mPGA479M/Config.lb
     src/cpu/intel/socket_mPGA479M/chip.h
     src/cpu/intel/socket_mPGA479M/socket_mPGA479M.c

    modified files:
     ChangeLog.arch src/cpu/intel/model_6xx/model_6xx_init.c
     src/cpu/intel/socket_mPGA603/chip.h
     src/cpu/intel/socket_mPGA603/socket_mPGA603_400Mhz.c

    new directories:
     src/cpu/intel/model_69x src/cpu/intel/model_69x/.arch-ids
     src/cpu/intel/model_6dx src/cpu/intel/model_6dx/.arch-ids
     src/cpu/intel/socket_mPGA479M
     src/cpu/intel/socket_mPGA479M/.arch-ids


2005-03-09 23:41:00 GMT	Yinghai Lu <yhlu@tyan.com>	patch-800

    Summary:
      S2885 winbond Superio all resource set
    Revision:
      freebios--import--2.0--patch-800

    Author: yhlu
    Date: 2004/10/27 00:37:29
    S2885 winbond Superio all resource set

    modified files:
     ChangeLog.arch src/mainboard/tyan/s2885/Config.lb
     src/mainboard/tyan/s2885/Options.lb
     src/mainboard/tyan/s2885/auto.c
     src/mainboard/tyan/s2885/chip.h
     src/mainboard/tyan/s2885/irq_tables.c
     src/mainboard/tyan/s2885/mptable.c
     src/southbridge/amd/amd8111/amd8111_usb.c
     src/southbridge/amd/amd8151/amd8151_agp3.c
     src/superio/winbond/w83627hf/superio.c


2005-03-09 23:40:43 GMT	Yinghai Lu <yhlu@tyan.com>	patch-799

    Summary:
      ops and tsc
    Revision:
      freebios--import--2.0--patch-799

    Author: yhlu
    Date: 2004/10/25 19:55:30
    ops and tsc

    modified files:
     ChangeLog.arch src/cpu/intel/model_f2x/Config.lb
     src/northbridge/intel/e7501/chip.h


2005-03-09 23:40:34 GMT	Yinghai Lu <yhlu@tyan.com>	patch-798

    Summary:
      s2735 minor changes
    Revision:
      freebios--import--2.0--patch-798

    Author: yhlu
    Date: 2004/10/25 19:49:50
    s2735 minor changes

    modified files:
     ChangeLog.arch src/mainboard/tyan/s2735/Options.lb
     src/mainboard/tyan/s2735/auto.c
     src/northbridge/intel/e7501/northbridge.c


2005-03-09 23:40:26 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-797

    Summary:
      added file
    Revision:
      freebios--import--2.0--patch-797

    Author: rminnich
    Date: 2004/10/25 16:01:30
    added file

    new files:
     src/mainboard/via/epia/.arch-ids/Options.lb.id
     src/mainboard/via/epia/Options.lb

    modified files:
     ChangeLog.arch


2005-03-09 23:40:21 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-796

    Summary:
      from  Mark Wilkinson, some fixes.
    Revision:
      freebios--import--2.0--patch-796

    Author: rminnich
    Date: 2004/10/25 14:57:22
    from  Mark Wilkinson, some fixes.

    modified files:
     ChangeLog.arch src/mainboard/via/epia/Config.lb
     targets/via/epia/Config.512kflash.lb
     targets/via/epia/Config.filo.lb
     targets/via/epia/Config.ituner.filo.lb
     targets/via/epia/Config.lb


2005-03-09 23:40:10 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-795

    Summary:
      - For now use port 0x80 based delays in for the e7501 m...
    Revision:
      freebios--import--2.0--patch-795

    Author: ebiederm
    Date: 2004/10/23 03:00:01
    - For now use port 0x80 based delays in for the e7501 memory initialization.

    modified files:
     ChangeLog.arch src/mainboard/tyan/s2735/auto.c
     src/northbridge/intel/e7501/raminit.c


2005-03-09 23:40:01 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-794

    Summary:
      - With Xeon cpus it seems best to use the tsc calibrate...
    Revision:
      freebios--import--2.0--patch-794

    Author: ebiederm
    Date: 2004/10/23 02:47:12
    - With Xeon cpus it seems best to use the tsc calibrated with timer2 as
    the time source.  The apic timer also has a variable time base.

    removed files:
     src/cpu/intel/model_f2x/.arch-ids/apic_timer.c.id
     src/cpu/intel/model_f2x/apic_timer.c

    modified files:
     ChangeLog.arch src/cpu/intel/model_f2x/Config.lb
     src/mainboard/tyan/s2735/Options.lb


2005-03-09 23:39:55 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-793

    Summary:
      - Update e7501 northbridge.c to work in the new structure.
    Revision:
      freebios--import--2.0--patch-793

    Author: ebiederm
    Date: 2004/10/23 02:32:23
    - Update e7501 northbridge.c to work in the new structure.

    modified files:
     ChangeLog.arch src/northbridge/intel/e7501/northbridge.c


2005-03-09 23:39:50 GMT	Yinghai Lu <yhlu@tyan.com>	patch-792

    Summary:
      *** empty log message ***
    Revision:
      freebios--import--2.0--patch-792

    Author: yhlu
    Date: 2004/10/23 00:05:22
    *** empty log message ***

    modified files:
     ChangeLog.arch src/northbridge/intel/e7501/northbridge.c


2005-03-09 23:39:45 GMT	Yinghai Lu <yhlu@tyan.com>	patch-791

    Summary:
      for S2735 support
    Revision:
      freebios--import--2.0--patch-791

    Author: yhlu
    Date: 2004/10/22 21:33:07
    for S2735 support

    new files:
     src/cpu/intel/model_f2x/.arch-ids/apic_timer.c.id
     src/cpu/intel/model_f2x/apic_timer.c

    modified files:
     ChangeLog.arch src/cpu/intel/model_f2x/Config.lb
     src/mainboard/tyan/s2735/auto.c


2005-03-09 23:39:35 GMT	Yinghai Lu <yhlu@tyan.com>	patch-790

    Summary:
      *** empty log message ***
    Revision:
      freebios--import--2.0--patch-790

    Author: yhlu
    Date: 2004/10/22 18:49:09
    *** empty log message ***

    new files:
     src/mainboard/tyan/s2735/.arch-ids/Options.lb.id
     src/mainboard/tyan/s2735/Options.lb

    modified files:
     ChangeLog.arch src/southbridge/intel/i82801er/chip.h
     src/southbridge/intel/i82801er/i82801er.c


2005-03-09 23:39:27 GMT	Yinghai Lu <yhlu@tyan.com>	patch-789

    Summary:
      s2735 half update
    Revision:
      freebios--import--2.0--patch-789

    Author: yhlu
    Date: 2004/10/22 18:45:34
    s2735 half update

    modified files:
     ChangeLog.arch src/cpu/intel/model_f2x/Config.lb
     src/cpu/intel/model_f2x/model_f2x_init.c
     src/cpu/intel/socket_mPGA604_533Mhz/chip.h
     src/cpu/intel/socket_mPGA604_533Mhz/socket_mPGA604_533Mhz.c
     src/mainboard/tyan/s2735/Config.lb
     src/mainboard/tyan/s2735/auto.c
     src/mainboard/tyan/s2735/chip.h
     src/mainboard/tyan/s2735/failover.c
     src/mainboard/tyan/s2735/mainboard.c
     src/mainboard/tyan/s2735/mptable.c
     src/mainboard/tyan/s4880/Options.lb
     src/mainboard/tyan/s4882/Options.lb
     targets/tyan/s2735/Config.lb targets/tyan/s2735/ns2735


2005-03-09 23:39:02 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-788

    Summary:
      - Better memory I/O space distinguishing in amd_mtrr.c
    Revision:
      freebios--import--2.0--patch-788

    Author: ebiederm
    Date: 2004/10/22 04:41:53
    - Better memory I/O space distinguishing in amd_mtrr.c
    This is way to much code duplication but for now things work.
    - Fix the typo in amd8111_lpc.c
    - Remove an unused macro, use continue instead of break in mtrr.c

    modified files:
     ChangeLog.arch src/cpu/amd/mtrr/amd_mtrr.c
     src/cpu/x86/mtrr/mtrr.c
     src/southbridge/amd/amd8111/amd8111_lpc.c


2005-03-09 23:38:54 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-787

    Summary:
      - kill typo so resources are not mixed up in amdk8/nort...
    Revision:
      freebios--import--2.0--patch-787

    Author: ebiederm
    Date: 2004/10/22 02:33:50
    - kill typo so resources are not mixed up in amdk8/northbridge.c
    - Enable resources on the lpc bus.  PCI now longer do this by
    default for their children unless they are bridges.

    modified files:
     ChangeLog.arch src/northbridge/amd/amdk8/northbridge.c
     src/southbridge/amd/amd8111/amd8111_lpc.c
     src/southbridge/intel/i82801dbm/i82801dbm_lpc.c
     src/southbridge/intel/i82801er/i82801er_lpc.c


2005-03-09 23:38:44 GMT	Stefan Reinauer <stepan@openbios.org>	patch-786

    Summary:
      show error logfile
    Revision:
      freebios--import--2.0--patch-786

    Author: stepan
    Date: 2004/10/21 21:41:57
    show error logfile

    modified files:
     ChangeLog.arch util/abuild/abuild.sh


2005-03-09 23:38:39 GMT	Stefan Reinauer <stepan@openbios.org>	patch-785

    Summary:
      adapt config files
    Revision:
      freebios--import--2.0--patch-785

    Author: stepan
    Date: 2004/10/21 20:52:52
    adapt config files

    new files:
     src/mainboard/amd/quartet/.arch-ids/Options.lb.id
     src/mainboard/amd/quartet/Options.lb
     src/mainboard/amd/serenade/.arch-ids/Options.lb.id
     src/mainboard/amd/serenade/Options.lb

    modified files:
     ChangeLog.arch src/mainboard/amd/quartet/Config.lb
     src/mainboard/amd/serenade/Config.lb


2005-03-09 23:38:30 GMT	Stefan Reinauer <stepan@openbios.org>	patch-784

    Summary:
      get solo building after last infrastructure changes
    Revision:
      freebios--import--2.0--patch-784

    Author: stepan
    Date: 2004/10/21 18:51:13
    get solo building after last infrastructure changes

    modified files:
     ChangeLog.arch src/mainboard/amd/solo/auto.c
     src/mainboard/amd/solo/chip.h
     src/mainboard/amd/solo/mainboard.c
     src/mainboard/amd/solo/mptable.c


2005-03-09 23:38:20 GMT	Stefan Reinauer <stepan@openbios.org>	patch-783

    Summary:
      update failover handling of some amd64 boards
    Revision:
      freebios--import--2.0--patch-783

    Author: stepan
    Date: 2004/10/21 17:06:46
    update failover handling of some amd64 boards

    modified files:
     ChangeLog.arch src/mainboard/Iwill/DK8S2/failover.c
     src/mainboard/Iwill/DK8X/failover.c
     src/mainboard/amd/quartet/failover.c
     src/mainboard/amd/serenade/failover.c
     src/mainboard/amd/solo/failover.c
     src/mainboard/ibm/e325/failover.c
     src/mainboard/newisys/khepri/failover.c


2005-03-09 23:38:04 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-782

    Summary:
      - Bump the LinuxBIOS major version
    Revision:
      freebios--import--2.0--patch-782

    Author: ebiederm
    Date: 2004/10/21 10:43:53
    - Bump the LinuxBIOS major version
    - Rename chip_config chip_operations throughout the tree
    - Fix Config.lb on most of the Opteron Ports
    - Fix the amd 8000 chipset support for setting the subsystem vendor and device ids
    - Add detection of devices that are on the motherboard (i.e. In Config.lb)
    - Baby step in getting the resource limit handling correct, Ignore fixed resources
    - Only call enable_childrens_resources on devices we know will have children
    For some busses like i2c it is non-sense and we don't want it.
    - Set the resource limits for pnp devices resources.
    - Improve the resource size detection for pnp devices.
    - Added a configuration register to amd8111_ide.c so we can enable/disable individual ide channels
    - Added a header file to hold the prototype of isa_dma_init
    - Fixed most of the superio chips so the should work now, the via superio pci device is the exception.
    - The code compiles and runs so it is time for me to go to bed.

    new files:
     src/include/pc80/.arch-ids/isa-dma.h.id
     src/include/pc80/isa-dma.h
     src/southbridge/amd/amd8111/.arch-ids/amd8111_smbus.h.id
     src/southbridge/amd/amd8111/amd8111_smbus.h
     src/superio/NSC/pc97307/.arch-ids/pc97307.h.id
     src/superio/NSC/pc97307/pc97307.h

    modified files:
     ChangeLog.arch NEWS src/config/Options.lb
     src/cpu/intel/slot_2/chip.h src/cpu/intel/slot_2/slot_2.c
     src/cpu/intel/socket_mPGA603/chip.h
     src/cpu/intel/socket_mPGA603/socket_mPGA603_400Mhz.c
     src/cpu/intel/socket_mPGA604_533Mhz/chip.h
     src/cpu/intel/socket_mPGA604_533Mhz/socket_mPGA604_533Mhz.c
     src/cpu/intel/socket_mPGA604_800Mhz/chip.h
     src/cpu/intel/socket_mPGA604_800Mhz/socket_mPGA604_800Mhz.c
     src/devices/device.c src/devices/pci_device.c
     src/devices/pnp_device.c src/devices/root_device.c
     src/include/device/device.h src/include/device/pci.h
     src/mainboard/Iwill/DK8S2/Config.lb
     src/mainboard/Iwill/DK8S2/chip.h
     src/mainboard/Iwill/DK8S2/mainboard.c
     src/mainboard/Iwill/DK8X/Config.lb
     src/mainboard/Iwill/DK8X/chip.h
     src/mainboard/Iwill/DK8X/mainboard.c
     src/mainboard/amd/quartet/Config.lb
     src/mainboard/amd/quartet/chip.h
     src/mainboard/amd/quartet/mainboard.c
     src/mainboard/amd/serenade/Config.lb
     src/mainboard/amd/serenade/chip.h
     src/mainboard/amd/serenade/mainboard.c
     src/mainboard/amd/solo/chip.h
     src/mainboard/amd/solo/mainboard.c
     src/mainboard/arima/hdama/Config.lb
     src/mainboard/arima/hdama/Options.lb
     src/mainboard/arima/hdama/mainboard.c
     src/mainboard/densitron/dpx114/chip.h
     src/mainboard/densitron/dpx114/mainboard.c
     src/mainboard/digitallogic/adl855pc/chip.h
     src/mainboard/digitallogic/adl855pc/mainboard.c
     src/mainboard/emulation/qemu-i386/chip.h
     src/mainboard/emulation/qemu-i386/mainboard.c
     src/mainboard/ibm/e325/Config.lb src/mainboard/ibm/e325/chip.h
     src/mainboard/ibm/e325/mainboard.c
     src/mainboard/newisys/khepri/Config.lb
     src/mainboard/newisys/khepri/chip.h
     src/mainboard/newisys/khepri/mainboard.c
     src/mainboard/technologic/ts5300/Config.lb
     src/mainboard/technologic/ts5300/chip.h
     src/mainboard/technologic/ts5300/mainboard.c
     src/mainboard/tyan/s2735/Config.lb
     src/mainboard/tyan/s2735/chip.h
     src/mainboard/tyan/s2735/mainboard.c
     src/mainboard/via/epia-m/chip.h
     src/mainboard/via/epia-m/mainboard.c
     src/mainboard/via/epia/chip.h
     src/mainboard/via/epia/mainboard.c
     src/northbridge/amd/amdk8/northbridge.c
     src/northbridge/emulation/qemu-i386/chip.h
     src/northbridge/emulation/qemu-i386/northbridge.c
     src/northbridge/intel/855pm/chip.h
     src/northbridge/intel/855pm/northbridge.c
     src/northbridge/intel/e7501/chip.h
     src/northbridge/intel/e7501/northbridge.c
     src/northbridge/intel/i855pm/chip.h
     src/northbridge/intel/i855pm/northbridge.c
     src/northbridge/transmeta/tm5800/chip.h
     src/northbridge/transmeta/tm5800/northbridge.c
     src/northbridge/via/vt8601/chip.h
     src/northbridge/via/vt8601/northbridge.c
     src/northbridge/via/vt8623/chip.h
     src/northbridge/via/vt8623/northbridge.c src/pc80/isa-dma.c
     src/pc80/vgachip.h src/southbridge/amd/amd8111/amd8111.c
     src/southbridge/amd/amd8111/amd8111_ac97.c
     src/southbridge/amd/amd8111/amd8111_acpi.c
     src/southbridge/amd/amd8111/amd8111_early_smbus.c
     src/southbridge/amd/amd8111/amd8111_enable_rom.c
     src/southbridge/amd/amd8111/amd8111_ide.c
     src/southbridge/amd/amd8111/amd8111_lpc.c
     src/southbridge/amd/amd8111/amd8111_nic.c
     src/southbridge/amd/amd8111/amd8111_pci.c
     src/southbridge/amd/amd8111/amd8111_smbus.c
     src/southbridge/amd/amd8111/amd8111_usb.c
     src/southbridge/amd/amd8111/amd8111_usb2.c
     src/southbridge/amd/amd8111/chip.h
     src/southbridge/amd/amd8131/amd8131_bridge.c
     src/southbridge/intel/i82801dbm/i82801dbm.c
     src/southbridge/intel/i82801er/i82801er.c
     src/southbridge/ricoh/rl5c476/chip.h
     src/southbridge/ricoh/rl5c476/rl5c476.c
     src/southbridge/via/vt8231/chip.h
     src/southbridge/via/vt8231/vt8231.c
     src/southbridge/via/vt8235/chip.h
     src/southbridge/via/vt8235/vt8235.c
     src/southbridge/winbond/w83c553/chip.h
     src/superio/NSC/pc87366/chip.h
     src/superio/NSC/pc87366/superio.c
     src/superio/NSC/pc97307/chip.h
     src/superio/NSC/pc97307/superio.c
     src/superio/via/vt1211/chip.h src/superio/via/vt1211/vt1211.c
     src/superio/winbond/w83627thf/chip.h
     src/superio/winbond/w83627thf/superio.c
     util/newconfig/config.g


2005-03-09 23:35:10 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-781

    Summary:
      - Explicitly disable the fixed dram extensions bits.
    Revision:
      freebios--import--2.0--patch-781

    Author: ebiederm
    Date: 2004/10/21 02:53:25
    - Explicitly disable the fixed dram extensions bits.

    modified files:
     ChangeLog.arch src/cpu/amd/mtrr/amd_mtrr.c


2005-03-09 23:35:06 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-780

    Summary:
      - We already know the cache is disabled so don't bother...
    Revision:
      freebios--import--2.0--patch-780

    Author: ebiederm
    Date: 2004/10/21 02:43:15
    - We already know the cache is disabled so don't bother disabling it.

    modified files:
     ChangeLog.arch src/cpu/amd/mtrr/amd_earlymtrr.c


2005-03-09 23:35:01 GMT	Yinghai Lu <yhlu@tyan.com>	patch-779

    Summary:
      better support enable_dev for amd8111
    Revision:
      freebios--import--2.0--patch-779

    Author: yhlu
    Date: 2004/10/21 01:52:21
    better support enable_dev for amd8111

    modified files:
     ChangeLog.arch src/southbridge/amd/amd8111/Config.lb
     src/southbridge/amd/amd8111/amd8111.c
     src/southbridge/amd/amd8111/amd8111_ac97.c
     src/southbridge/amd/amd8111/amd8111_acpi.c
     src/southbridge/amd/amd8111/amd8111_lpc.c
     src/southbridge/amd/amd8111/amd8111_nic.c
     src/southbridge/amd/amd8111/amd8111_usb.c
     src/southbridge/amd/amd8111/amd8111_usb2.c


2005-03-09 23:34:42 GMT	Yinghai Lu <yhlu@tyan.com>	patch-778

    Summary:
      add Option.lb
    Revision:
      freebios--import--2.0--patch-778

    Author: yhlu
    Date: 2004/10/20 17:53:58
    add Option.lb

    new files:
     src/mainboard/tyan/s2850/.arch-ids/Options.lb.id
     src/mainboard/tyan/s2850/Options.lb
     src/mainboard/tyan/s2875/.arch-ids/Options.lb.id
     src/mainboard/tyan/s2875/Options.lb
     src/mainboard/tyan/s2880/.arch-ids/Options.lb.id
     src/mainboard/tyan/s2880/Options.lb
     src/mainboard/tyan/s2881/.arch-ids/Options.lb.id
     src/mainboard/tyan/s2881/Options.lb
     src/mainboard/tyan/s2882/.arch-ids/Options.lb.id
     src/mainboard/tyan/s2882/Options.lb
     src/mainboard/tyan/s2885/.arch-ids/Options.lb.id
     src/mainboard/tyan/s2885/Options.lb
     src/mainboard/tyan/s4880/.arch-ids/Options.lb.id
     src/mainboard/tyan/s4880/Options.lb
     src/mainboard/tyan/s4882/.arch-ids/Options.lb.id
     src/mainboard/tyan/s4882/Options.lb

    modified files:
     ChangeLog.arch src/mainboard/tyan/s2850/auto.c
     src/mainboard/tyan/s2875/auto.c
     src/mainboard/tyan/s2880/auto.c
     src/mainboard/tyan/s2881/auto.c
     src/mainboard/tyan/s2882/auto.c
     src/mainboard/tyan/s2885/auto.c
     src/mainboard/tyan/s4880/auto.c
     src/mainboard/tyan/s4882/auto.c


2005-03-09 23:34:14 GMT	Yinghai Lu <yhlu@tyan.com>	patch-777

    Summary:
      Tyan update to work with new CPU Config
    Revision:
      freebios--import--2.0--patch-777

    Author: yhlu
    Date: 2004/10/20 05:06:54
    Tyan update to work with new CPU Config

    modified files:
     ChangeLog.arch src/include/device/device.h
     src/mainboard/amd/quartet/auto.c
     src/mainboard/tyan/s2850/Config.lb
     src/mainboard/tyan/s2850/auto.c
     src/mainboard/tyan/s2850/chip.h
     src/mainboard/tyan/s2850/cmos.layout
     src/mainboard/tyan/s2850/failover.c
     src/mainboard/tyan/s2850/mainboard.c
     src/mainboard/tyan/s2850/mptable.c
     src/mainboard/tyan/s2875/Config.lb
     src/mainboard/tyan/s2875/auto.c
     src/mainboard/tyan/s2875/chip.h
     src/mainboard/tyan/s2875/cmos.layout
     src/mainboard/tyan/s2875/failover.c
     src/mainboard/tyan/s2875/mainboard.c
     src/mainboard/tyan/s2875/mptable.c
     src/mainboard/tyan/s2880/Config.lb
     src/mainboard/tyan/s2880/auto.c
     src/mainboard/tyan/s2880/chip.h
     src/mainboard/tyan/s2880/cmos.layout
     src/mainboard/tyan/s2880/failover.c
     src/mainboard/tyan/s2880/mainboard.c
     src/mainboard/tyan/s2880/mptable.c
     src/mainboard/tyan/s2881/Config.lb
     src/mainboard/tyan/s2881/auto.c
     src/mainboard/tyan/s2881/chip.h
     src/mainboard/tyan/s2881/cmos.layout
     src/mainboard/tyan/s2881/failover.c
     src/mainboard/tyan/s2881/mainboard.c
     src/mainboard/tyan/s2881/mptable.c
     src/mainboard/tyan/s2882/Config.lb
     src/mainboard/tyan/s2882/auto.c
     src/mainboard/tyan/s2882/chip.h
     src/mainboard/tyan/s2882/cmos.layout
     src/mainboard/tyan/s2882/failover.c
     src/mainboard/tyan/s2882/irq_tables.c
     src/mainboard/tyan/s2882/mainboard.c
     src/mainboard/tyan/s2882/mptable.c
     src/mainboard/tyan/s2885/Config.lb
     src/mainboard/tyan/s2885/auto.c
     src/mainboard/tyan/s2885/chip.h
     src/mainboard/tyan/s2885/cmos.layout
     src/mainboard/tyan/s2885/failover.c
     src/mainboard/tyan/s2885/mainboard.c
     src/mainboard/tyan/s2885/mptable.c
     src/mainboard/tyan/s2885/resourcemap.c
     src/mainboard/tyan/s2885/ti_firewire.c
     src/mainboard/tyan/s4880/Config.lb
     src/mainboard/tyan/s4880/auto.c
     src/mainboard/tyan/s4880/chip.h
     src/mainboard/tyan/s4880/cmos.layout
     src/mainboard/tyan/s4880/failover.c
     src/mainboard/tyan/s4880/mainboard.c
     src/mainboard/tyan/s4880/mptable.c
     src/mainboard/tyan/s4882/Config.lb
     src/mainboard/tyan/s4882/auto.c
     src/mainboard/tyan/s4882/chip.h
     src/mainboard/tyan/s4882/cmos.layout
     src/mainboard/tyan/s4882/failover.c
     src/mainboard/tyan/s4882/mainboard.c
     src/mainboard/tyan/s4882/mptable.c
     src/northbridge/amd/amdk8/incoherent_ht.c
     src/superio/winbond/w83627hf/chip.h
     src/superio/winbond/w83627hf/superio.c
     targets/tyan/s2850/Config.lb targets/tyan/s2875/Config.lb
     targets/tyan/s2880/Config.lb targets/tyan/s2880/ns2880
     targets/tyan/s2881/Config.lb targets/tyan/s2882/Config.lb
     targets/tyan/s2885/Config.lb targets/tyan/s4880/Config.lb
     targets/tyan/s4882/Config.lb util/flash_and_burn/flash_rom.c
     util/flash_and_burn/pm49fl004.c


2005-03-09 23:32:07 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-776

    Summary:
      - Fix typo with reversing memory resources.
    Revision:
      freebios--import--2.0--patch-776

    Author: ebiederm
    Date: 2004/10/19 23:35:53
    - Fix typo with reversing memory resources.

    modified files:
     ChangeLog.arch src/northbridge/amd/amdk8/northbridge.c


2005-03-09 23:32:01 GMT	Ollie Lho <ollie@lanl.gov>	patch-775

    Summary:
      change struct chip* to struct device*
    Revision:
      freebios--import--2.0--patch-775

    Author: ollie
    Date: 2004/10/19 17:49:32
    change struct chip* to struct device*

    modified files:
     ChangeLog.arch src/mainboard/arima/hdama/mainboard.c


2005-03-09 23:31:56 GMT	Stefan Reinauer <stepan@openbios.org>	patch-774

    Summary:
      - add support for socket 754
    Revision:
      freebios--import--2.0--patch-774

    Author: stepan
    Date: 2004/10/19 10:30:32
    - add support for socket 754
    - fix configuration creation for amd solo (doesn't compile yet)

    new files:
     src/cpu/amd/socket_754/.arch-ids/=id
     src/cpu/amd/socket_754/.arch-ids/Config.lb.id
     src/cpu/amd/socket_754/.arch-ids/chip.h.id
     src/cpu/amd/socket_754/.arch-ids/socket_754.c.id
     src/cpu/amd/socket_754/Config.lb src/cpu/amd/socket_754/chip.h
     src/cpu/amd/socket_754/socket_754.c
     src/mainboard/amd/solo/.arch-ids/Options.lb.id
     src/mainboard/amd/solo/Options.lb

    modified files:
     ChangeLog.arch src/mainboard/amd/solo/Config.lb
     targets/amd/solo/Config.lb

    new directories:
     src/cpu/amd/socket_754 src/cpu/amd/socket_754/.arch-ids


2005-03-09 23:31:44 GMT	Stefan Reinauer <stepan@openbios.org>	patch-773

    Summary:
      initial checkin of automatic linuxbios image build test...
    Revision:
      freebios--import--2.0--patch-773

    Author: stepan
    Date: 2004/10/19 07:00:47
    initial checkin of automatic linuxbios image build test script

    new files:
     util/abuild/.arch-ids/=id util/abuild/.arch-ids/abuild.sh.id
     util/abuild/abuild.sh

    modified files:
     ChangeLog.arch

    new directories:
     util/abuild util/abuild/.arch-ids


2005-03-09 23:31:39 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-772

    Summary:
      - Fix bug with > 4GB of memory where PAE was left enabled.
    Revision:
      freebios--import--2.0--patch-772

    Author: ebiederm
    Date: 2004/10/19 05:07:18
    - Fix bug with > 4GB of memory where PAE was left enabled.
    Why didn't this show up until I had > 4GB on one cpu?

    modified files:
     ChangeLog.arch src/cpu/x86/pae/pgtbl.c


2005-03-09 23:31:34 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-771

    Summary:
      - FIXED resources are also ASSIGNED resources
    Revision:
      freebios--import--2.0--patch-771

    Author: ebiederm
    Date: 2004/10/18 23:24:25
    - FIXED resources are also ASSIGNED resources

    modified files:
     ChangeLog.arch util/newconfig/config.g


2005-03-09 23:31:28 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-770

    Summary:
      - Set the parent's link properly in the bus field
    Revision:
      freebios--import--2.0--patch-770

    Author: ebiederm
    Date: 2004/10/18 21:21:06
    - Set the parent's link properly in the bus field

    modified files:
     ChangeLog.arch util/newconfig/config.g


2005-03-09 23:31:23 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-769

    Summary:
      - Bump MAX_LINKS to 4 I have actually found an i2c brid...
    Revision:
      freebios--import--2.0--patch-769

    Author: ebiederm
    Date: 2004/10/16 19:58:35
    - Bump MAX_LINKS to 4 I have actually found an i2c bridge that needs this
    - Fix the hdama Config.lb to not longer use the link keywords oops,
    and instead to have it nest everything properly.
    - Update config.g to not support the link keyword
    - update config.g to not support northbridge/southbridge/cpu/pmc noise words
    we can just use chip now.
    - Remove old link handling from the code
    - Detect and handle duplicate paths so we generate one device with multiple links

    modified files:
     ChangeLog.arch src/include/device/device.h
     src/mainboard/arima/hdama/Config.lb util/newconfig/config.g


2005-03-09 23:31:14 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-768

    Summary:
      - Make all ports use config.h for if they have chip_con...
    Revision:
      freebios--import--2.0--patch-768

    Author: ebiederm
    Date: 2004/10/16 09:13:23
    - Make all ports use config.h for if they have chip_config or chip_info structures.

    new files:
     src/southbridge/intel/i82801dbm/.arch-ids/chip.h.id
     src/southbridge/intel/i82801dbm/chip.h
     src/southbridge/intel/i82801er/.arch-ids/chip.h.id
     src/southbridge/intel/i82801er/chip.h

    modified files:
     ChangeLog.arch src/southbridge/intel/i82801dbm/Config.lb
     src/southbridge/intel/i82801dbm/i82801dbm.h
     src/southbridge/intel/i82801er/Config.lb
     src/southbridge/intel/i82801er/i82801er.h


2005-03-09 23:31:01 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-767

    Summary:
      - Cleanup the bugfix in elfboot.c
    Revision:
      freebios--import--2.0--patch-767

    Author: ebiederm
    Date: 2004/10/16 08:45:28
    - Cleanup the bugfix in elfboot.c
    - Add forgotten amd8111 chip.h

    new files:
     src/southbridge/amd/amd8111/.arch-ids/chip.h.id
     src/southbridge/amd/amd8111/chip.h

    modified files:
     ChangeLog.arch src/boot/elfboot.c


2005-03-09 23:30:54 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-766

    Summary:
      - HDAMA boots!
    Revision:
      freebios--import--2.0--patch-766

    Author: ebiederm
    Date: 2004/10/16 08:38:57
    - HDAMA boots!
    - Set the bootstrap processor flag in the mptable.
    - Implement 64bit support in our print statements
    - Fix the reporting of how many cpus we are waiting to stop.
    It is the 1 less than the actual number of cpus running.
    - Actually enable cpu_initialization.
    - Fix firstsiblingdevice in config.g
    - Add IORESOURCE_FIXED to all of the resources set by config.g
    - Fix the apic_cluster rule to add an apic_cluster path not an apic path.
    - Add a div64.h to assist in the 64bit printf.

    new files:
     src/arch/i386/include/.arch-ids/div64.h.id
     src/arch/i386/include/div64.h

    modified files:
     ChangeLog.arch src/arch/i386/smp/mpspec.c
     src/console/vtxprintf.c src/cpu/x86/lapic/lapic_cpu_init.c
     src/northbridge/amd/amdk8/northbridge.c
     util/newconfig/config.g


2005-03-09 23:30:39 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-765

    Summary:
      - First stab at running linuxbios without the old stati...
    Revision:
      freebios--import--2.0--patch-765

    Author: ebiederm
    Date: 2004/10/16 06:19:59
    - First stab at running linuxbios without the old static device tree.
    Things are close but not quite there yet.

    removed files:
     src/devices/.arch-ids/chip.c.id src/devices/chip.c
     src/include/device/.arch-ids/chip.h.id
     src/include/device/chip.h

    modified files:
     ChangeLog.arch src/arch/i386/init/crt0.S.lb
     src/arch/i386/smp/mpspec.c src/boot/hardwaremain.c
     src/cpu/amd/model_fxx/model_fxx_init.c
     src/cpu/amd/socket_940/chip.h
     src/cpu/amd/socket_940/socket_940.c
     src/cpu/intel/model_6xx/model_6xx_init.c
     src/cpu/intel/model_f0x/model_f0x_init.c
     src/cpu/intel/model_f1x/model_f1x_init.c
     src/cpu/intel/model_f2x/model_f2x_init.c
     src/cpu/intel/model_f3x/model_f3x_init.c
     src/cpu/intel/slot_2/slot_2.c
     src/cpu/intel/socket_mPGA603/socket_mPGA603_400Mhz.c
     src/cpu/intel/socket_mPGA604_533Mhz/socket_mPGA604_533Mhz.c
     src/cpu/intel/socket_mPGA604_800Mhz/socket_mPGA604_800Mhz.c
     src/cpu/simple_init/simple_cpu_init.c
     src/cpu/x86/lapic/lapic_cpu_init.c src/devices/Config.lb
     src/devices/device.c src/devices/device_util.c
     src/devices/hypertransport.c src/devices/pci_device.c
     src/devices/pnp_device.c src/devices/root_device.c
     src/include/cpu/cpu.h src/include/device/device.h
     src/include/device/path.h src/include/device/pnp.h
     src/include/device/smbus.h src/lib/version.c
     src/mainboard/Iwill/DK8S2/mainboard.c
     src/mainboard/Iwill/DK8X/mainboard.c
     src/mainboard/amd/quartet/mainboard.c
     src/mainboard/amd/serenade/mainboard.c
     src/mainboard/amd/solo/mainboard.c
     src/mainboard/arima/hdama/Options.lb
     src/mainboard/arima/hdama/chip.h
     src/mainboard/arima/hdama/mainboard.c
     src/mainboard/densitron/dpx114/mainboard.c
     src/mainboard/digitallogic/adl855pc/mainboard.c
     src/mainboard/emulation/qemu-i386/mainboard.c
     src/mainboard/ibm/e325/mainboard.c
     src/mainboard/newisys/khepri/mainboard.c
     src/mainboard/technologic/ts5300/mainboard.c
     src/mainboard/tyan/s2735/mainboard.c
     src/mainboard/tyan/s2850/mainboard.c
     src/mainboard/tyan/s2875/mainboard.c
     src/mainboard/tyan/s2880/mainboard.c
     src/mainboard/tyan/s2881/mainboard.c
     src/mainboard/tyan/s2882/mainboard.c
     src/mainboard/tyan/s2885/mainboard.c
     src/mainboard/tyan/s4880/mainboard.c
     src/mainboard/tyan/s4882/mainboard.c
     src/mainboard/via/epia-m/mainboard.c
     src/mainboard/via/epia/mainboard.c
     src/northbridge/amd/amdk8/chip.h
     src/northbridge/amd/amdk8/northbridge.c
     src/northbridge/emulation/qemu-i386/northbridge.c
     src/northbridge/intel/855pm/northbridge.c
     src/northbridge/intel/e7501/northbridge.c
     src/northbridge/intel/i855pm/northbridge.c
     src/northbridge/transmeta/tm5800/northbridge.c
     src/northbridge/via/vt8601/northbridge.c
     src/northbridge/via/vt8623/northbridge.c
     src/southbridge/amd/amd8111/Config.lb
     src/southbridge/amd/amd8111/amd8111.c
     src/southbridge/amd/amd8111/amd8111.h
     src/southbridge/amd/amd8111/amd8111_lpc.c
     src/southbridge/intel/i82801dbm/i82801dbm.c
     src/southbridge/intel/i82801dbm/i82801dbm_lpc.c
     src/southbridge/intel/i82801er/i82801er.c
     src/southbridge/intel/i82801er/i82801er_lpc.c
     src/southbridge/ricoh/rl5c476/rl5c476.c
     src/southbridge/via/vt8231/vt8231.c
     src/southbridge/via/vt8235/vt8235.c
     src/southbridge/winbond/w83c553/w83c553f.c
     src/superio/NSC/pc87360/chip.h
     src/superio/NSC/pc87360/superio.c
     src/superio/NSC/pc87366/superio.c
     src/superio/NSC/pc97307/superio.c
     src/superio/via/vt1211/vt1211.c
     src/superio/winbond/w83627hf/superio.c
     src/superio/winbond/w83627thf/superio.c
     util/newconfig/config.g


2005-03-09 23:28:17 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-764

    Summary:
      - Fix config.g and the hdama config so everthing builds...
    Revision:
      freebios--import--2.0--patch-764

    Author: ebiederm
    Date: 2004/10/16 02:48:33
    - Fix config.g and the hdama config so everthing builds again.

    modified files:
     ChangeLog.arch src/include/device/device.h
     src/include/device/path.h src/mainboard/arima/hdama/Config.lb
     src/mainboard/arima/hdama/Options.lb util/newconfig/config.g


2005-03-09 23:28:06 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-763

    Summary:
      add back stuff from before
    Revision:
      freebios--import--2.0--patch-763

    Author: rminnich
    Date: 2004/10/15 20:47:41
    add back stuff from before

    modified files:
     ChangeLog.arch util/newconfig/config.g


2005-03-09 23:28:00 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-762

    Summary:
      fixes for apic, i2c
    Revision:
      freebios--import--2.0--patch-762

    Author: rminnich
    Date: 2004/10/15 19:28:56
    fixes for apic, i2c

    modified files:
     ChangeLog.arch util/newconfig/config.g


2005-03-09 23:27:55 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-761

    Summary:
      closer
    Revision:
      freebios--import--2.0--patch-761

    Author: rminnich
    Date: 2004/10/15 19:17:43
    closer

    modified files:
     ChangeLog.arch util/newconfig/config.g


2005-03-09 23:27:49 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-760

    Summary:
      this now works right.
    Revision:
      freebios--import--2.0--patch-760

    Author: rminnich
    Date: 2004/10/15 15:09:30
    this now works right.

    modified files:
     ChangeLog.arch util/newconfig/config.g


2005-03-09 23:27:43 GMT	Ollie Lho <ollie@lanl.gov>	patch-759

    Summary:
      fixed function prototype for die()
    Revision:
      freebios--import--2.0--patch-759

    Author: ollie
    Date: 2004/10/14 23:05:08
    fixed function prototype for die()

    modified files:
     ChangeLog.arch src/console/console.c


2005-03-09 23:27:38 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-758

    Summary:
      - Change broken usage of get_resource to find_resource.
    Revision:
      freebios--import--2.0--patch-758

    Author: ebiederm
    Date: 2004/10/14 23:02:00
    - Change broken usage of get_resource to find_resource.

    modified files:
     ChangeLog.arch src/superio/NSC/pc87360/superio.c


2005-03-09 23:27:34 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-757

    Summary:
      - Finish interrupted merge
    Revision:
      freebios--import--2.0--patch-757

    Author: ebiederm
    Date: 2004/10/14 22:52:15
    - Finish interrupted merge

    modified files:
     ChangeLog.arch src/devices/device.c


2005-03-09 23:27:28 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-756

    Summary:
      oops.
    Revision:
      freebios--import--2.0--patch-756

    Author: rminnich
    Date: 2004/10/14 22:44:26
    oops.

    new files:
     src/pc80/.arch-ids/i8259.c.id src/pc80/i8259.c

    modified files:
     ChangeLog.arch


2005-03-09 23:27:24 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-755

    Summary:
      - Fix fat fingered merge
    Revision:
      freebios--import--2.0--patch-755

    Author: ebiederm
    Date: 2004/10/14 22:35:23
    - Fix fat fingered merge

    modified files:
     ChangeLog.arch src/mainboard/arima/hdama/mainboard.c


2005-03-09 23:27:16 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-754

    Summary:
      - Update so we no longer require console.inc
    Revision:
      freebios--import--2.0--patch-754

    Author: ebiederm
    Date: 2004/10/14 22:29:26
    - Update so we no longer require console.inc

    modified files:
     ChangeLog.arch src/arch/i386/init/crt0.S.lb


2005-03-09 23:27:11 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-753

    Summary:
      - Sync up northbridge/amd/amdk8
    Revision:
      freebios--import--2.0--patch-753

    Author: ebiederm
    Date: 2004/10/14 22:06:29
    - Sync up northbridge/amd/amdk8

    modified files:
     ChangeLog.arch src/northbridge/amd/amdk8/early_ht.c
     src/northbridge/amd/amdk8/misc_control.c
     src/northbridge/amd/amdk8/raminit.c


2005-03-09 23:27:03 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-752

    Summary:
      more or less more or less broken
    Revision:
      freebios--import--2.0--patch-752

    Author: rminnich
    Date: 2004/10/14 21:57:29
    more or less more or less broken

    modified files:
     ChangeLog.arch util/newconfig/config.g


2005-03-09 23:26:57 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-751

    Summary:
      - Update the header files in reset_test.c
    Revision:
      freebios--import--2.0--patch-751

    Author: ebiederm
    Date: 2004/10/14 21:55:53
    - Update the header files in reset_test.c

    modified files:
     ChangeLog.arch src/northbridge/amd/amdk8/reset_test.c


2005-03-09 23:26:52 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-750

    Summary:
      - Add a generic device that does nothing
    Revision:
      freebios--import--2.0--patch-750

    Author: ebiederm
    Date: 2004/10/14 21:43:24
    - Add a generic device that does nothing

    new files:
     src/drivers/generic/.arch-ids/=id
     src/drivers/generic/generic/.arch-ids/=id
     src/drivers/generic/generic/.arch-ids/Config.lb.id
     src/drivers/generic/generic/Config.lb

    modified files:
     ChangeLog.arch

    new directories:
     src/drivers/generic src/drivers/generic/.arch-ids
     src/drivers/generic/generic
     src/drivers/generic/generic/.arch-ids


2005-03-09 23:26:48 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-749

    Summary:
      more breakage, thanks to Ron
    Revision:
      freebios--import--2.0--patch-749

    Author: rminnich
    Date: 2004/10/14 21:40:57
    more breakage, thanks to Ron

    new files:
     src/mainboard/arima/hdama/.arch-ids/Options.lb.id
     src/mainboard/arima/hdama/Options.lb

    modified files:
     ChangeLog.arch src/mainboard/arima/hdama/Config.lb
     targets/arima/hdama/Config.lb util/newconfig/config.g


2005-03-09 23:26:38 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-748

    Summary:
      - Updates for 64bit resource support, handling missing ...
    Revision:
      freebios--import--2.0--patch-748

    Author: ebiederm
    Date: 2004/10/14 21:25:53
    - Updates for 64bit resource support, handling missing devices and cpus in the config file

    modified files:
     ChangeLog.arch src/devices/chip.c src/devices/device.c
     src/devices/device_util.c src/devices/hypertransport.c
     src/devices/pci_device.c src/devices/pnp_device.c
     src/devices/root_device.c


2005-03-09 23:26:23 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-747

    Summary:
      - Update the device header files
    Revision:
      freebios--import--2.0--patch-747

    Author: ebiederm
    Date: 2004/10/14 21:10:23
    - Update the device header files

    new files:
     src/include/device/.arch-ids/smbus.h.id
     src/include/device/.arch-ids/smbus_def.h.id
     src/include/device/smbus.h src/include/device/smbus_def.h

    modified files:
     ChangeLog.arch src/include/device/device.h
     src/include/device/pci_def.h src/include/device/pci_ids.h
     src/include/device/resource.h


2005-03-09 23:26:09 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-746

    Summary:
      - First pass through with with device tree enhancement ...
    Revision:
      freebios--import--2.0--patch-746

    Author: ebiederm
    Date: 2004/10/14 20:54:12
    - First pass through with with device tree enhancement merge.  Most of the mechanisms should
    be in place but don't expect anything to quite work yet.

    new files:
     src/cpu/simple_init/.arch-ids/=id
     src/cpu/simple_init/.arch-ids/Config.lb.id
     src/cpu/simple_init/.arch-ids/simple_cpu_init.c.id
     src/cpu/simple_init/Config.lb
     src/cpu/simple_init/simple_cpu_init.c

    removed files:
     src/arch/i386/include/arch/smp/.arch-ids/lapic.h.id
     src/arch/i386/include/arch/smp/lapic.h
     src/arch/i386/smp/.arch-ids/secondary.S.id
     src/arch/i386/smp/.arch-ids/start_stop.c.id
     src/arch/i386/smp/secondary.S src/arch/i386/smp/start_stop.c

    modified files:
     ChangeLog.arch src/arch/i386/boot/linuxbios_table.c
     src/arch/i386/boot/linuxbios_table.h
     src/arch/i386/boot/tables.c src/arch/i386/include/arch/hlt.h
     src/arch/i386/include/arch/romcc_io.h
     src/arch/i386/include/arch/smp/mpspec.h
     src/arch/i386/include/arch/smp/spinlock.h
     src/arch/i386/include/stddef.h src/arch/i386/include/stdint.h
     src/arch/i386/lib/c_start.S src/arch/i386/lib/console.c
     src/arch/i386/lib/console.inc src/arch/i386/lib/cpu.c
     src/arch/i386/lib/id.inc src/arch/i386/smp/Config.lb
     src/arch/i386/smp/mpspec.c src/arch/ppc/boot/linuxbios_table.c
     src/arch/ppc/boot/tables.c src/boot/elfboot.c
     src/boot/hardwaremain.c src/config/Config.lb
     src/config/Options.lb src/config/linuxbios_c.ld
     src/devices/chip.c src/devices/device.c
     src/devices/device_util.c src/devices/pci_device.c
     src/devices/pnp_device.c src/devices/root_device.c
     src/drivers/ati/ragexl/xlinit.c src/include/boot/tables.h
     src/include/console/console.h src/include/device/device.h
     src/include/device/path.h src/include/device/pci.h
     src/include/device/pci_ids.h src/include/device/pnp.h
     src/include/device/pnp_def.h
     src/mainboard/arima/hdama/Config.lb
     src/mainboard/arima/hdama/auto.c
     src/mainboard/arima/hdama/cmos.layout
     src/mainboard/arima/hdama/failover.c
     src/mainboard/arima/hdama/mainboard.c
     src/mainboard/arima/hdama/mptable.c
     src/northbridge/amd/amdk8/cpu_rev.c
     src/northbridge/amd/amdk8/misc_control.c
     src/northbridge/amd/amdk8/northbridge.c

    new directories:
     src/cpu/simple_init src/cpu/simple_init/.arch-ids


2005-03-09 23:24:45 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-745

    Summary:
      - Add arch/cpu.h
    Revision:
      freebios--import--2.0--patch-745

    Author: ebiederm
    Date: 2004/10/14 20:52:22
    - Add arch/cpu.h

    new files:
     src/arch/i386/include/arch/.arch-ids/cpu.h.id
     src/arch/i386/include/arch/cpu.h

    modified files:
     ChangeLog.arch


2005-03-09 23:24:38 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-744

    Summary:
      - remove old cpu header files
    Revision:
      freebios--import--2.0--patch-744

    Author: ebiederm
    Date: 2004/10/14 20:15:39
    - remove old cpu header files
    - Update cpu.h for the new cpu initialization scheme

    removed files:
     src/include/cpu/.arch-ids/cpufixup.h.id
     src/include/cpu/cpufixup.h src/include/cpu/k7/.arch-ids/=id
     src/include/cpu/k7/.arch-ids/cpufixup.h.id
     src/include/cpu/k7/.arch-ids/mtrr.h.id
     src/include/cpu/k7/cpufixup.h src/include/cpu/k7/mtrr.h
     src/include/cpu/k8/.arch-ids/=id
     src/include/cpu/k8/.arch-ids/cpufixup.h.id
     src/include/cpu/k8/.arch-ids/mtrr.h.id
     src/include/cpu/k8/cpufixup.h src/include/cpu/k8/mtrr.h
     src/include/cpu/p5/.arch-ids/=id
     src/include/cpu/p5/.arch-ids/cpuid.h.id
     src/include/cpu/p5/cpuid.h src/include/cpu/p6/.arch-ids/=id
     src/include/cpu/p6/.arch-ids/apic.h.id
     src/include/cpu/p6/.arch-ids/cpufixup.h.id
     src/include/cpu/p6/.arch-ids/msr.h.id
     src/include/cpu/p6/.arch-ids/mtrr.h.id
     src/include/cpu/p6/.arch-ids/pgtbl.h.id
     src/include/cpu/p6/apic.h src/include/cpu/p6/cpufixup.h
     src/include/cpu/p6/msr.h src/include/cpu/p6/mtrr.h
     src/include/cpu/p6/pgtbl.h

    modified files:
     ChangeLog.arch src/include/cpu/cpu.h

    removed directories:
     src/include/cpu/k7 src/include/cpu/k7/.arch-ids
     src/include/cpu/k8 src/include/cpu/k8/.arch-ids
     src/include/cpu/p5 src/include/cpu/p5/.arch-ids
     src/include/cpu/p6 src/include/cpu/p6/.arch-ids


2005-03-09 23:24:32 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-743

    Summary:
      - Renamed cpu header files
    Revision:
      freebios--import--2.0--patch-743

    Author: ebiederm
    Date: 2004/10/14 20:13:00
    - Renamed cpu header files

    new files:
     src/include/cpu/amd/.arch-ids/=id
     src/include/cpu/amd/.arch-ids/mtrr.h.id
     src/include/cpu/amd/mtrr.h src/include/cpu/intel/.arch-ids/=id
     src/include/cpu/intel/.arch-ids/hyperthreading.h.id
     src/include/cpu/intel/.arch-ids/microcode.h.id
     src/include/cpu/intel/hyperthreading.h
     src/include/cpu/intel/microcode.h
     src/include/cpu/x86/.arch-ids/=id
     src/include/cpu/x86/.arch-ids/bist.h.id
     src/include/cpu/x86/.arch-ids/cache.h.id
     src/include/cpu/x86/.arch-ids/lapic.h.id
     src/include/cpu/x86/.arch-ids/lapic_def.h.id
     src/include/cpu/x86/.arch-ids/mem.h.id
     src/include/cpu/x86/.arch-ids/msr.h.id
     src/include/cpu/x86/.arch-ids/mtrr.h.id
     src/include/cpu/x86/.arch-ids/pae.h.id
     src/include/cpu/x86/.arch-ids/tsc.h.id
     src/include/cpu/x86/bist.h src/include/cpu/x86/cache.h
     src/include/cpu/x86/lapic.h src/include/cpu/x86/lapic_def.h
     src/include/cpu/x86/mem.h src/include/cpu/x86/msr.h
     src/include/cpu/x86/mtrr.h src/include/cpu/x86/pae.h
     src/include/cpu/x86/tsc.h

    modified files:
     ChangeLog.arch src/include/cpu/cpu.h

    new directories:
     src/include/cpu/amd src/include/cpu/amd/.arch-ids
     src/include/cpu/intel src/include/cpu/intel/.arch-ids
     src/include/cpu/x86 src/include/cpu/x86/.arch-ids


2005-03-09 23:24:07 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-742

    Summary:
      - remove deprecated directories
    Revision:
      freebios--import--2.0--patch-742

    Author: ebiederm
    Date: 2004/10/14 19:39:25
    - remove deprecated directories

    removed files:
     src/cpu/i386/.arch-ids/=id
     src/cpu/i386/.arch-ids/bist32.inc.id
     src/cpu/i386/.arch-ids/bist32_fail.inc.id
     src/cpu/i386/.arch-ids/entry16.inc.id
     src/cpu/i386/.arch-ids/entry16.lds.id
     src/cpu/i386/.arch-ids/entry32.inc.id
     src/cpu/i386/.arch-ids/entry32.lds.id
     src/cpu/i386/.arch-ids/reset16.inc.id
     src/cpu/i386/.arch-ids/reset16.lds.id
     src/cpu/i386/.arch-ids/reset32.inc.id
     src/cpu/i386/.arch-ids/reset32.lds.id src/cpu/i386/bist32.inc
     src/cpu/i386/bist32_fail.inc src/cpu/i386/entry16.inc
     src/cpu/i386/entry16.lds src/cpu/i386/entry32.inc
     src/cpu/i386/entry32.lds src/cpu/i386/reset16.inc
     src/cpu/i386/reset16.lds src/cpu/i386/reset32.inc
     src/cpu/i386/reset32.lds src/cpu/k7/.arch-ids/=id
     src/cpu/k7/.arch-ids/Config.lb.id src/cpu/k7/Config.lb
     src/cpu/k8/.arch-ids/=id src/cpu/k8/.arch-ids/Config.lb.id
     src/cpu/k8/.arch-ids/apic_timer.c.id
     src/cpu/k8/.arch-ids/chip.h.id
     src/cpu/k8/.arch-ids/cpufixup.c.id
     src/cpu/k8/.arch-ids/disable_mmx_sse.inc.id
     src/cpu/k8/.arch-ids/earlymtrr.c.id
     src/cpu/k8/.arch-ids/earlymtrr.inc.id
     src/cpu/k8/.arch-ids/enable_mmx_sse.inc.id
     src/cpu/k8/Config.lb src/cpu/k8/apic_timer.c src/cpu/k8/chip.h
     src/cpu/k8/cpufixup.c src/cpu/k8/disable_mmx_sse.inc
     src/cpu/k8/earlymtrr.c src/cpu/k8/earlymtrr.inc
     src/cpu/k8/enable_mmx_sse.inc src/cpu/p5/.arch-ids/=id
     src/cpu/p5/.arch-ids/Config.lb.id
     src/cpu/p5/.arch-ids/cpuid.c.id src/cpu/p5/Config.lb
     src/cpu/p5/cpuid.c src/cpu/p6/.arch-ids/=id
     src/cpu/p6/.arch-ids/Config.lb.id
     src/cpu/p6/.arch-ids/apic_timer.c.id
     src/cpu/p6/.arch-ids/boot_cpu.c.id
     src/cpu/p6/.arch-ids/chip.h.id
     src/cpu/p6/.arch-ids/cpufixup.c.id
     src/cpu/p6/.arch-ids/disable_mmx_sse.inc.id
     src/cpu/p6/.arch-ids/earlymtrr.c.id
     src/cpu/p6/.arch-ids/enable_mmx_sse.inc.id
     src/cpu/p6/.arch-ids/mtrr.c.id src/cpu/p6/.arch-ids/pgtbl.c.id
     src/cpu/p6/Config.lb src/cpu/p6/apic_timer.c
     src/cpu/p6/boot_cpu.c src/cpu/p6/chip.h src/cpu/p6/cpufixup.c
     src/cpu/p6/disable_mmx_sse.inc src/cpu/p6/earlymtrr.c
     src/cpu/p6/enable_mmx_sse.inc src/cpu/p6/mtrr.c
     src/cpu/p6/pgtbl.c

    modified files:
     ChangeLog.arch

    removed directories:
     src/cpu/i386 src/cpu/i386/.arch-ids src/cpu/k7
     src/cpu/k7/.arch-ids src/cpu/k8 src/cpu/k8/.arch-ids
     src/cpu/p5 src/cpu/p5/.arch-ids src/cpu/p6
     src/cpu/p6/.arch-ids


2005-03-09 23:24:03 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-741

    Summary:
      - Add new cvs code to cvs
    Revision:
      freebios--import--2.0--patch-741

    Author: ebiederm
    Date: 2004/10/14 19:29:07
    - Add new cvs code to cvs

    new files:
     src/cpu/amd/.arch-ids/=id src/cpu/amd/model_fxx/.arch-ids/=id
     src/cpu/amd/model_fxx/.arch-ids/Config.lb.id
     src/cpu/amd/model_fxx/.arch-ids/apic_timer.c.id
     src/cpu/amd/model_fxx/.arch-ids/model_fxx_init.c.id
     src/cpu/amd/model_fxx/.arch-ids/model_fxx_msr.h.id
     src/cpu/amd/model_fxx/Config.lb
     src/cpu/amd/model_fxx/apic_timer.c
     src/cpu/amd/model_fxx/model_fxx_init.c
     src/cpu/amd/model_fxx/model_fxx_msr.h
     src/cpu/amd/mtrr/.arch-ids/=id
     src/cpu/amd/mtrr/.arch-ids/Config.lb.id
     src/cpu/amd/mtrr/.arch-ids/amd_earlymtrr.c.id
     src/cpu/amd/mtrr/.arch-ids/amd_mtrr.c.id
     src/cpu/amd/mtrr/Config.lb src/cpu/amd/mtrr/amd_earlymtrr.c
     src/cpu/amd/mtrr/amd_mtrr.c
     src/cpu/amd/socket_940/.arch-ids/=id
     src/cpu/amd/socket_940/.arch-ids/Config.lb.id
     src/cpu/amd/socket_940/.arch-ids/chip.h.id
     src/cpu/amd/socket_940/.arch-ids/socket_940.c.id
     src/cpu/amd/socket_940/Config.lb src/cpu/amd/socket_940/chip.h
     src/cpu/amd/socket_940/socket_940.c
     src/cpu/intel/.arch-ids/=id
     src/cpu/intel/hyperthreading/.arch-ids/=id
     src/cpu/intel/hyperthreading/.arch-ids/Config.lb.id
     src/cpu/intel/hyperthreading/.arch-ids/intel_sibling.c.id
     src/cpu/intel/hyperthreading/Config.lb
     src/cpu/intel/hyperthreading/intel_sibling.c
     src/cpu/intel/microcode/.arch-ids/=id
     src/cpu/intel/microcode/.arch-ids/Config.lb.id
     src/cpu/intel/microcode/.arch-ids/microcode.c.id
     src/cpu/intel/microcode/Config.lb
     src/cpu/intel/microcode/microcode.c
     src/cpu/intel/model_6xx/.arch-ids/=id
     src/cpu/intel/model_6xx/.arch-ids/Config.lb.id
     src/cpu/intel/model_6xx/.arch-ids/microcode_MU16810d.h.id
     src/cpu/intel/model_6xx/.arch-ids/microcode_MU16830c.h.id
     src/cpu/intel/model_6xx/.arch-ids/model_6xx_init.c.id
     src/cpu/intel/model_6xx/Config.lb
     src/cpu/intel/model_6xx/microcode_MU16810d.h
     src/cpu/intel/model_6xx/microcode_MU16830c.h
     src/cpu/intel/model_6xx/model_6xx_init.c
     src/cpu/intel/model_f0x/.arch-ids/=id
     src/cpu/intel/model_f0x/.arch-ids/Config.lb.id
     src/cpu/intel/model_f0x/.arch-ids/model_f0x_init.c.id
     src/cpu/intel/model_f0x/.arch-ids/multiplier.h.id
     src/cpu/intel/model_f0x/Config.lb
     src/cpu/intel/model_f0x/model_f0x_init.c
     src/cpu/intel/model_f0x/multiplier.h
     src/cpu/intel/model_f1x/.arch-ids/=id
     src/cpu/intel/model_f1x/.arch-ids/Config.lb.id
     src/cpu/intel/model_f1x/.arch-ids/model_f1x_init.c.id
     src/cpu/intel/model_f1x/.arch-ids/multiplier.h.id
     src/cpu/intel/model_f1x/Config.lb
     src/cpu/intel/model_f1x/model_f1x_init.c
     src/cpu/intel/model_f1x/multiplier.h
     src/cpu/intel/model_f2x/.arch-ids/=id
     src/cpu/intel/model_f2x/.arch-ids/Config.lb.id
     src/cpu/intel/model_f2x/.arch-ids/microcode_m02f2203.h.id
     src/cpu/intel/model_f2x/.arch-ids/microcode_m02f2410.h.id
     src/cpu/intel/model_f2x/.arch-ids/microcode_m02f2728.h.id
     src/cpu/intel/model_f2x/.arch-ids/microcode_m02f2734.h.id
     src/cpu/intel/model_f2x/.arch-ids/microcode_m02f2918.h.id
     src/cpu/intel/model_f2x/.arch-ids/model_f2x_init.c.id
     src/cpu/intel/model_f2x/Config.lb
     src/cpu/intel/model_f2x/microcode_m02f2203.h
     src/cpu/intel/model_f2x/microcode_m02f2410.h
     src/cpu/intel/model_f2x/microcode_m02f2728.h
     src/cpu/intel/model_f2x/microcode_m02f2734.h
     src/cpu/intel/model_f2x/microcode_m02f2918.h
     src/cpu/intel/model_f2x/model_f2x_init.c
     src/cpu/intel/model_f3x/.arch-ids/=id
     src/cpu/intel/model_f3x/.arch-ids/Config.lb.id
     src/cpu/intel/model_f3x/.arch-ids/microcode_M1DF340E.h.id
     src/cpu/intel/model_f3x/.arch-ids/microcode_M1DF3413.h.id
     src/cpu/intel/model_f3x/.arch-ids/model_f3x_init.c.id
     src/cpu/intel/model_f3x/Config.lb
     src/cpu/intel/model_f3x/microcode_M1DF340E.h
     src/cpu/intel/model_f3x/microcode_M1DF3413.h
     src/cpu/intel/model_f3x/model_f3x_init.c
     src/cpu/intel/slot_2/.arch-ids/=id
     src/cpu/intel/slot_2/.arch-ids/Config.lb.id
     src/cpu/intel/slot_2/.arch-ids/chip.h.id
     src/cpu/intel/slot_2/.arch-ids/slot_2.c.id
     src/cpu/intel/slot_2/Config.lb src/cpu/intel/slot_2/chip.h
     src/cpu/intel/slot_2/slot_2.c
     src/cpu/intel/socket_mPGA603/.arch-ids/=id
     src/cpu/intel/socket_mPGA603/.arch-ids/Config.lb.id
     src/cpu/intel/socket_mPGA603/.arch-ids/chip.h.id
     src/cpu/intel/socket_mPGA603/.arch-ids/socket_mPGA603_400Mhz.c.id
     src/cpu/intel/socket_mPGA603/Config.lb
     src/cpu/intel/socket_mPGA603/chip.h
     src/cpu/intel/socket_mPGA603/socket_mPGA603_400Mhz.c
     src/cpu/intel/socket_mPGA604_533Mhz/.arch-ids/=id
     src/cpu/intel/socket_mPGA604_533Mhz/.arch-ids/Config.lb.id
     src/cpu/intel/socket_mPGA604_533Mhz/.arch-ids/chip.h.id
     src/cpu/intel/socket_mPGA604_533Mhz/.arch-ids/socket_mPGA604_533Mhz.c.id
     src/cpu/intel/socket_mPGA604_533Mhz/Config.lb
     src/cpu/intel/socket_mPGA604_533Mhz/chip.h
     src/cpu/intel/socket_mPGA604_533Mhz/socket_mPGA604_533Mhz.c
     src/cpu/intel/socket_mPGA604_800Mhz/.arch-ids/=id
     src/cpu/intel/socket_mPGA604_800Mhz/.arch-ids/Config.lb.id
     src/cpu/intel/socket_mPGA604_800Mhz/.arch-ids/chip.h.id
     src/cpu/intel/socket_mPGA604_800Mhz/.arch-ids/socket_mPGA604_800Mhz.c.id
     src/cpu/intel/socket_mPGA604_800Mhz/Config.lb
     src/cpu/intel/socket_mPGA604_800Mhz/chip.h
     src/cpu/intel/socket_mPGA604_800Mhz/socket_mPGA604_800Mhz.c
     src/cpu/intel/thermal_monitoring/.arch-ids/=id
     src/cpu/intel/thermal_monitoring/.arch-ids/Config.lb.id
     src/cpu/intel/thermal_monitoring/.arch-ids/thermal_monitoring.h.id
     src/cpu/intel/thermal_monitoring/Config.lb
     src/cpu/intel/thermal_monitoring/thermal_monitoring.h
     src/cpu/x86/.arch-ids/=id src/cpu/x86/16bit/.arch-ids/=id
     src/cpu/x86/16bit/.arch-ids/entry16.inc.id
     src/cpu/x86/16bit/.arch-ids/entry16.lds.id
     src/cpu/x86/16bit/.arch-ids/reset16.inc.id
     src/cpu/x86/16bit/.arch-ids/reset16.lds.id
     src/cpu/x86/16bit/entry16.inc src/cpu/x86/16bit/entry16.lds
     src/cpu/x86/16bit/reset16.inc src/cpu/x86/16bit/reset16.lds
     src/cpu/x86/32bit/.arch-ids/=id
     src/cpu/x86/32bit/.arch-ids/entry32.inc.id
     src/cpu/x86/32bit/.arch-ids/entry32.lds.id
     src/cpu/x86/32bit/.arch-ids/reset32.inc.id
     src/cpu/x86/32bit/.arch-ids/reset32.lds.id
     src/cpu/x86/32bit/entry32.inc src/cpu/x86/32bit/entry32.lds
     src/cpu/x86/32bit/reset32.inc src/cpu/x86/32bit/reset32.lds
     src/cpu/x86/cache/.arch-ids/=id
     src/cpu/x86/cache/.arch-ids/Config.lb.id
     src/cpu/x86/cache/.arch-ids/cache.c.id
     src/cpu/x86/cache/Config.lb src/cpu/x86/cache/cache.c
     src/cpu/x86/fpu/.arch-ids/=id
     src/cpu/x86/fpu/.arch-ids/Config.lb.id
     src/cpu/x86/fpu/.arch-ids/enable_fpu.inc.id
     src/cpu/x86/fpu/Config.lb src/cpu/x86/fpu/enable_fpu.inc
     src/cpu/x86/lapic/.arch-ids/=id
     src/cpu/x86/lapic/.arch-ids/Config.lb.id
     src/cpu/x86/lapic/.arch-ids/boot_cpu.c.id
     src/cpu/x86/lapic/.arch-ids/lapic.c.id
     src/cpu/x86/lapic/.arch-ids/lapic_cpu_init.c.id
     src/cpu/x86/lapic/.arch-ids/secondary.S.id
     src/cpu/x86/lapic/Config.lb src/cpu/x86/lapic/boot_cpu.c
     src/cpu/x86/lapic/lapic.c src/cpu/x86/lapic/lapic_cpu_init.c
     src/cpu/x86/lapic/secondary.S src/cpu/x86/mmx/.arch-ids/=id
     src/cpu/x86/mmx/.arch-ids/Config.lb.id
     src/cpu/x86/mmx/.arch-ids/disable_mmx.inc.id
     src/cpu/x86/mmx/.arch-ids/enable_mmx.inc.id
     src/cpu/x86/mmx/Config.lb src/cpu/x86/mmx/disable_mmx.inc
     src/cpu/x86/mmx/enable_mmx.inc src/cpu/x86/mtrr/.arch-ids/=id
     src/cpu/x86/mtrr/.arch-ids/Config.lb.id
     src/cpu/x86/mtrr/.arch-ids/earlymtrr.c.id
     src/cpu/x86/mtrr/.arch-ids/mtrr.c.id
     src/cpu/x86/mtrr/Config.lb src/cpu/x86/mtrr/earlymtrr.c
     src/cpu/x86/mtrr/mtrr.c src/cpu/x86/pae/.arch-ids/=id
     src/cpu/x86/pae/.arch-ids/Config.lb.id
     src/cpu/x86/pae/.arch-ids/pgtbl.c.id src/cpu/x86/pae/Config.lb
     src/cpu/x86/pae/pgtbl.c src/cpu/x86/sse/.arch-ids/=id
     src/cpu/x86/sse/.arch-ids/Config.lb.id
     src/cpu/x86/sse/.arch-ids/disable_sse.inc.id
     src/cpu/x86/sse/.arch-ids/enable_sse.inc.id
     src/cpu/x86/sse/Config.lb src/cpu/x86/sse/disable_sse.inc
     src/cpu/x86/sse/enable_sse.inc src/cpu/x86/tsc/.arch-ids/=id
     src/cpu/x86/tsc/.arch-ids/Config.lb.id
     src/cpu/x86/tsc/.arch-ids/delay_tsc.c.id
     src/cpu/x86/tsc/Config.lb src/cpu/x86/tsc/delay_tsc.c

    modified files:
     ChangeLog.arch

    new directories:
     src/cpu/amd src/cpu/amd/.arch-ids src/cpu/amd/model_fxx
     src/cpu/amd/model_fxx/.arch-ids src/cpu/amd/mtrr
     src/cpu/amd/mtrr/.arch-ids src/cpu/amd/socket_940
     src/cpu/amd/socket_940/.arch-ids src/cpu/intel
     src/cpu/intel/.arch-ids src/cpu/intel/hyperthreading
     src/cpu/intel/hyperthreading/.arch-ids src/cpu/intel/microcode
     src/cpu/intel/microcode/.arch-ids src/cpu/intel/model_6xx
     src/cpu/intel/model_6xx/.arch-ids src/cpu/intel/model_f0x
     src/cpu/intel/model_f0x/.arch-ids src/cpu/intel/model_f1x
     src/cpu/intel/model_f1x/.arch-ids src/cpu/intel/model_f2x
     src/cpu/intel/model_f2x/.arch-ids src/cpu/intel/model_f3x
     src/cpu/intel/model_f3x/.arch-ids src/cpu/intel/slot_2
     src/cpu/intel/slot_2/.arch-ids src/cpu/intel/socket_mPGA603
     src/cpu/intel/socket_mPGA603/.arch-ids
     src/cpu/intel/socket_mPGA604_533Mhz
     src/cpu/intel/socket_mPGA604_533Mhz/.arch-ids
     src/cpu/intel/socket_mPGA604_800Mhz
     src/cpu/intel/socket_mPGA604_800Mhz/.arch-ids
     src/cpu/intel/thermal_monitoring
     src/cpu/intel/thermal_monitoring/.arch-ids src/cpu/x86
     src/cpu/x86/.arch-ids src/cpu/x86/16bit
     src/cpu/x86/16bit/.arch-ids src/cpu/x86/32bit
     src/cpu/x86/32bit/.arch-ids src/cpu/x86/cache
     src/cpu/x86/cache/.arch-ids src/cpu/x86/fpu
     src/cpu/x86/fpu/.arch-ids src/cpu/x86/lapic
     src/cpu/x86/lapic/.arch-ids src/cpu/x86/mmx
     src/cpu/x86/mmx/.arch-ids src/cpu/x86/mtrr
     src/cpu/x86/mtrr/.arch-ids src/cpu/x86/pae
     src/cpu/x86/pae/.arch-ids src/cpu/x86/sse
     src/cpu/x86/sse/.arch-ids src/cpu/x86/tsc
     src/cpu/x86/tsc/.arch-ids


2005-03-09 23:21:57 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-740

    Summary:
      - Add chip and a few other bug fixes
    Revision:
      freebios--import--2.0--patch-740

    Author: ebiederm
    Date: 2004/10/14 16:25:01
    - Add chip and a few other bug fixes

    modified files:
     ChangeLog.arch util/newconfig/config.g


2005-03-09 23:21:51 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-739

    Summary:
      epia-m support
    Revision:
      freebios--import--2.0--patch-739

    Author: rminnich
    Date: 2004/10/06 17:33:49
    epia-m support

    new files:
     src/mainboard/via/epia-m/.arch-ids/fadt.c.id
     src/mainboard/via/epia-m/fadt.c
     src/southbridge/ricoh/.arch-ids/=id
     src/southbridge/ricoh/rl5c476/.arch-ids/=id
     src/southbridge/ricoh/rl5c476/.arch-ids/Config.lb.id
     src/southbridge/ricoh/rl5c476/.arch-ids/chip.h.id
     src/southbridge/ricoh/rl5c476/.arch-ids/rl5c476.c.id
     src/southbridge/ricoh/rl5c476/.arch-ids/rl5c476.h.id
     src/southbridge/ricoh/rl5c476/Config.lb
     src/southbridge/ricoh/rl5c476/chip.h
     src/southbridge/ricoh/rl5c476/rl5c476.c
     src/southbridge/ricoh/rl5c476/rl5c476.h
     src/superio/via/.arch-ids/=id
     src/superio/via/vt1211/.arch-ids/=id
     src/superio/via/vt1211/.arch-ids/Config.lb.id
     src/superio/via/vt1211/.arch-ids/chip.h.id
     src/superio/via/vt1211/.arch-ids/vt1211.c.id
     src/superio/via/vt1211/.arch-ids/vt1211.h.id
     src/superio/via/vt1211/Config.lb src/superio/via/vt1211/chip.h
     src/superio/via/vt1211/vt1211.c
     src/superio/via/vt1211/vt1211.h
     targets/via/epia-m/.arch-ids/Config.etherboot.lb.id
     targets/via/epia-m/.arch-ids/Config.vga.filo.id
     targets/via/epia-m/Config.etherboot.lb
     targets/via/epia-m/Config.vga.filo util/resetcf/.arch-ids/=id
     util/resetcf/.arch-ids/resetcf.c.id util/resetcf/resetcf.c

    modified files:
     ChangeLog.arch src/arch/i386/boot/acpi.c
     src/arch/i386/boot/tables.c src/arch/i386/include/arch/acpi.h
     src/arch/i386/lib/c_start.S src/config/Options.lb
     src/cpu/p6/mtrr.c src/devices/pci_device.c
     src/include/cpu/p6/mtrr.h src/mainboard/via/epia-m/Config.lb
     src/mainboard/via/epia-m/auto.c
     src/mainboard/via/epia-m/irq_tables.c
     src/mainboard/via/epia-m/mainboard.c
     src/northbridge/via/vt8623/northbridge.c
     src/northbridge/via/vt8623/raminit.c src/pc80/Config.lb
     src/pc80/keyboard.c src/pc80/vgabios.c
     src/southbridge/via/vt8235/vt8235.c
     src/southbridge/via/vt8235/vt8235_early_smbus.c
     targets/via/epia-m/Config.lb

    new directories:
     src/southbridge/ricoh src/southbridge/ricoh/.arch-ids
     src/southbridge/ricoh/rl5c476
     src/southbridge/ricoh/rl5c476/.arch-ids src/superio/via
     src/superio/via/.arch-ids src/superio/via/vt1211
     src/superio/via/vt1211/.arch-ids util/resetcf
     util/resetcf/.arch-ids


2005-03-09 23:20:54 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-738

    Summary:
      f'ing thing still won't work.
    Revision:
      freebios--import--2.0--patch-738

    Author: rminnich
    Date: 2004/10/06 17:19:49
    f'ing thing still won't work.

    modified files:
     ChangeLog.arch src/northbridge/intel/i855pm/raminit.c


2005-03-09 23:20:49 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-737

    Summary:
      mods for i855pm that don't seem too wrong. ha!
    Revision:
      freebios--import--2.0--patch-737

    Author: rminnich
    Date: 2004/09/30 22:50:12
    mods for i855pm that don't seem too wrong. ha!

    modified files:
     ChangeLog.arch src/mainboard/digitallogic/adl855pc/auto.c
     src/northbridge/intel/i855pm/raminit.c


2005-03-09 23:20:42 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-736

    Summary:
      digital logic stuff, fixes for the smbus code in 82801dbm
    Revision:
      freebios--import--2.0--patch-736

    Author: rminnich
    Date: 2004/09/30 16:37:21
    digital logic stuff, fixes for the smbus code in 82801dbm

    modified files:
     ChangeLog.arch src/mainboard/digitallogic/adl855pc/Config.lb
     src/mainboard/digitallogic/adl855pc/auto.c
     src/southbridge/intel/i82801dbm/i82801dbm_early_smbus.c
     targets/digitallogic/adl855pc/Config.lb


2005-03-09 23:20:34 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-735

    Summary:
      support for sst firmware hub
    Revision:
      freebios--import--2.0--patch-735

    Author: rminnich
    Date: 2004/09/30 16:37:01
    support for sst firmware hub

    new files:
     util/flash_and_burn/.arch-ids/sst_fwhub.c.id
     util/flash_and_burn/.arch-ids/sst_fwhub.h.id
     util/flash_and_burn/sst_fwhub.c
     util/flash_and_burn/sst_fwhub.h

    modified files:
     ChangeLog.arch util/flash_and_burn/Makefile
     util/flash_and_burn/flash_rom.c util/flash_and_burn/jedec.c
     util/flash_and_burn/jedec.h


2005-03-09 23:20:21 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-734

    Summary:
      use hex print in id1, id2
    Revision:
      freebios--import--2.0--patch-734

    Author: rminnich
    Date: 2004/09/28 20:32:17
    use hex print in id1, id2

    modified files:
     ChangeLog.arch util/flash_and_burn/mx29f002.c


2005-03-09 23:20:16 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-733

    Summary:
      add support for ICH4. more i955pm stuff.
    Revision:
      freebios--import--2.0--patch-733

    Author: rminnich
    Date: 2004/09/28 20:09:05
    add support for ICH4. more i955pm stuff.

    modified files:
     ChangeLog.arch src/mainboard/digitallogic/adl855pc/Config.lb
     src/mainboard/digitallogic/adl855pc/auto.c
     src/northbridge/intel/i855pm/raminit.c
     targets/digitallogic/adl855pc/Config.lb
     util/flash_and_burn/flash_enable.c


2005-03-09 23:20:04 GMT	Stefan Reinauer <stepan@openbios.org>	patch-732

    Summary:
      add include to fix build
    Revision:
      freebios--import--2.0--patch-732

    Author: stepan
    Date: 2004/09/09 07:19:40
    add include to fix build

    modified files:
     ChangeLog.arch src/mainboard/tyan/s2850/auto.c


2005-03-09 23:19:59 GMT	Ollie Lho <ollie@lanl.gov>	patch-731

    Summary:
      code reformat
    Revision:
      freebios--import--2.0--patch-731

    Author: ollie
    Date: 2004/09/07 21:31:47
    code reformat

    modified files:
     ChangeLog.arch util/flash_and_burn/flash_rom.c


2005-03-09 23:19:55 GMT	Ollie Lho <ollie@lanl.gov>	patch-730

    Summary:
      seperate code generation
    Revision:
      freebios--import--2.0--patch-730

    Author: ollie
    Date: 2004/09/07 21:31:05
    seperate code generation

    modified files:
     ChangeLog.arch util/getpir/code_gen.c util/getpir/getpir.c


2005-03-09 23:19:49 GMT	Ollie Lho <ollie@lanl.gov>	patch-729

    Summary:
      removed unused code, code reformat
    Revision:
      freebios--import--2.0--patch-729

    Author: ollie
    Date: 2004/09/07 21:20:52
    removed unused code, code reformat

    modified files:
     ChangeLog.arch src/mainboard/ibm/e325/mainboard.c
     src/mainboard/tyan/s2885/Config.lb
     src/mainboard/tyan/s2885/auto.c
     src/mainboard/tyan/s2885/failover.c
     src/mainboard/tyan/s2885/mainboard.c


2005-03-09 23:19:38 GMT	Ollie Lho <ollie@lanl.gov>	patch-728

    Summary:
      rename variable from addr to dev
    Revision:
      freebios--import--2.0--patch-728

    Author: ollie
    Date: 2004/09/07 19:24:40
    rename variable from addr to dev

    modified files:
     ChangeLog.arch
     src/southbridge/amd/amd8111/amd8111_enable_rom.c


2005-03-09 23:19:33 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-727

    Summary:
      more fixes.
    Revision:
      freebios--import--2.0--patch-727

    Author: rminnich
    Date: 2004/08/30 16:08:30
    more fixes.

    modified files:
     ChangeLog.arch src/northbridge/intel/i855pm/raminit.c


2005-03-09 23:19:28 GMT	Stefan Reinauer <stepan@openbios.org>	patch-726

    Summary:
      build fix for epia-m so that nobody beats ron to it ;)
    Revision:
      freebios--import--2.0--patch-726

    Author: stepan
    Date: 2004/08/27 21:39:59
    build fix for epia-m so that nobody beats ron to it ;)

    modified files:
     ChangeLog.arch src/mainboard/via/epia-m/mainboard.c


2005-03-09 23:19:24 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-725

    Summary:
      just a few changes before we hit the big fun.
    Revision:
      freebios--import--2.0--patch-725

    Author: rminnich
    Date: 2004/08/26 16:13:40
    just a few changes before we hit the big fun.

    modified files:
     ChangeLog.arch src/mainboard/digitallogic/adl855pc/auto.c
     src/northbridge/intel/i855pm/raminit.c
     src/northbridge/intel/i855pm/raminit.h
     src/northbridge/intel/i855pm/reset_test.c


2005-03-09 23:19:13 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-724

    Summary:
      more updates for 855
    Revision:
      freebios--import--2.0--patch-724

    Author: rminnich
    Date: 2004/08/25 18:19:08
    more updates for 855

    modified files:
     ChangeLog.arch src/northbridge/intel/i855pm/reset_test.c


2005-03-09 23:19:08 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-723

    Summary:
      changes for the dbm part. Still need to remove the sata...
    Revision:
      freebios--import--2.0--patch-723

    Author: rminnich
    Date: 2004/08/25 15:40:47
    changes for the dbm part. Still need to remove the sata file ...

    modified files:
     ChangeLog.arch src/include/device/pci_ids.h
     src/southbridge/intel/i82801dbm/Config.lb
     src/southbridge/intel/i82801dbm/i82801dbm.c
     src/southbridge/intel/i82801dbm/i82801dbm.h
     src/southbridge/intel/i82801dbm/i82801dbm_ac97.c
     src/southbridge/intel/i82801dbm/i82801dbm_early_smbus.c
     src/southbridge/intel/i82801dbm/i82801dbm_lpc.c
     src/southbridge/intel/i82801dbm/i82801dbm_nic.c
     src/southbridge/intel/i82801dbm/i82801dbm_pci.c
     src/southbridge/intel/i82801dbm/i82801dbm_usb2.c


2005-03-09 23:18:50 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-722

    Summary:
      compiles.
    Revision:
      freebios--import--2.0--patch-722

    Author: rminnich
    Date: 2004/08/24 22:27:54
    compiles.

    modified files:
     ChangeLog.arch src/mainboard/digitallogic/adl855pc/Config.lb
     src/mainboard/digitallogic/adl855pc/auto.c
     src/southbridge/intel/i82801dbm/i82801dbm.h
     src/southbridge/intel/i82801dbm/i82801dbm_sata.c
     src/southbridge/intel/i82801dbm/i82801dbm_usb.c
     src/southbridge/intel/i82801dbm/i82801dbm_usb2.c


2005-03-09 23:18:37 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-721

    Summary:
      stupid ron! need to start names with a letter.
    Revision:
      freebios--import--2.0--patch-721

    Author: rminnich
    Date: 2004/08/24 22:17:32
    stupid ron! need to start names with a letter.

    new files:
     src/northbridge/intel/i855pm/.arch-ids/=id
     src/northbridge/intel/i855pm/.arch-ids/Config.lb.id
     src/northbridge/intel/i855pm/.arch-ids/chip.h.id
     src/northbridge/intel/i855pm/.arch-ids/debug.c.id
     src/northbridge/intel/i855pm/.arch-ids/i855pm.h.id
     src/northbridge/intel/i855pm/.arch-ids/northbridge.c.id
     src/northbridge/intel/i855pm/.arch-ids/raminit.c.id
     src/northbridge/intel/i855pm/.arch-ids/raminit.h.id
     src/northbridge/intel/i855pm/.arch-ids/reset_test.c.id
     src/northbridge/intel/i855pm/Config.lb
     src/northbridge/intel/i855pm/chip.h
     src/northbridge/intel/i855pm/debug.c
     src/northbridge/intel/i855pm/i855pm.h
     src/northbridge/intel/i855pm/northbridge.c
     src/northbridge/intel/i855pm/raminit.c
     src/northbridge/intel/i855pm/raminit.h
     src/northbridge/intel/i855pm/reset_test.c

    modified files:
     ChangeLog.arch src/northbridge/intel/855pm/raminit.c
     src/northbridge/intel/855pm/raminit.h

    new directories:
     src/northbridge/intel/i855pm
     src/northbridge/intel/i855pm/.arch-ids


2005-03-09 23:18:17 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-720

    Summary:
      start of port of adl855pc
    Revision:
      freebios--import--2.0--patch-720

    Author: rminnich
    Date: 2004/08/24 17:29:27
    start of port of adl855pc

    new files:
     targets/digitallogic/.arch-ids/=id
     targets/digitallogic/adl855pc/.arch-ids/=id
     targets/digitallogic/adl855pc/.arch-ids/Config.lb.id
     targets/digitallogic/adl855pc/Config.lb

    modified files:
     ChangeLog.arch src/mainboard/digitallogic/adl855pc/Config.lb
     src/mainboard/via/epia/Config.lb

    new directories:
     targets/digitallogic targets/digitallogic/.arch-ids
     targets/digitallogic/adl855pc
     targets/digitallogic/adl855pc/.arch-ids


2005-03-09 23:18:10 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-719

    Summary:
      fixed up tables.
    Revision:
      freebios--import--2.0--patch-719

    Author: rminnich
    Date: 2004/08/24 17:23:37
    fixed up tables.

    modified files:
     ChangeLog.arch src/mainboard/densitron/dpx114/irq_tables.c


2005-03-09 23:18:05 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-718

    Summary:
      new intel io hub.
    Revision:
      freebios--import--2.0--patch-718

    Author: rminnich
    Date: 2004/08/24 16:20:46
    
    new intel io hub.

    new files:
     src/southbridge/intel/i82801dbm/.arch-ids/=id
     src/southbridge/intel/i82801dbm/.arch-ids/Config.lb.id
     src/southbridge/intel/i82801dbm/.arch-ids/cmos_failover.c.id
     src/southbridge/intel/i82801dbm/.arch-ids/i82801dbm.c.id
     src/southbridge/intel/i82801dbm/.arch-ids/i82801dbm.h.id
     src/southbridge/intel/i82801dbm/.arch-ids/i82801dbm_ac97.c.id
     src/southbridge/intel/i82801dbm/.arch-ids/i82801dbm_early_smbus.c.id
     src/southbridge/intel/i82801dbm/.arch-ids/i82801dbm_ide.c.id
     src/southbridge/intel/i82801dbm/.arch-ids/i82801dbm_lpc.c.id
     src/southbridge/intel/i82801dbm/.arch-ids/i82801dbm_nic.c.id
     src/southbridge/intel/i82801dbm/.arch-ids/i82801dbm_pci.c.id
     src/southbridge/intel/i82801dbm/.arch-ids/i82801dbm_reset.c.id
     src/southbridge/intel/i82801dbm/.arch-ids/i82801dbm_sata.c.id
     src/southbridge/intel/i82801dbm/.arch-ids/i82801dbm_smbus.c.id
     src/southbridge/intel/i82801dbm/.arch-ids/i82801dbm_usb.c.id
     src/southbridge/intel/i82801dbm/.arch-ids/i82801dbm_usb2.c.id
     src/southbridge/intel/i82801dbm/Config.lb
     src/southbridge/intel/i82801dbm/cmos_failover.c
     src/southbridge/intel/i82801dbm/i82801dbm.c
     src/southbridge/intel/i82801dbm/i82801dbm.h
     src/southbridge/intel/i82801dbm/i82801dbm_ac97.c
     src/southbridge/intel/i82801dbm/i82801dbm_early_smbus.c
     src/southbridge/intel/i82801dbm/i82801dbm_ide.c
     src/southbridge/intel/i82801dbm/i82801dbm_lpc.c
     src/southbridge/intel/i82801dbm/i82801dbm_nic.c
     src/southbridge/intel/i82801dbm/i82801dbm_pci.c
     src/southbridge/intel/i82801dbm/i82801dbm_reset.c
     src/southbridge/intel/i82801dbm/i82801dbm_sata.c
     src/southbridge/intel/i82801dbm/i82801dbm_smbus.c
     src/southbridge/intel/i82801dbm/i82801dbm_usb.c
     src/southbridge/intel/i82801dbm/i82801dbm_usb2.c

    modified files:
     ChangeLog.arch

    new directories:
     src/southbridge/intel/i82801dbm
     src/southbridge/intel/i82801dbm/.arch-ids


2005-03-09 23:17:37 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-717

    Summary:
      new mainboard
    Revision:
      freebios--import--2.0--patch-717

    Author: rminnich
    Date: 2004/08/24 16:11:50
    new mainboard

    new files:
     src/mainboard/digitallogic/.arch-ids/=id
     src/mainboard/digitallogic/adl855pc/.arch-ids/=id
     src/mainboard/digitallogic/adl855pc/.arch-ids/Config.lb.id
     src/mainboard/digitallogic/adl855pc/.arch-ids/auto.c.id
     src/mainboard/digitallogic/adl855pc/.arch-ids/chip.h.id
     src/mainboard/digitallogic/adl855pc/.arch-ids/cmos.layout.id
     src/mainboard/digitallogic/adl855pc/.arch-ids/debug.c.id
     src/mainboard/digitallogic/adl855pc/.arch-ids/failover.c.id
     src/mainboard/digitallogic/adl855pc/.arch-ids/irq_tables.c.id
     src/mainboard/digitallogic/adl855pc/.arch-ids/mainboard.c.id
     src/mainboard/digitallogic/adl855pc/.arch-ids/reset.c.id
     src/mainboard/digitallogic/adl855pc/Config.lb
     src/mainboard/digitallogic/adl855pc/auto.c
     src/mainboard/digitallogic/adl855pc/chip.h
     src/mainboard/digitallogic/adl855pc/cmos.layout
     src/mainboard/digitallogic/adl855pc/debug.c
     src/mainboard/digitallogic/adl855pc/failover.c
     src/mainboard/digitallogic/adl855pc/irq_tables.c
     src/mainboard/digitallogic/adl855pc/mainboard.c
     src/mainboard/digitallogic/adl855pc/reset.c

    modified files:
     ChangeLog.arch

    new directories:
     src/mainboard/digitallogic
     src/mainboard/digitallogic/.arch-ids
     src/mainboard/digitallogic/adl855pc
     src/mainboard/digitallogic/adl855pc/.arch-ids


2005-03-09 23:17:16 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-716

    Summary:
      random fixes.
    Revision:
      freebios--import--2.0--patch-716

    Author: rminnich
    Date: 2004/08/23 21:04:36
    random fixes.

    modified files:
     ChangeLog.arch src/northbridge/transmeta/tm5800/Config.lb
     src/northbridge/transmeta/tm5800/debug.c
     src/northbridge/transmeta/tm5800/northbridge.h


2005-03-09 23:17:05 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-715

    Summary:
      dpx114
    Revision:
      freebios--import--2.0--patch-715

    Author: rminnich
    Date: 2004/08/23 20:41:24
    dpx114

    new files:
     src/northbridge/transmeta/.arch-ids/=id
     src/northbridge/transmeta/tm5800/.arch-ids/=id
     src/northbridge/transmeta/tm5800/.arch-ids/Config.lb.id
     src/northbridge/transmeta/tm5800/.arch-ids/chip.h.id
     src/northbridge/transmeta/tm5800/.arch-ids/cpu_rev.c.id
     src/northbridge/transmeta/tm5800/.arch-ids/debug.c.id
     src/northbridge/transmeta/tm5800/.arch-ids/northbridge.c.id
     src/northbridge/transmeta/tm5800/.arch-ids/northbridge.h.id
     src/northbridge/transmeta/tm5800/Config.lb
     src/northbridge/transmeta/tm5800/chip.h
     src/northbridge/transmeta/tm5800/cpu_rev.c
     src/northbridge/transmeta/tm5800/debug.c
     src/northbridge/transmeta/tm5800/northbridge.c
     src/northbridge/transmeta/tm5800/northbridge.h

    modified files:
     ChangeLog.arch

    new directories:
     src/northbridge/transmeta src/northbridge/transmeta/.arch-ids
     src/northbridge/transmeta/tm5800
     src/northbridge/transmeta/tm5800/.arch-ids


2005-03-09 23:16:52 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-714

    Summary:
      new mobo
    Revision:
      freebios--import--2.0--patch-714

    Author: rminnich
    Date: 2004/08/23 20:25:17
    new mobo

    new files:
     src/mainboard/densitron/.arch-ids/=id
     src/mainboard/densitron/dpx114/.arch-ids/=id
     src/mainboard/densitron/dpx114/.arch-ids/Config.lb.id
     src/mainboard/densitron/dpx114/.arch-ids/auto.c.id
     src/mainboard/densitron/dpx114/.arch-ids/chip.h.id
     src/mainboard/densitron/dpx114/.arch-ids/cmos.layout.id
     src/mainboard/densitron/dpx114/.arch-ids/debug.c.id
     src/mainboard/densitron/dpx114/.arch-ids/failover.c.id
     src/mainboard/densitron/dpx114/.arch-ids/irq_tables.c.id
     src/mainboard/densitron/dpx114/.arch-ids/mainboard.c.id
     src/mainboard/densitron/dpx114/.arch-ids/reset.c.id
     src/mainboard/densitron/dpx114/Config.lb
     src/mainboard/densitron/dpx114/auto.c
     src/mainboard/densitron/dpx114/chip.h
     src/mainboard/densitron/dpx114/cmos.layout
     src/mainboard/densitron/dpx114/debug.c
     src/mainboard/densitron/dpx114/failover.c
     src/mainboard/densitron/dpx114/irq_tables.c
     src/mainboard/densitron/dpx114/mainboard.c
     src/mainboard/densitron/dpx114/reset.c

    modified files:
     ChangeLog.arch

    new directories:
     src/mainboard/densitron src/mainboard/densitron/.arch-ids
     src/mainboard/densitron/dpx114
     src/mainboard/densitron/dpx114/.arch-ids


2005-03-09 23:16:36 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-713

    Summary:
      adding 855pm
    Revision:
      freebios--import--2.0--patch-713

    Author: rminnich
    Date: 2004/08/23 16:43:25
    adding 855pm

    new files:
     src/northbridge/intel/855pm/.arch-ids/855pm.h.id
     src/northbridge/intel/855pm/.arch-ids/=id
     src/northbridge/intel/855pm/.arch-ids/Config.lb.id
     src/northbridge/intel/855pm/.arch-ids/chip.h.id
     src/northbridge/intel/855pm/.arch-ids/debug.c.id
     src/northbridge/intel/855pm/.arch-ids/northbridge.c.id
     src/northbridge/intel/855pm/.arch-ids/raminit.c.id
     src/northbridge/intel/855pm/.arch-ids/raminit.h.id
     src/northbridge/intel/855pm/.arch-ids/reset_test.c.id
     src/northbridge/intel/855pm/855pm.h
     src/northbridge/intel/855pm/Config.lb
     src/northbridge/intel/855pm/chip.h
     src/northbridge/intel/855pm/debug.c
     src/northbridge/intel/855pm/northbridge.c
     src/northbridge/intel/855pm/raminit.c
     src/northbridge/intel/855pm/raminit.h
     src/northbridge/intel/855pm/reset_test.c

    modified files:
     ChangeLog.arch

    new directories:
     src/northbridge/intel/855pm
     src/northbridge/intel/855pm/.arch-ids


2005-03-09 23:15:58 GMT	Stefan Reinauer <stepan@openbios.org>	patch-712

    Summary:
      create some technologic systems ts530 infrastructure
    Revision:
      freebios--import--2.0--patch-712

    Author: stepan
    Date: 2004/08/07 19:58:46
    create some technologic systems ts530 infrastructure

    new files:
     src/mainboard/technologic/ts5300/.arch-ids/chip.h.id
     src/mainboard/technologic/ts5300/.arch-ids/cmos.layout.id
     src/mainboard/technologic/ts5300/.arch-ids/debug.c.id
     src/mainboard/technologic/ts5300/.arch-ids/failover.c.id
     src/mainboard/technologic/ts5300/.arch-ids/irq_tables.c.id
     src/mainboard/technologic/ts5300/.arch-ids/mainboard.c.id
     src/mainboard/technologic/ts5300/.arch-ids/reset.c.id
     src/mainboard/technologic/ts5300/chip.h
     src/mainboard/technologic/ts5300/cmos.layout
     src/mainboard/technologic/ts5300/debug.c
     src/mainboard/technologic/ts5300/failover.c
     src/mainboard/technologic/ts5300/irq_tables.c
     src/mainboard/technologic/ts5300/mainboard.c
     src/mainboard/technologic/ts5300/reset.c

    modified files:
     ChangeLog.arch


2005-03-09 23:15:44 GMT	Stefan Reinauer <stepan@openbios.org>	patch-711

    Summary:
      add Config file for ts5300
    Revision:
      freebios--import--2.0--patch-711

    Author: stepan
    Date: 2004/08/07 19:34:46
    add Config file for ts5300

    new files:
     src/mainboard/technologic/.arch-ids/=id
     src/mainboard/technologic/ts5300/.arch-ids/=id
     src/mainboard/technologic/ts5300/.arch-ids/Config.lb.id
     src/mainboard/technologic/ts5300/Config.lb

    modified files:
     ChangeLog.arch

    new directories:
     src/mainboard/technologic src/mainboard/technologic/.arch-ids
     src/mainboard/technologic/ts5300
     src/mainboard/technologic/ts5300/.arch-ids


2005-03-09 23:15:40 GMT	Stefan Reinauer <stepan@openbios.org>	patch-710

    Summary:
      initial version of TS5300 target
    Revision:
      freebios--import--2.0--patch-710

    Author: stepan
    Date: 2004/08/07 19:20:44
    initial version of TS5300 target

    new files:
     targets/technologic/.arch-ids/=id
     targets/technologic/ts5300/.arch-ids/=id
     targets/technologic/ts5300/.arch-ids/Config.lb.id
     targets/technologic/ts5300/Config.lb

    modified files:
     ChangeLog.arch

    new directories:
     targets/technologic targets/technologic/.arch-ids
     targets/technologic/ts5300
     targets/technologic/ts5300/.arch-ids


2005-03-09 23:15:35 GMT	Stefan Reinauer <stepan@openbios.org>	patch-709

    Summary:
      get AMD Solo building again..
    Revision:
      freebios--import--2.0--patch-709

    Author: stepan
    Date: 2004/08/07 19:13:27
    get AMD Solo building again..

    modified files:
     ChangeLog.arch targets/amd/solo/Config.lb


2005-03-09 23:15:30 GMT	Ollie Lho <ollie@lanl.gov>	patch-708

    Summary:
      added testbios for V2
    Revision:
      freebios--import--2.0--patch-708

    Author: ollie
    Date: 2004/07/08 17:17:52
    added testbios for V2

    new files:
     util/vgabios/.arch-ids/=id util/vgabios/.arch-ids/Makefile.id
     util/vgabios/.arch-ids/helper_exec.c.id
     util/vgabios/.arch-ids/helper_mem.c.id
     util/vgabios/.arch-ids/int10.c.id
     util/vgabios/.arch-ids/int15.c.id
     util/vgabios/.arch-ids/int16.c.id
     util/vgabios/.arch-ids/int1a.c.id
     util/vgabios/.arch-ids/inte6.c.id
     util/vgabios/.arch-ids/pci-userspace.c.id
     util/vgabios/.arch-ids/pci-userspace.h.id
     util/vgabios/.arch-ids/pci.h.id
     util/vgabios/.arch-ids/test.h.id
     util/vgabios/.arch-ids/testbios.c.id util/vgabios/Makefile
     util/vgabios/helper_exec.c util/vgabios/helper_mem.c
     util/vgabios/int10.c util/vgabios/int15.c util/vgabios/int16.c
     util/vgabios/int1a.c util/vgabios/inte6.c
     util/vgabios/pci-userspace.c util/vgabios/pci-userspace.h
     util/vgabios/pci.h util/vgabios/test.h util/vgabios/testbios.c
     util/vgabios/x86emu/.arch-ids/=id
     util/vgabios/x86emu/include/.arch-ids/=id
     util/vgabios/x86emu/include/.arch-ids/msr.h.id
     util/vgabios/x86emu/include/.arch-ids/x86emu.h.id
     util/vgabios/x86emu/include/msr.h
     util/vgabios/x86emu/include/x86emu.h
     util/vgabios/x86emu/include/x86emu/.arch-ids/=id
     util/vgabios/x86emu/include/x86emu/.arch-ids/fpu_regs.h.id
     util/vgabios/x86emu/include/x86emu/.arch-ids/regs.h.id
     util/vgabios/x86emu/include/x86emu/.arch-ids/types.h.id
     util/vgabios/x86emu/include/x86emu/fpu_regs.h
     util/vgabios/x86emu/include/x86emu/regs.h
     util/vgabios/x86emu/include/x86emu/types.h
     util/vgabios/x86emu/src/.arch-ids/=id
     util/vgabios/x86emu/src/x86emu/.arch-ids/=id
     util/vgabios/x86emu/src/x86emu/.arch-ids/LICENSE.id
     util/vgabios/x86emu/src/x86emu/.arch-ids/debug.c.id
     util/vgabios/x86emu/src/x86emu/.arch-ids/decode.c.id
     util/vgabios/x86emu/src/x86emu/.arch-ids/fpu.c.id
     util/vgabios/x86emu/src/x86emu/.arch-ids/makefile.id
     util/vgabios/x86emu/src/x86emu/.arch-ids/makefile.linux.id
     util/vgabios/x86emu/src/x86emu/.arch-ids/ops.c.id
     util/vgabios/x86emu/src/x86emu/.arch-ids/ops2.c.id
     util/vgabios/x86emu/src/x86emu/.arch-ids/prim_ops.c.id
     util/vgabios/x86emu/src/x86emu/.arch-ids/sys.c.id
     util/vgabios/x86emu/src/x86emu/.arch-ids/validate.c.id
     util/vgabios/x86emu/src/x86emu/LICENSE
     util/vgabios/x86emu/src/x86emu/debug.c
     util/vgabios/x86emu/src/x86emu/decode.c
     util/vgabios/x86emu/src/x86emu/fpu.c
     util/vgabios/x86emu/src/x86emu/makefile
     util/vgabios/x86emu/src/x86emu/makefile.linux
     util/vgabios/x86emu/src/x86emu/ops.c
     util/vgabios/x86emu/src/x86emu/ops2.c
     util/vgabios/x86emu/src/x86emu/prim_ops.c
     util/vgabios/x86emu/src/x86emu/sys.c
     util/vgabios/x86emu/src/x86emu/validate.c
     util/vgabios/x86emu/src/x86emu/x86emu/.arch-ids/=id
     util/vgabios/x86emu/src/x86emu/x86emu/.arch-ids/debug.h.id
     util/vgabios/x86emu/src/x86emu/x86emu/.arch-ids/decode.h.id
     util/vgabios/x86emu/src/x86emu/x86emu/.arch-ids/fpu.h.id
     util/vgabios/x86emu/src/x86emu/x86emu/.arch-ids/ops.h.id
     util/vgabios/x86emu/src/x86emu/x86emu/.arch-ids/prim_asm.h.id
     util/vgabios/x86emu/src/x86emu/x86emu/.arch-ids/prim_ops.h.id
     util/vgabios/x86emu/src/x86emu/x86emu/.arch-ids/x86emui.h.id
     util/vgabios/x86emu/src/x86emu/x86emu/debug.h
     util/vgabios/x86emu/src/x86emu/x86emu/decode.h
     util/vgabios/x86emu/src/x86emu/x86emu/fpu.h
     util/vgabios/x86emu/src/x86emu/x86emu/ops.h
     util/vgabios/x86emu/src/x86emu/x86emu/prim_asm.h
     util/vgabios/x86emu/src/x86emu/x86emu/prim_ops.h
     util/vgabios/x86emu/src/x86emu/x86emu/x86emui.h

    modified files:
     ChangeLog.arch

    new directories:
     util/vgabios util/vgabios/.arch-ids util/vgabios/x86emu
     util/vgabios/x86emu/.arch-ids util/vgabios/x86emu/include
     util/vgabios/x86emu/include/.arch-ids
     util/vgabios/x86emu/include/x86emu
     util/vgabios/x86emu/include/x86emu/.arch-ids
     util/vgabios/x86emu/src util/vgabios/x86emu/src/.arch-ids
     util/vgabios/x86emu/src/x86emu
     util/vgabios/x86emu/src/x86emu/.arch-ids
     util/vgabios/x86emu/src/x86emu/x86emu
     util/vgabios/x86emu/src/x86emu/x86emu/.arch-ids


2005-03-09 23:14:24 GMT	Ollie Lho <ollie@lanl.gov>	patch-707

    Summary:
      move default_resource_map to its own file
    Revision:
      freebios--import--2.0--patch-707

    Author: ollie
    Date: 2004/07/08 16:59:05
    move default_resource_map to its own file

    new files:
     src/northbridge/amd/amdk8/.arch-ids/resourcemap.c.id
     src/northbridge/amd/amdk8/resourcemap.c

    modified files:
     ChangeLog.arch src/mainboard/Iwill/DK8S2/auto.c
     src/mainboard/Iwill/DK8X/auto.c
     src/mainboard/amd/serenade/Config.lb
     src/mainboard/amd/serenade/auto.c
     src/mainboard/amd/solo/auto.c src/mainboard/arima/hdama/auto.c
     src/northbridge/amd/amdk8/raminit.c


2005-03-09 23:14:07 GMT	Ollie Lho <ollie@lanl.gov>	patch-706

    Summary:
      code reformat, removed unused code
    Revision:
      freebios--import--2.0--patch-706

    Author: ollie
    Date: 2004/07/08 16:57:43
    code reformat, removed unused code

    modified files:
     ChangeLog.arch src/mainboard/ibm/e325/auto.c
     src/mainboard/ibm/e325/mainboard.c


2005-03-09 23:14:00 GMT	Ollie Lho <ollie@lanl.gov>	patch-705

    Summary:
      code reformat
    Revision:
      freebios--import--2.0--patch-705

    Author: ollie
    Date: 2004/07/08 16:54:20
    code reformat

    modified files:
     ChangeLog.arch src/devices/hypertransport.c
     src/devices/pci_device.c


2005-03-09 23:13:54 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-704

    Summary:
      fixed again.
    Revision:
      freebios--import--2.0--patch-704

    Author: rminnich
    Date: 2004/07/06 16:57:44
    
    fixed again.

    modified files:
     ChangeLog.arch src/northbridge/via/vt8601/raminit.c


2005-03-09 23:13:47 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-703

    Summary:
      fix for simple error
    Revision:
      freebios--import--2.0--patch-703

    Author: rminnich
    Date: 2004/07/06 16:35:50
    fix for simple error

    modified files:
     ChangeLog.arch src/northbridge/via/vt8601/raminit.c


2005-03-09 23:13:42 GMT	Yinghai Lu <yhlu@tyan.com>	patch-702

    Summary:
      remove_logical_cpus need call get_option
    Revision:
      freebios--import--2.0--patch-702

    Author: yhlu
    Date: 2004/07/01 04:21:49
    remove_logical_cpus need call get_option

    modified files:
     ChangeLog.arch src/arch/i386/boot/tables.c


2005-03-09 23:13:37 GMT	Yinghai Lu <yhlu@tyan.com>	patch-701

    Summary:
      Intel E7501 P64H2 ICH5R support
    Revision:
      freebios--import--2.0--patch-701

    Author: yhlu
    Date: 2004/07/01 03:55:00
    Intel E7501 P64H2 ICH5R support

    new files:
     src/cpu/p6/.arch-ids/apic_timer.c.id
     src/cpu/p6/.arch-ids/chip.h.id
     src/cpu/p6/.arch-ids/disable_mmx_sse.inc.id
     src/cpu/p6/.arch-ids/enable_mmx_sse.inc.id
     src/cpu/p6/apic_timer.c src/cpu/p6/chip.h
     src/cpu/p6/disable_mmx_sse.inc src/cpu/p6/enable_mmx_sse.inc
     src/mainboard/tyan/s2735/.arch-ids/=id
     src/mainboard/tyan/s2735/.arch-ids/Config.lb.id
     src/mainboard/tyan/s2735/.arch-ids/auto.c.id
     src/mainboard/tyan/s2735/.arch-ids/chip.h.id
     src/mainboard/tyan/s2735/.arch-ids/cmos.layout.id
     src/mainboard/tyan/s2735/.arch-ids/failover.c.id
     src/mainboard/tyan/s2735/.arch-ids/irq_tables.c.id
     src/mainboard/tyan/s2735/.arch-ids/mainboard.c.id
     src/mainboard/tyan/s2735/.arch-ids/mptable.c.id
     src/mainboard/tyan/s2735/Config.lb
     src/mainboard/tyan/s2735/auto.c
     src/mainboard/tyan/s2735/chip.h
     src/mainboard/tyan/s2735/cmos.layout
     src/mainboard/tyan/s2735/failover.c
     src/mainboard/tyan/s2735/irq_tables.c
     src/mainboard/tyan/s2735/mainboard.c
     src/mainboard/tyan/s2735/mptable.c
     src/northbridge/intel/.arch-ids/=id
     src/northbridge/intel/e7501/.arch-ids/=id
     src/northbridge/intel/e7501/.arch-ids/Config.lb.id
     src/northbridge/intel/e7501/.arch-ids/chip.h.id
     src/northbridge/intel/e7501/.arch-ids/debug.c.id
     src/northbridge/intel/e7501/.arch-ids/e7501.h.id
     src/northbridge/intel/e7501/.arch-ids/northbridge.c.id
     src/northbridge/intel/e7501/.arch-ids/raminit.c.id
     src/northbridge/intel/e7501/.arch-ids/raminit.h.id
     src/northbridge/intel/e7501/.arch-ids/reset_test.c.id
     src/northbridge/intel/e7501/Config.lb
     src/northbridge/intel/e7501/chip.h
     src/northbridge/intel/e7501/debug.c
     src/northbridge/intel/e7501/e7501.h
     src/northbridge/intel/e7501/northbridge.c
     src/northbridge/intel/e7501/raminit.c
     src/northbridge/intel/e7501/raminit.h
     src/northbridge/intel/e7501/reset_test.c
     src/southbridge/intel/.arch-ids/=id
     src/southbridge/intel/i82801er/.arch-ids/=id
     src/southbridge/intel/i82801er/.arch-ids/Config.lb.id
     src/southbridge/intel/i82801er/.arch-ids/cmos_failover.c.id
     src/southbridge/intel/i82801er/.arch-ids/i82801er.c.id
     src/southbridge/intel/i82801er/.arch-ids/i82801er.h.id
     src/southbridge/intel/i82801er/.arch-ids/i82801er_ac97.c.id
     src/southbridge/intel/i82801er/.arch-ids/i82801er_early_smbus.c.id
     src/southbridge/intel/i82801er/.arch-ids/i82801er_ide.c.id
     src/southbridge/intel/i82801er/.arch-ids/i82801er_lpc.c.id
     src/southbridge/intel/i82801er/.arch-ids/i82801er_nic.c.id
     src/southbridge/intel/i82801er/.arch-ids/i82801er_pci.c.id
     src/southbridge/intel/i82801er/.arch-ids/i82801er_reset.c.id
     src/southbridge/intel/i82801er/.arch-ids/i82801er_sata.c.id
     src/southbridge/intel/i82801er/.arch-ids/i82801er_smbus.c.id
     src/southbridge/intel/i82801er/.arch-ids/i82801er_usb.c.id
     src/southbridge/intel/i82801er/.arch-ids/i82801er_usb2.c.id
     src/southbridge/intel/i82801er/Config.lb
     src/southbridge/intel/i82801er/cmos_failover.c
     src/southbridge/intel/i82801er/i82801er.c
     src/southbridge/intel/i82801er/i82801er.h
     src/southbridge/intel/i82801er/i82801er_ac97.c
     src/southbridge/intel/i82801er/i82801er_early_smbus.c
     src/southbridge/intel/i82801er/i82801er_ide.c
     src/southbridge/intel/i82801er/i82801er_lpc.c
     src/southbridge/intel/i82801er/i82801er_nic.c
     src/southbridge/intel/i82801er/i82801er_pci.c
     src/southbridge/intel/i82801er/i82801er_reset.c
     src/southbridge/intel/i82801er/i82801er_sata.c
     src/southbridge/intel/i82801er/i82801er_smbus.c
     src/southbridge/intel/i82801er/i82801er_usb.c
     src/southbridge/intel/i82801er/i82801er_usb2.c
     src/southbridge/intel/i82870/.arch-ids/82870.h.id
     src/southbridge/intel/i82870/.arch-ids/=id
     src/southbridge/intel/i82870/.arch-ids/Config.lb.id
     src/southbridge/intel/i82870/.arch-ids/p64h2_ioapic.c.id
     src/southbridge/intel/i82870/.arch-ids/p64h2_pci_parity.c.id
     src/southbridge/intel/i82870/.arch-ids/p64h2_pcibridge.c.id
     src/southbridge/intel/i82870/82870.h
     src/southbridge/intel/i82870/Config.lb
     src/southbridge/intel/i82870/p64h2_ioapic.c
     src/southbridge/intel/i82870/p64h2_pci_parity.c
     src/southbridge/intel/i82870/p64h2_pcibridge.c
     targets/tyan/s2735/.arch-ids/=id
     targets/tyan/s2735/.arch-ids/Config.lb.id
     targets/tyan/s2735/.arch-ids/VERSION.id
     targets/tyan/s2735/.arch-ids/ns2735.id
     targets/tyan/s2735/Config.lb targets/tyan/s2735/VERSION
     targets/tyan/s2735/ns2735

    modified files:
     ChangeLog.arch src/cpu/p6/Config.lb src/cpu/p6/cpufixup.c
     src/include/device/pci_ids.h
     src/superio/winbond/w83627hf/superio.c

    new directories:
     src/mainboard/tyan/s2735 src/mainboard/tyan/s2735/.arch-ids
     src/northbridge/intel src/northbridge/intel/.arch-ids
     src/northbridge/intel/e7501
     src/northbridge/intel/e7501/.arch-ids src/southbridge/intel
     src/southbridge/intel/.arch-ids src/southbridge/intel/i82801er
     src/southbridge/intel/i82801er/.arch-ids
     src/southbridge/intel/i82870
     src/southbridge/intel/i82870/.arch-ids targets/tyan/s2735
     targets/tyan/s2735/.arch-ids


2005-03-09 23:11:58 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-700

    Summary:
      - Small bug fixes to romcc.  The deep problems with not...
    Revision:
      freebios--import--2.0--patch-700

    Author: ebiederm
    Date: 2004/06/29 05:38:36
    - Small bug fixes to romcc.  The deep problems with not inlining functions remain

    modified files:
     ChangeLog.arch src/config/Config.lb util/romcc/romcc.c


2005-03-09 23:11:46 GMT	Stefan Reinauer <stepan@openbios.org>	patch-699

    Summary:
      add target for qemu-i386
    Revision:
      freebios--import--2.0--patch-699

    Author: stepan
    Date: 2004/06/28 12:20:42
    add target for qemu-i386

    new files:
     targets/emulation/.arch-ids/=id
     targets/emulation/qemu-i386/.arch-ids/=id
     targets/emulation/qemu-i386/.arch-ids/Config.lb.id
     targets/emulation/qemu-i386/Config.lb

    modified files:
     ChangeLog.arch

    new directories:
     targets/emulation targets/emulation/.arch-ids
     targets/emulation/qemu-i386
     targets/emulation/qemu-i386/.arch-ids


2005-03-09 23:11:40 GMT	Stefan Reinauer <stepan@openbios.org>	patch-698

    Summary:
      make cpuid and mtrr check conditional. They are not the...
    Revision:
      freebios--import--2.0--patch-698

    Author: stepan
    Date: 2004/06/28 12:06:20
    make cpuid and mtrr check conditional. They are not there on cpus older than
    i586/i686.

    modified files:
     ChangeLog.arch src/arch/i386/lib/cpu.c


2005-03-09 23:11:35 GMT	Stefan Reinauer <stepan@openbios.org>	patch-697

    Summary:
      add qemu graphics card initialization driver
    Revision:
      freebios--import--2.0--patch-697

    Author: stepan
    Date: 2004/06/28 12:04:06
    add qemu graphics card initialization driver

    new files:
     src/drivers/emulation/.arch-ids/=id
     src/drivers/emulation/qemu/.arch-ids/=id
     src/drivers/emulation/qemu/.arch-ids/Config.lb.id
     src/drivers/emulation/qemu/.arch-ids/fb.h.id
     src/drivers/emulation/qemu/.arch-ids/fbcon.h.id
     src/drivers/emulation/qemu/.arch-ids/init.c.id
     src/drivers/emulation/qemu/Config.lb
     src/drivers/emulation/qemu/fb.h
     src/drivers/emulation/qemu/fbcon.h
     src/drivers/emulation/qemu/init.c

    modified files:
     ChangeLog.arch

    new directories:
     src/drivers/emulation src/drivers/emulation/.arch-ids
     src/drivers/emulation/qemu
     src/drivers/emulation/qemu/.arch-ids


2005-03-09 23:11:23 GMT	Stefan Reinauer <stepan@openbios.org>	patch-696

    Summary:
      add northbridge code for qemu-i386
    Revision:
      freebios--import--2.0--patch-696

    Author: stepan
    Date: 2004/06/28 11:59:45
    add northbridge code for qemu-i386

    new files:
     src/northbridge/emulation/.arch-ids/=id
     src/northbridge/emulation/qemu-i386/.arch-ids/=id
     src/northbridge/emulation/qemu-i386/.arch-ids/Config.lb.id
     src/northbridge/emulation/qemu-i386/.arch-ids/chip.h.id
     src/northbridge/emulation/qemu-i386/.arch-ids/northbridge.c.id
     src/northbridge/emulation/qemu-i386/.arch-ids/northbridge.h.id
     src/northbridge/emulation/qemu-i386/Config.lb
     src/northbridge/emulation/qemu-i386/chip.h
     src/northbridge/emulation/qemu-i386/northbridge.c
     src/northbridge/emulation/qemu-i386/northbridge.h

    modified files:
     ChangeLog.arch

    new directories:
     src/northbridge/emulation src/northbridge/emulation/.arch-ids
     src/northbridge/emulation/qemu-i386
     src/northbridge/emulation/qemu-i386/.arch-ids


2005-03-09 23:11:13 GMT	Stefan Reinauer <stepan@openbios.org>	patch-695

    Summary:
      commit initial qemu support (see http://fabrice.bellard...
    Revision:
      freebios--import--2.0--patch-695

    Author: stepan
    Date: 2004/06/28 11:57:31
    commit initial qemu support (see http://fabrice.bellard.free.fr/qemu/)

    new files:
     src/mainboard/emulation/.arch-ids/=id
     src/mainboard/emulation/qemu-i386/.arch-ids/=id
     src/mainboard/emulation/qemu-i386/.arch-ids/Config.lb.id
     src/mainboard/emulation/qemu-i386/.arch-ids/auto.c.id
     src/mainboard/emulation/qemu-i386/.arch-ids/chip.h.id
     src/mainboard/emulation/qemu-i386/.arch-ids/debug.c.id
     src/mainboard/emulation/qemu-i386/.arch-ids/failover.c.id
     src/mainboard/emulation/qemu-i386/.arch-ids/irq_tables.c.id
     src/mainboard/emulation/qemu-i386/.arch-ids/mainboard.c.id
     src/mainboard/emulation/qemu-i386/Config.lb
     src/mainboard/emulation/qemu-i386/auto.c
     src/mainboard/emulation/qemu-i386/chip.h
     src/mainboard/emulation/qemu-i386/debug.c
     src/mainboard/emulation/qemu-i386/failover.c
     src/mainboard/emulation/qemu-i386/irq_tables.c
     src/mainboard/emulation/qemu-i386/mainboard.c

    modified files:
     ChangeLog.arch

    new directories:
     src/mainboard/emulation src/mainboard/emulation/.arch-ids
     src/mainboard/emulation/qemu-i386
     src/mainboard/emulation/qemu-i386/.arch-ids


2005-03-09 23:10:56 GMT	Ollie Lho <ollie@lanl.gov>	patch-694

    Summary:
      add target for amd serenade board
    Revision:
      freebios--import--2.0--patch-694

    Author: ollie
    Date: 2004/06/16 19:06:33
    add target for amd serenade board

    new files:
     targets/amd/serenade/.arch-ids/=id
     targets/amd/serenade/.arch-ids/Config.lb.id
     targets/amd/serenade/Config.lb

    modified files:
     ChangeLog.arch

    new directories:
     targets/amd/serenade targets/amd/serenade/.arch-ids


2005-03-09 23:10:50 GMT	David Hendricks <sc@flagen.com>	patch-693

    Summary:
      Now it should build on the first try :)
    Revision:
      freebios--import--2.0--patch-693

    Author: dhendricks
    Date: 2004/06/16 15:32:43
    Now it should build on the first try :)

    modified files:
     ChangeLog.arch src/mainboard/Iwill/DK8S2/Config.lb


2005-03-09 23:10:44 GMT	Ollie Lho <ollie@lanl.gov>	patch-692

    Summary:
      add support for AMD Serenade mainboard, why we have pha...
    Revision:
      freebios--import--2.0--patch-692

    Author: ollie
    Date: 2004/06/15 23:37:34
    add support for AMD Serenade mainboard, why we have phantom devices here?

    new files:
     src/mainboard/amd/serenade/.arch-ids/=id
     src/mainboard/amd/serenade/.arch-ids/Config.lb.id
     src/mainboard/amd/serenade/.arch-ids/auto.c.id
     src/mainboard/amd/serenade/.arch-ids/chip.h.id
     src/mainboard/amd/serenade/.arch-ids/cmos.layout.id
     src/mainboard/amd/serenade/.arch-ids/failover.c.id
     src/mainboard/amd/serenade/.arch-ids/irq_tables.c.id
     src/mainboard/amd/serenade/.arch-ids/mainboard.c.id
     src/mainboard/amd/serenade/.arch-ids/mptable.c.id
     src/mainboard/amd/serenade/.arch-ids/resourcemap.c.id
     src/mainboard/amd/serenade/Config.lb
     src/mainboard/amd/serenade/auto.c
     src/mainboard/amd/serenade/chip.h
     src/mainboard/amd/serenade/cmos.layout
     src/mainboard/amd/serenade/failover.c
     src/mainboard/amd/serenade/irq_tables.c
     src/mainboard/amd/serenade/mainboard.c
     src/mainboard/amd/serenade/mptable.c
     src/mainboard/amd/serenade/resourcemap.c

    modified files:
     ChangeLog.arch src/mainboard/amd/quartet/mainboard.c
     src/mainboard/amd/solo/auto.c

    new directories:
     src/mainboard/amd/serenade
     src/mainboard/amd/serenade/.arch-ids


2005-03-09 23:10:18 GMT	Ollie Lho <ollie@lanl.gov>	patch-691

    Summary:
      code reformat, is the pirq table correct?
    Revision:
      freebios--import--2.0--patch-691

    Author: ollie
    Date: 2004/06/15 03:00:35
    code reformat, is the pirq table correct?

    modified files:
     ChangeLog.arch src/mainboard/Iwill/DK8S2/auto.c


2005-03-09 23:10:12 GMT	Stefan Reinauer <stepan@openbios.org>	patch-690

    Summary:
      simplify pirq handling. Only apply consistency fixes on...
    Revision:
      freebios--import--2.0--patch-690

    Author: stepan
    Date: 2004/06/07 10:25:42
    simplify pirq handling. Only apply consistency fixes on the copied version
    of the pirq table.

    modified files:
     ChangeLog.arch src/arch/i386/boot/pirq_routing.c
     src/arch/i386/boot/tables.c
     src/arch/i386/include/arch/pirq_routing.h


2005-03-09 23:10:00 GMT	Greg Watson <gwatson@lanl.gov>	patch-689

    Summary:
      Add extra phase before memory init.
    Revision:
      freebios--import--2.0--patch-689

    Author: jarrah
    Date: 2004/06/05 14:54:34
    Add extra phase before memory init.
    Rename sdram_init to memory_init
    NOTE: need to test sandpoint and ep boards!

    modified files:
     ChangeLog.arch src/arch/ppc/init/ppc_main.c
     src/cpu/ppc/ppc4xx/sdram.c
     src/mainboard/embeddedplanet/ep405pc/init.c
     src/mainboard/motorola/sandpoint/init.c
     src/mainboard/totalimpact/briq/init.c
     src/northbridge/ibm/cpc710/cpc710.c
     src/northbridge/motorola/mpc107/mpc107.c


2005-03-09 23:09:45 GMT	Greg Watson <gwatson@lanl.gov>	patch-688

    Summary:
      memory and pci up!
    Revision:
      freebios--import--2.0--patch-688

    Author: jarrah
    Date: 2004/06/05 14:36:23
    memory and pci up!

    modified files:
     ChangeLog.arch src/northbridge/ibm/cpc710/cpc710.c
     src/northbridge/ibm/cpc710/cpc710.h
     src/northbridge/ibm/cpc710/cpc710_pci.c
     src/northbridge/ibm/cpc710/cpc710_pci.h


2005-03-09 23:09:34 GMT	Greg Watson <gwatson@lanl.gov>	patch-687

    Summary:
      BDI2000 config file
    Revision:
      freebios--import--2.0--patch-687

    Author: jarrah
    Date: 2004/06/04 22:41:43
    BDI2000 config file

    new files:
     src/mainboard/embeddedplanet/ep405pc/.arch-ids/ep405pc.cfg.id
     src/mainboard/embeddedplanet/ep405pc/ep405pc.cfg
     src/mainboard/motorola/sandpoint/.arch-ids/sp7410.cfg.id
     src/mainboard/motorola/sandpoint/sp7410.cfg
     src/mainboard/totalimpact/briq/.arch-ids/briQ7400.cfg.id
     src/mainboard/totalimpact/briq/briQ7400.cfg

    modified files:
     ChangeLog.arch


2005-03-09 23:09:26 GMT	Greg Watson <gwatson@lanl.gov>	patch-686

    Summary:
      enable early uart
    Revision:
      freebios--import--2.0--patch-686

    Author: jarrah
    Date: 2004/06/04 22:28:23
    enable early uart

    modified files:
     ChangeLog.arch src/mainboard/totalimpact/briq/init.c


2005-03-09 23:09:21 GMT	Greg Watson <gwatson@lanl.gov>	patch-685

    Summary:
      fix addressing
    Revision:
      freebios--import--2.0--patch-685

    Author: jarrah
    Date: 2004/06/04 22:27:33
    fix addressing

    modified files:
     ChangeLog.arch src/mainboard/totalimpact/briq/Config.lb


2005-03-09 23:09:16 GMT	Greg Watson <gwatson@lanl.gov>	patch-684

    Summary:
      first cut
    Revision:
      freebios--import--2.0--patch-684

    Author: jarrah
    Date: 2004/06/03 16:57:09
    first cut

    modified files:
     ChangeLog.arch src/northbridge/ibm/cpc710/Config.lb
     src/northbridge/ibm/cpc710/cpc710.c
     src/northbridge/ibm/cpc710/cpc710.h
     src/northbridge/ibm/cpc710/cpc710_pci.c
     src/northbridge/ibm/cpc710/cpc710_pci.h


2005-03-09 23:09:03 GMT	Greg Watson <gwatson@lanl.gov>	patch-683

    Summary:
      nothing yet
    Revision:
      freebios--import--2.0--patch-683

    Author: jarrah
    Date: 2004/06/03 16:56:01
    nothing yet

    modified files:
     ChangeLog.arch src/mainboard/totalimpact/briq/init.c


2005-03-09 23:08:55 GMT	Greg Watson <gwatson@lanl.gov>	patch-682

    Summary:
      fixup
    Revision:
      freebios--import--2.0--patch-682

    Author: jarrah
    Date: 2004/06/03 16:55:24
    fixup

    modified files:
     ChangeLog.arch src/mainboard/totalimpact/briq/Config.lb


2005-03-09 23:08:49 GMT	Greg Watson <gwatson@lanl.gov>	patch-681

    Summary:
      prelim sdram
    Revision:
      freebios--import--2.0--patch-681

    Author: jarrah
    Date: 2004/06/03 16:53:41
    prelim sdram

    new files:
     src/northbridge/ibm/cpc710/.arch-ids/cpc710_sdram.c.id
     src/northbridge/ibm/cpc710/cpc710_sdram.c

    modified files:
     ChangeLog.arch


2005-03-09 23:08:42 GMT	Greg Watson <gwatson@lanl.gov>	patch-680

    Summary:
      briQ timer support
    Revision:
      freebios--import--2.0--patch-680

    Author: jarrah
    Date: 2004/06/03 16:51:18
    briQ timer support

    new files:
     src/mainboard/totalimpact/briq/.arch-ids/clock.c.id
     src/mainboard/totalimpact/briq/clock.c

    modified files:
     ChangeLog.arch


2005-03-09 23:08:35 GMT	Greg Watson <gwatson@lanl.gov>	patch-679

    Summary:
      Make names more sensible.
    Revision:
      freebios--import--2.0--patch-679

    Author: jarrah
    Date: 2004/06/03 16:30:00
    Make names more sensible.

    modified files:
     ChangeLog.arch src/arch/ppc/include/clock.h
     src/arch/ppc/lib/timer.c src/cpu/ppc/ppc4xx/clock.c
     src/cpu/ppc/ppc4xx/sdram.c src/cpu/ppc/ppc7xx/clock.c
     src/mainboard/motorola/sandpoint/clock.c
     src/northbridge/motorola/mpc107/mpc107.c


2005-03-09 23:08:19 GMT	Greg Watson <gwatson@lanl.gov>	patch-678

    Summary:
      Clock (not timer) routines are board specific. Moved to...
    Revision:
      freebios--import--2.0--patch-678

    Author: jarrah
    Date: 2004/06/03 14:39:16
    Clock (not timer) routines are board specific. Moved to appropriate
    mainboard dir.

    modified files:
     ChangeLog.arch src/cpu/ppc/mpc74xx/Config.lb


2005-03-09 23:08:14 GMT	Greg Watson <gwatson@lanl.gov>	patch-677

    Summary:
      Clock (not timer) routines are board specific. Moved fr...
    Revision:
      freebios--import--2.0--patch-677

    Author: jarrah
    Date: 2004/06/03 14:38:12
    Clock (not timer) routines are board specific. Moved from mpc74xx dir.

    new files:
     src/mainboard/motorola/sandpoint/.arch-ids/clock.c.id
     src/mainboard/motorola/sandpoint/clock.c

    modified files:
     ChangeLog.arch src/mainboard/motorola/sandpoint/Config.lb


2005-03-09 23:08:06 GMT	Greg Watson <gwatson@lanl.gov>	patch-676

    Summary:
      remove brain-dead verify code
    Revision:
      freebios--import--2.0--patch-676

    Author: jarrah
    Date: 2004/06/03 14:34:31
    remove brain-dead verify code

    modified files:
     ChangeLog.arch util/newconfig/config.g


2005-03-09 23:07:58 GMT	Stefan Reinauer <stepan@openbios.org>	patch-675

    Summary:
      disable noop usb drivers. remove warnings
    Revision:
      freebios--import--2.0--patch-675

    Author: stepan
    Date: 2004/06/03 07:57:11
    disable noop usb drivers. remove warnings

    modified files:
     ChangeLog.arch src/southbridge/amd/amd8111/Config.lb
     src/southbridge/amd/amd8111/amd8111_lpc.c
     src/southbridge/amd/amd8111/amd8111_usb.c
     src/southbridge/amd/amd8111/amd8111_usb2.c


2005-03-09 23:07:47 GMT	Stefan Reinauer <stepan@openbios.org>	patch-674

    Summary:
      brush up language, unify terms, correct some urls.
    Revision:
      freebios--import--2.0--patch-674

    Author: stepan
    Date: 2004/06/02 11:25:31
    brush up language, unify terms, correct some urls.

    modified files:
     ChangeLog.arch documentation/LinuxBIOS-AMD64.tex


2005-03-09 23:07:40 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-673

    Summary:
      - Don't confuse return statements with conditional branches
    Revision:
      freebios--import--2.0--patch-673

    Author: ebiederm
    Date: 2004/05/29 21:26:03
    - Don't confuse return statements with conditional branches

    modified files:
     ChangeLog.arch util/romcc/romcc.c


2005-03-09 23:07:32 GMT	Stefan Reinauer <stepan@openbios.org>	patch-672

    Summary:
      This will never happen unless the code is buggy (in whi...
    Revision:
      freebios--import--2.0--patch-672

    Author: stepan
    Date: 2004/05/28 15:10:04
    This will never happen unless the code is buggy (in which case it's easy to
    reenable debugging output).

    modified files:
     ChangeLog.arch src/lib/clog2.c


2005-03-09 23:07:26 GMT	Stefan Reinauer <stepan@openbios.org>	patch-671

    Summary:
      console code cleanup.
    Revision:
      freebios--import--2.0--patch-671

    Author: stepan
    Date: 2004/05/28 15:07:02
    console code cleanup.
    - drop srm console code (not supported anyways)
    - make internal uart8250 console functions static
    - split vsprintf.c into vsprintf.c and vtxprintf.c

    new files:
     src/console/.arch-ids/vtxprintf.c.id src/console/vtxprintf.c

    modified files:
     ChangeLog.arch src/console/Config.lb src/console/printk.c
     src/console/uart8250_console.c src/console/vsprintf.c


2005-03-09 23:07:13 GMT	Stefan Reinauer <stepan@openbios.org>	patch-670

    Summary:
      add some debugging
    Revision:
      freebios--import--2.0--patch-670

    Author: stepan
    Date: 2004/05/28 14:55:28
    add some debugging

    modified files:
     ChangeLog.arch src/drivers/trident/blade3d/blade3d.c


2005-03-09 23:07:07 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-669

    Summary:
      - Added volatile to asm statements in auto.c and failover.c
    Revision:
      freebios--import--2.0--patch-669

    Author: ebiederm
    Date: 2004/05/28 14:18:44
    - Added volatile to asm statements in auto.c and failover.c
    - Updated the romcc version in Config.lb
    - Fixed type sizes in romcc_io.h and io.h inl() returning a byte was nasty

    modified files:
     ChangeLog.arch src/arch/i386/include/arch/io.h
     src/arch/i386/include/arch/romcc_io.h src/config/Config.lb
     src/mainboard/arima/hdama/auto.c
     src/mainboard/arima/hdama/failover.c


2005-03-09 23:06:54 GMT	Eric Biederman <ebiederman@lnxi.com>	patch-668

    Summary:
      - Upgrade to romcc version 0.63
    Revision:
      freebios--import--2.0--patch-668

    Author: ebiederm
    Date: 2004/05/28 14:11:52
    - Upgrade to romcc version 0.63
    This includes more test cases
    Lots of small bug fixes
    A built in C preprocessor
    Initial support for not inlining everything
    __attribute__((noinline)) works
    Better command line options and help
    Constants arrays can be read at compile time
    Asm statements that are not volatile will now be removed when their outputs go unused
    Loads and stores that are not volatile will be removed when their values go unused
    The number of FIXMES in the code is finally starting to go down.

    new files:
     util/romcc/.arch-ids/do_tests.sh.id
     util/romcc/.arch-ids/tests.sh.id util/romcc/do_tests.sh
     util/romcc/results/.arch-ids/linux_test10.out.id
     util/romcc/results/.arch-ids/linux_test11.out.id
     util/romcc/results/.arch-ids/linux_test12.out.id
     util/romcc/results/.arch-ids/linux_test13.out.id
     util/romcc/results/.arch-ids/linux_test8.out.id
     util/romcc/results/.arch-ids/linux_test9.out.id
     util/romcc/results/linux_test10.out
     util/romcc/results/linux_test11.out
     util/romcc/results/linux_test12.out
     util/romcc/results/linux_test13.out
     util/romcc/results/linux_test8.out
     util/romcc/results/linux_test9.out util/romcc/tests.sh
     util/romcc/tests/.arch-ids/fail_test10.c.id
     util/romcc/tests/.arch-ids/fail_test11.c.id
     util/romcc/tests/.arch-ids/fail_test9.c.id
     util/romcc/tests/.arch-ids/hello_world1.c.id
     util/romcc/tests/.arch-ids/linux_test10.c.id
     util/romcc/tests/.arch-ids/linux_test11.c.id
     util/romcc/tests/.arch-ids/linux_test12.c.id
     util/romcc/tests/.arch-ids/linux_test13.c.id
     util/romcc/tests/.arch-ids/linux_test9.c.id
     util/romcc/tests/.arch-ids/raminit_test1.c.id
     util/romcc/tests/.arch-ids/raminit_test7.c.id
     util/romcc/tests/.arch-ids/simple_test1.c.id
     util/romcc/tests/.arch-ids/simple_test74.c.id
     util/romcc/tests/.arch-ids/simple_test75.c.id
     util/romcc/tests/.arch-ids/simple_test76.c.id
     util/romcc/tests/.arch-ids/simple_test77.c.id
     util/romcc/tests/.arch-ids/simple_test78.c.id
     util/romcc/tests/.arch-ids/simple_test79.c.id
     util/romcc/tests/.arch-ids/simple_test80.c.id
     util/romcc/tests/.arch-ids/simple_test81.c.id
     util/romcc/tests/.arch-ids/simple_test82.c.id
     util/romcc/tests/.arch-ids/simple_test83.c.id
     util/romcc/tests/.arch-ids/simple_test84.c.id
     util/romcc/tests/.arch-ids/simple_test85.c.id
     util/romcc/tests/.arch-ids/simple_test86.c.id
     util/romcc/tests/fail_test10.c util/romcc/tests/fail_test11.c
     util/romcc/tests/fail_test9.c util/romcc/tests/hello_world1.c
     util/romcc/tests/include/.arch-ids/=id
     util/romcc/tests/include/.arch-ids/linux_console.h.id
     util/romcc/tests/include/.arch-ids/linux_syscall.h.id
     util/romcc/tests/include/.arch-ids/linuxi386_syscall.h.id
     util/romcc/tests/include/linux_console.h
     util/romcc/tests/include/linux_syscall.h
     util/romcc/tests/include/linuxi386_syscall.h
     util/romcc/tests/linux_test10.c
     util/romcc/tests/linux_test11.c
     util/romcc/tests/linux_test12.c
     util/romcc/tests/linux_test13.c util/romcc/tests/linux_test9.c
     util/romcc/tests/raminit_test1.c
     util/romcc/tests/raminit_test7.c
     util/romcc/tests/simple_test1.c
     util/romcc/tests/simple_test74.c
     util/romcc/tests/simple_test75.c
     util/romcc/tests/simple_test76.c
     util/romcc/tests/simple_test77.c
     util/romcc/tests/simple_test78.c
     util/romcc/tests/simple_test79.c
     util/romcc/tests/simple_test80.c
     util/romcc/tests/simple_test81.c
     util/romcc/tests/simple_test82.c
     util/romcc/tests/simple_test83.c
     util/romcc/tests/simple_test84.c
     util/romcc/tests/simple_test85.c
     util/romcc/tests/simple_test86.c

    modified files:
     ChangeLog.arch util/romcc/Makefile util/romcc/romcc.c
     util/romcc/tests/ldscript.ld util/romcc/tests/linux_test5.c
     util/romcc/tests/simple_test60.c
     util/romcc/tests/simple_test71.c

    new directories:
     util/romcc/tests/include util/romcc/tests/include/.arch-ids


2005-03-09 23:05:26 GMT	David Hendricks <sc@flagen.com>	patch-667

    Summary:
      Default and maximum loglevels were too high, fixed.
    Revision:
      freebios--import--2.0--patch-667

    Author: dhendricks
    Date: 2004/05/27 21:17:13
    Default and maximum loglevels were too high, fixed.

    modified files:
     ChangeLog.arch targets/Iwill/dk8s2/Config.lb


2005-03-09 23:05:20 GMT	David Hendricks <sc@flagen.com>	patch-666

    Summary:
      Fixed a silly typo :)
    Revision:
      freebios--import--2.0--patch-666

    Author: dhendricks
    Date: 2004/05/27 21:10:47
    Fixed a silly typo :)

    modified files:
     ChangeLog.arch src/superio/winbond/w83627hf/superio.c


2005-03-09 23:05:14 GMT	Stefan Reinauer <stepan@openbios.org>	patch-665

    Summary:
      fix build. :( sorry, forgot to commit this one.
    Revision:
      freebios--import--2.0--patch-665

    Author: stepan
    Date: 2004/05/27 13:54:38
    fix build. :( sorry, forgot to commit this one.

    modified files:
     ChangeLog.arch src/config/Options.lb


2005-03-09 23:05:09 GMT	Stefan Reinauer <stepan@openbios.org>	patch-664

    Summary:
      gcc uses slightly different syntax
    Revision:
      freebios--import--2.0--patch-664

    Author: stepan
    Date: 2004/05/27 11:13:24
    gcc uses slightly different syntax

    modified files:
     ChangeLog.arch src/ram/ramtest.c


2005-03-09 23:05:04 GMT	Stefan Reinauer <stepan@openbios.org>	patch-663

    Summary:
      cosmetics
    Revision:
      freebios--import--2.0--patch-663

    Author: stepan
    Date: 2004/05/27 11:08:24
    cosmetics

    modified files:
     ChangeLog.arch src/arch/i386/Config.lb
     src/arch/i386/lib/Config.lb


2005-03-09 23:04:57 GMT	David Hendricks <sc@flagen.com>	patch-662

    Summary:
      Sample configuration for Iwill DK8S2
    Revision:
      freebios--import--2.0--patch-662

    Author: dhendricks
    Date: 2004/05/26 21:40:24
    Sample configuration for Iwill DK8S2

    modified files:
     ChangeLog.arch targets/Iwill/dk8s2/Config.lb


2005-03-09 23:04:52 GMT	David Hendricks <sc@flagen.com>	patch-661

    Summary:
      GPIO2 and GPIO3 support for HF part.
    Revision:
      freebios--import--2.0--patch-661

    Author: dhendricks
    Date: 2004/05/26 19:18:21
    GPIO2 and GPIO3 support for HF part.

    modified files:
     ChangeLog.arch src/superio/winbond/w83627hf/superio.c


2005-03-09 23:04:44 GMT	David Hendricks <sc@flagen.com>	patch-660

    Summary:
      Sample config for Iwill DK8S2 dual Opteron mainboard
    Revision:
      freebios--import--2.0--patch-660

    Author: dhendricks
    Date: 2004/05/26 17:29:59
    Sample config for Iwill DK8S2 dual Opteron mainboard

    new files:
     targets/Iwill/.arch-ids/=id targets/Iwill/dk8s2/.arch-ids/=id
     targets/Iwill/dk8s2/.arch-ids/Config.lb.id
     targets/Iwill/dk8s2/Config.lb

    modified files:
     ChangeLog.arch

    new directories:
     targets/Iwill targets/Iwill/.arch-ids targets/Iwill/dk8s2
     targets/Iwill/dk8s2/.arch-ids


2005-03-09 23:04:38 GMT	David Hendricks <sc@flagen.com>	patch-659

    Summary:
      Early work on IWill DK8S2 motherboard.
    Revision:
      freebios--import--2.0--patch-659

    Author: dhendricks
    Date: 2004/05/26 17:21:02
    Early work on IWill DK8S2 motherboard.
    Tweaking in progress.

    modified files:
     ChangeLog.arch src/mainboard/Iwill/DK8S2/Config.lb
     src/mainboard/Iwill/DK8S2/auto.c
     src/mainboard/Iwill/DK8S2/chip.h
     src/mainboard/Iwill/DK8S2/cmos.layout
     src/mainboard/Iwill/DK8S2/failover.c
     src/mainboard/Iwill/DK8S2/irq_tables.c
     src/mainboard/Iwill/DK8S2/mainboard.c


2005-03-09 23:04:24 GMT	Stefan Reinauer <stepan@openbios.org>	patch-658

    Summary:
      cleanup
    Revision:
      freebios--import--2.0--patch-658

    Author: stepan
    Date: 2004/05/26 15:54:40
    cleanup

    modified files:
     ChangeLog.arch src/cpu/k8/Config.lb src/cpu/p5/Config.lb
     src/cpu/p6/Config.lb


2005-03-09 23:04:13 GMT	Stefan Reinauer <stepan@openbios.org>	patch-657

    Summary:
      move arch/<arch>/config to arch/<arch>/init
    Revision:
      freebios--import--2.0--patch-657

    Author: stepan
    Date: 2004/05/26 15:43:20
    move arch/<arch>/config to arch/<arch>/init

    new files:
     src/arch/i386/init/.arch-ids/=id
     src/arch/i386/init/.arch-ids/crt0.S.lb.id
     src/arch/i386/init/.arch-ids/ldscript.lb.id
     src/arch/i386/init/crt0.S.lb src/arch/i386/init/ldscript.lb
     src/arch/ppc/init/.arch-ids/ldscript.lb.id
     src/arch/ppc/init/ldscript.lb

    modified files:
     ChangeLog.arch src/arch/i386/Config.lb src/arch/ppc/Config.lb

    new directories:
     src/arch/i386/init src/arch/i386/init/.arch-ids


2005-03-09 23:03:59 GMT	Stefan Reinauer <stepan@openbios.org>	patch-656

    Summary:
      indent (left in tree since last indent action)
    Revision:
      freebios--import--2.0--patch-656

    Author: stepan
    Date: 2004/05/26 15:27:43
    indent (left in tree since last indent action)

    modified files:
     ChangeLog.arch src/mainboard/tyan/s2850/auto.c


2005-03-09 23:03:51 GMT	Ollie Lho <ollie@lanl.gov>	patch-655

    Summary:
      minor reformat
    Revision:
      freebios--import--2.0--patch-655

    Author: ollie
    Date: 2004/05/24 19:48:13
    minor reformat

    modified files:
     ChangeLog.arch src/devices/pci_device.c
     util/buildrom/buildrom.c


2005-03-09 23:03:44 GMT	Ollie Lho <ollie@lanl.gov>	patch-654

    Summary:
      added AGP support for AMD K8
    Revision:
      freebios--import--2.0--patch-654

    Author: ollie
    Date: 2004/05/24 19:04:44
    added AGP support for AMD K8

    modified files:
     ChangeLog.arch src/cpu/k8/earlymtrr.c src/cpu/k8/earlymtrr.inc
     src/cpu/p6/mtrr.c src/devices/pci_device.c
     src/mainboard/tyan/s2885/Config.lb
     src/northbridge/amd/amdk8/northbridge.c


2005-03-09 23:03:31 GMT	Ollie Lho <ollie@lanl.gov>	patch-653

    Summary:
      minor reformat
    Revision:
      freebios--import--2.0--patch-653

    Author: ollie
    Date: 2004/05/24 17:35:52
    minor reformat

    modified files:
     ChangeLog.arch src/pc80/vgabios.c


2005-03-09 23:03:24 GMT	David Hendricks <sc@flagen.com>	patch-652

    Summary:
      Definition fixed by Ollie
    Revision:
      freebios--import--2.0--patch-652

    Author: dhendricks
    Date: 2004/05/24 17:14:21
    Definition fixed by Ollie

    modified files:
     ChangeLog.arch src/console/font-8x16.c


2005-03-09 23:03:18 GMT	Ollie Lho <ollie@lanl.gov>	patch-651

    Summary:
      refactored k8_cpufixup, added IORR support for AGP aperture
    Revision:
      freebios--import--2.0--patch-651

    Author: ollie
    Date: 2004/05/14 17:28:47
    refactored k8_cpufixup, added IORR support for AGP aperture

    modified files:
     ChangeLog.arch src/cpu/k8/cpufixup.c


2005-03-09 23:03:11 GMT	Ollie Lho <ollie@lanl.gov>	patch-650

    Summary:
      refactored mcf3_set_resources
    Revision:
      freebios--import--2.0--patch-650

    Author: ollie
    Date: 2004/05/14 17:23:26
    refactored mcf3_set_resources

    modified files:
     ChangeLog.arch src/northbridge/amd/amdk8/misc_control.c


2005-03-09 23:03:04 GMT	Ollie Lho <ollie@lanl.gov>	patch-649

    Summary:
      use #define macro for pci class ids
    Revision:
      freebios--import--2.0--patch-649

    Author: ollie
    Date: 2004/05/14 17:20:29
    use #define macro for pci class ids

    modified files:
     ChangeLog.arch src/devices/device.c


2005-03-09 23:02:59 GMT	Ollie Lho <ollie@lanl.gov>	patch-648

    Summary:
      code reformat, remove BY YHL comment
    Revision:
      freebios--import--2.0--patch-648

    Author: ollie
    Date: 2004/05/13 20:41:49
    code reformat, remove BY YHL comment

    modified files:
     ChangeLog.arch src/southbridge/amd/amd8111/amd8111_lpc.c
     src/southbridge/amd/amd8111/amd8111_usb2.c


2005-03-09 23:02:53 GMT	Ollie Lho <ollie@lanl.gov>	patch-647

    Summary:
      don't enable VGA/ISA here, it is done in device.c:alloc...
    Revision:
      freebios--import--2.0--patch-647

    Author: ollie
    Date: 2004/05/13 20:40:12
    don't enable VGA/ISA here, it is done in device.c:allocate_vga_resource

    modified files:
     ChangeLog.arch src/southbridge/amd/amd8151/amd8151_agp3.c


2005-03-09 23:02:48 GMT	Ollie Lho <ollie@lanl.gov>	patch-646

    Summary:
      code reformat
    Revision:
      freebios--import--2.0--patch-646

    Author: ollie
    Date: 2004/05/13 20:39:06
    code reformat

    modified files:
     ChangeLog.arch src/arch/i386/smp/ioapic.c
     src/boot/hardwaremain.c src/cpu/k8/earlymtrr.inc


2005-03-09 23:02:40 GMT	Ollie Lho <ollie@lanl.gov>	patch-645

    Summary:
      seperate font file from btext_console.c
    Revision:
      freebios--import--2.0--patch-645

    Author: ollie
    Date: 2004/05/13 20:37:02
    seperate font file from btext_console.c

    new files:
     src/console/.arch-ids/font-8x16.c.id src/console/font-8x16.c

    modified files:
     ChangeLog.arch src/console/Config.lb
     src/console/btext_console.c


2005-03-09 23:02:30 GMT	Ronald G. Minnich <rminnich@lanl.gov>	patch-644

    Summary:
      add comment and new config file
    Revision:
      freebios--import--2.0--patch-644

    Author: rminnich
    Date: 2004/05/13 20:08:45
    add comment and new config file

    new files:
     targets/via/epia/.arch-ids/Config.ituner.filo.lb.id
     targets/via/epia/Config.ituner.filo.lb

    modified files:
     ChangeLog.arch targets/tyan/s2880/Config.lb


2005-03-09 23:02:22 GMT	Ollie Lho <ollie@lanl.gov>	patch-643

    Summary:
      back out immature amd8111_enable stuff
    Revision:
      freebios--import--2.0--patch-643

    Author: ollie
    Date: 2004/05/13 16:49:53
    back out immature amd8111_enable stuff

    modified files:
     ChangeLog.arch src/southbridge/amd/amd8111/amd8111.c


2005-03-09 23:02:17 GMT	Ollie Lho <ollie@lanl.gov>	patch-642

    Summary:
      remove unused l2 cache configure, if we really need it ...
    Revision:
      freebios--import--2.0--patch-642

    Author: ollie
    Date: 2004/05/12 16:34:46
    remove unused l2 cache configure, if we really need it some time in the
    furutre, it should be in cpu specific fixup code

    modified files:
     ChangeLog.arch src/arch/i386/lib/cpu.c


2005-03-09 23:02:12 GMT	Ollie Lho <ollie@lanl.gov>	patch-641

    Summary:
      fixed minor bug in APG bridge code. Use AGP_APERTURE_SI...
    Revision:
      freebios--import--2.0--patch-641

    Author: ollie
    Date: 2004/05/10 19:33:26
    fixed minor bug in APG bridge code. Use AGP_APERTURE_SIZE instead of IOMMU_APERTURE_SIZE

    modified files:
     ChangeLog.arch src/config/Options.lb
     src/northbridge/amd/amdk8/Config.lb
     src/northbridge/amd/amdk8/misc_control.c
     src/southbridge/amd/amd8151/amd8151_agp3.c


2005-03-09 23:02:02 GMT	Ollie Lho <ollie@lanl.gov>	patch-640

    Summary:
      rename walk_static_devices
    Revision:
      freebios--import--2.0--patch-640

    Author: ollie
    Date: 2004/05/10 16:05:16
    rename walk_static_devices

    modified files:
     ChangeLog.arch src/devices/device.c src/devices/pnp_device.c
     src/devices/root_device.c
     src/southbridge/amd/amd8111/amd8111_lpc.c


2005-03-09 23:01:51 GMT	Ollie Lho <ollie@lanl.gov>	patch-639

    Summary:
      code reformat, fixed a bug in set/unset logical operation
    Revision:
      freebios--import--2.0--patch-639

    Author: ollie
    Date: 2004/05/07 21:56:48
    code reformat, fixed a bug in set/unset logical operation

    modified files:
     ChangeLog.arch src/devices/pnp_device.c


2005-03-09 23:01:46 GMT	Ollie Lho <ollie@lanl.gov>	patch-638

    Summary:
      change walk_static_devices() to scan_static_bus()
    Revision:
      freebios--import--2.0--patch-638

    Author: ollie
    Date: 2004/05/07 21:54:23
    change walk_static_devices() to scan_static_bus()

    modified files:
     ChangeLog.arch src/include/device/device.h
     src/southbridge/amd/amd8111/amd8111.c


2005-03-09 23:01:40 GMT	Ollie Lho <ollie@lanl.gov>	patch-637

    Summary:
      code reformat, doxidization
    Revision:
      freebios--import--2.0--patch-637

    Author: ollie
    Date: 2004/05/07 21:52:47
    code reformat, doxidization

    modified files:
     ChangeLog.arch src/devices/device_util.c
     src/devices/root_device.c


2005-03-09 23:01:34 GMT	Ollie Lho <ollie@lanl.gov>	patch-636

    Summary:
      replace up,across,down with ltd0,ldt1, ldt2
    Revision:
      freebios--import--2.0--patch-636

    Author: ollie
    Date: 2004/05/06 21:39:33
    replace up,across,down with ltd0,ldt1, ldt2
    Although it is not used currently, misuse of terminolog is still a misuse.

    modified files:
     ChangeLog.arch src/cpu/k8/chip.h
     src/mainboard/Iwill/DK8S2/Config.lb
     src/mainboard/Iwill/DK8X/Config.lb
     src/mainboard/arima/hdama/Config.lb
     src/mainboard/ibm/e325/Config.lb
     src/mainboard/newisys/khepri/Config.lb
     src/mainboard/tyan/s2850/Config.lb
     src/mainboard/tyan/s2875/Config.lb
     src/mainboard/tyan/s2880/Config.lb
     src/mainboard/tyan/s2881/Config.lb
     src/mainboard/tyan/s2882/Config.lb
     src/mainboard/tyan/s2885/Config.lb
     src/mainboard/tyan/s4880/Config.lb
     src/mainboard/tyan/s4882/Config.lb


2005-03-09 23:01:09 GMT	Ollie Lho <ollie@lanl.gov>	patch-635

    Summary:
      code refromat, doxidization
    Revision:
      freebios--import--2.0--patch-635

    Author: ollie
    Date: 2004/05/05 21:15:42
    code refromat, doxidization

    modified files:
     ChangeLog.arch src/devices/pci_device.c
     src/devices/root_device.c
     src/northbridge/amd/amdk8/northbridge.c


2005-03-09 23:01:01 GMT	Yinghai Lu <yhlu@tyan.com>	patch-634

    Summary:
      Disable AMD8111 USB2 and remove hard code addr in amd81...
    Revision:
      freebios--import--2.0--patch-634

    Author: yhlu
    Date: 2004/05/05 18:03:40
    Disable AMD8111 USB2 and remove hard code addr in amd8111 IDE

    modified files:
     ChangeLog.arch src/mainboard/tyan/s2850/Config.lb
     src/mainboard/tyan/s2875/Config.lb
     src/mainboard/tyan/s2880/Config.lb
     src/mainboard/tyan/s2881/Config.lb
     src/mainboard/tyan/s2882/Config.lb
     src/mainboard/tyan/s2885/Config.lb
     src/mainboard/tyan/s4880/Config.lb
     src/mainboard/tyan/s4882/Config.lb
     src/southbridge/amd/amd8111/amd8111.c
     src/southbridge/amd/amd8111/amd8111_ide.c


2005-03-09 23:00:43 GMT	Ollie Lho <ollie@lanl.gov>	patch-633

    Summary:
      put extern keyword in front of declaration, make the co...
    Revision:
      freebios--import--2.0--patch-633

    Author: ollie
    Date: 2004/04/30 23:11:21
    put extern keyword in front of declaration, make the compiler do it job

    modified files:
     ChangeLog.arch src/mainboard/Iwill/DK8S2/chip.h
     src/mainboard/Iwill/DK8X/chip.h
     src/mainboard/amd/quartet/chip.h src/mainboard/amd/solo/chip.h
     src/mainboard/arima/hdama/chip.h src/mainboard/ibm/e325/chip.h
     src/mainboard/newisys/khepri/chip.h
     src/mainboard/tyan/s2885/Config.lb
     src/mainboard/tyan/s2885/mainboard.c
     src/mainboard/via/epia-m/chip.h src/mainboard/via/epia/chip.h


2005-03-09 23:00:24 GMT	Ollie Lho <ollie@lanl.gov>	patch-632

    Summary:
      chaged chip_device_path::enable to chip_device_path::en...
    Revision:
      freebios--import--2.0--patch-632

    Author: ollie
    Date: 2004/04/29 20:30:01
    chaged chip_device_path::enable to chip_device_path::enabled,
    again, I am the only one who can't speak English.

    modified files:
     ChangeLog.arch src/devices/chip.c src/include/device/chip.h
     util/newconfig/config.g


2005-03-09 23:00:15 GMT	Ollie Lho <ollie@lanl.gov>	patch-631

    Summary:
      changed dev->enable to dev->enabled. Sorry, I am the on...
    Revision:
      freebios--import--2.0--patch-631

    Author: ollie
    Date: 2004/04/29 20:08:51
    changed dev->enable to dev->enabled. Sorry, I am the only one who can't speak
    English in the project.

    modified files:
     ChangeLog.arch src/devices/chip.c src/devices/device.c
     src/devices/hypertransport.c src/devices/pci_device.c
     src/devices/pnp_device.c src/devices/root_device.c
     src/include/device/device.h
     src/northbridge/amd/amdk8/northbridge.c
     src/southbridge/amd/amd8111/amd8111.c
     src/southbridge/amd/amd8131/amd8131_bridge.c
     src/superio/NSC/pc87360/superio.c
     src/superio/NSC/pc87366/superio.c
     src/superio/winbond/w83627hf/superio.c


2005-03-09 22:59:48 GMT	Ollie Lho <ollie@lanl.gov>	patch-630

    Summary:
      corrected irq and mp table according to new bus enumeration
    Revision:
      freebios--import--2.0--patch-630

    Author: ollie
